Welcome to Network Magic

What's New icon

Start here to learn about the smart way to manage your network.

Getting started

About this AOL Release

Feature summary

A bout Network Magic requirements

Network Magic Basic and Premium

Protect your network

References and support

(requires Acrobat Reader)

Copyright © Pure Networks, Inc. 2002-2006. All Rights Reserved.


Getting started

Using Network Magic with your home network, you can easily do the following:

  • Monitor and repair network and Internet connections for your computers and devices.

  • Manage your computers and other devices.

  • Share music, photos, video, and other documents.

  • Learn what's new in your network.

Learn more

Feature summary

About this AOL release

Install Network Magic on each computer

Activate Network Magic

About Network Magic setup

About Network Magic requirements

Find what you need in Network Magic Help

Keyboard shortcuts


Install Network Magic on each computer

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

  1. Click the following link to go to AOL downloads:

    http://aolnetworkmagic.aol.com Go to Web site

    If you want, you can type it into your Web browser's address field instead.

  2. Where Network Magic is listed, click Get It Now.

  3. Follow the instructions on-screen.

Using a Web browser and an Internet connection, you can locate and view information on the Web. An example of a browser is Microsoft Internet Explorer.

When you install Network Magic, everyone in your home can make the fullest use of features that include What's New, notifications, and sharing music, photos, video, and documents.

With Network Magic, your computers can exchange more-detailed information about settings (for example, the operating system and network settings) and network status (for example, whether a printer or other device is online or offline).

For more information, see Feature summary.

Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

Share select network resources with others (for example, share a printer in your network or share folders and files on the Web using @@PROGRAM@@ Net2Go).

An online computer or device is turned on and connected to the network. For the Net2Go Web site, online means it is accessible on the Web.

An offline computer or device can be turned off or disconnected from the network. For the Net2Go Web site, offline means it is not accessible on the Web.

Install Network Magic on each computer

To make the most of your home network and to allow your computers to work better together, install Network Magic on each computer.

Get Network Magic by download

Network Magic benefits

About Network Magic requirements

For steps on how to install Network Magic, see Add a computer to your network.


Activate Network Magic

Use your network license key when you install Network Magic on computers in your home network.

About your network license key

Activate the first copy of Network Magic

Activate each additional copy of Network Magic

Display your network license key


About your network license key

When you purchase Network Magic, you can use the same network license key with a limited number of computers.

With larger home networks, you might need multiple Network Magic copies in order to install and activate Network Magic on all of your computers.

For steps you use to activate, see Activate the first copy of Network Magic.


Activate the first copy of Network Magic

After you purchase Network Magic and install the first copy, you can activate it.

  1. In the Network Status box, click Activate Now.

  2. Follow the instructions on the screen.

For each other computer in your network, complete the steps in Activate each additional copy of Network Magic.

Tip


Activate each additional copy of Network Magic

After you Activate the first copy of Network Magic, you can easily activate it on each other computer in your network.

  1. Click Network Map.

  2. Click a computer that has Network Magic installed but not yet activated.

  3. In the Tasks tab, click Activate.

  4. Follow the instructions on the screen.

Repeat these steps for each computer in your network.


If you used the previous step to display the network license key but the About dialog box does not show the key, Network Magic could not copy it to the computer.

Do the following:

  1. Check the computer's connections to your network.

  2. Wait a few minutes for Network Magic to copy the key to the computer, and then try to display the key again.

  3. If there is still a problem, a firewall on the computer might prevent Network Magic from communicating with it.

    For steps on how to set up a firewall for use with Network Magic, see Set up your firewall.

Protects a computer or network from unauthorized access.

Display your network license key

  • From the Help menu, select About Network Magic.

What to do if Network Magic does not show the key


Network Magic includes the following:

· Version number of Network Magic installed on the computer

· The network license key of your copy of the program. For more information, see About your network license key.

· Copyright information

This is the 25-character license key you use to register your Network Magic copy.

Get information about your program

You can check which version of the Network Magic program is installed on your computer, as well as other information about Network Magic.

  • From the Help menu, click About Network Magic.

What Network Magic includes in the About dialog box

Having this information is useful if you want to check for Network Magic updates, or if you need to contact technical support. For more information, see About Network Magic updates.


About Network Magic setup

When you install Network Magic, its setup program analyzes your existing home network setup and creates a Windows restore point. After setup completes, Network Magic automatically monitors your network.

About the restore point that setup creates

About Network Magic network monitoring


A restore point is a lot like the "undo" commands you find in many software programs.

When you install a new program—for example, a new game or a software update—the program makes changes to your computer.

If these changes make your computer run in an irregular or unstable way, you can use a Windows restore point and "undo" the changes—and restore your system to an earlier, more stable state.

Restoring replaces your computer's current files and settings with those from a previous time. Doing this does not affect your personal data files.

Important When you use a restore to roll back to a previous configuration, you remove any system changes that were made since the restore point.

When you install Network Magic, its setup program creates what is called an installation restore point (named Installed Network Magic). And, if you uninstall Network Magic, its setup program creates a second restore point, named Removed Network Magic).

If you need to use a restore point, refer to the documentation for your version of Microsoft Windows for steps.

About the restore point that setup creates

The Network Magic setup program creates a Windows restore point when you install Network Magic on a computer that runs one of the following Microsoft Windows versions:

  • Windows XP Home Edition

  • Windows XP Professional Edition

  • Windows Me

Common questions about restore points

What is a restore point?

What happens when you use a restore point?

What is the Network Magic restore point?

How do I use a restore point?


About Network Magic network monitoring

After you complete installation and each time you restart your computer, Network Magic continuously monitors your network.

At the following time intervals, Network Magic automatically monitors connections and checks for newly-connected computers and devices:

What Network Magic does | How often it occurs
Checks your Internet connection. | Every 15 minutes
Checks connections within your network. | Every 10 seconds
Scans your network (for example, to check for newly-connected computers and devices). | Every 10 minutes


About Network Magic requirements

Network Magic works well with popular home networking equipment.

The following topics describe the basic Network Magic requirements:

Network requirements and Network Magic and routers

Computer requirements

To use Network Magic Net2Go, see the following:

Net2Go requirements


Network requirements

A high-speed, always-on Internet connection often provided using television cable lines or digital telephone lines (DSL).

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

Connects the Internet access cable (typically, the TV cable or DSL cable) to the router in your network.

A networking standard that uses cables to connect computers and devices.

A home networking standard that uses a home's existing in-wall electrical wiring to connect computers, printers, scanners, and network devices.

A popular term for 802.11 wireless networks. Wi-Fi is short for wireless fidelity.

An ISP is a company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

High-speed Internet access that uses existing telephone lines. DSL is an abbreviation for Digital Subscriber Line.

UPnP devices play well (are interoperable) with computers, networks, and other devices. UPnP is an abbreviation for Universal Plug and Play.

If you need to select or purchase home networking hardware (for example, a router), you can get advice from a variety of resources.

Talk with computer or software retailers or visit their Web sites. See popular home networking Web sites, or talk with friends and relatives who already have home networks.

Network requirements

Use Network Magic with your current home network.

While home network setups vary, you use Network Magic with at least one computer, a router, a modem, network connections, and a broadband connection to the Internet. To learn more, see the following:

Router and modem

Wired, wireless network connections

A broadband, always-on Internet connection

Devices

Router

Wired (Ethernet) router

A router connects your network to the Internet, and connects computers and devices. Some residential gateways contain both a router and modem in a single device rather than as separate devices.

For more information, see Network Magic and routers. For information about routers you can use with Net2Go, see Net2Go-supported routers.

Back to the top

Modem

A modem connects your network to the Internet.

Back to the top

Wired, wireless network connections

Connections in your network can be wired (for example, Ethernet or HomePlug), wireless (Wi-Fi), or a combination of both wired and wireless.

Back to the top

A broadband, always-on Internet connection

A broadband connection is typically available through a local telephone company or an Internet service provider (ISP).

Examples of broadband connections:

Common types | DSL, cable
Additional types | Satellite, broadband wireless (for example, fixed broadband wireless (FBW) and WiMAX)

For information about the availability of such service in your area, contact your local telephone company or an ISP.

Back to the top

Devices

For best results with Network Magic, use devices that follow the UPnP standard.

Tip

Back to the top


Network Magic and routers

Network Magic is fully-compatible with all popular routers and recent router firmware versions.

The Network Magic Net2Go and Wireless Protection Center features require a router that supports them. For more information, see the list of supported routers at www.networkmagic.com.


The brains of a computer. Also known as a central processing unit (CPU) or central processor.

A networking standard that uses cables to connect computers and devices.

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

A popular term for 802.11 wireless networks. Wi-Fi is short for wireless fidelity.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

Use to access selected shared folders away from home through the Web.

Computer requirements

Here is what your computer needs to run this release of Network Magic.

Component | Requirement
Operating system | One of the following versions of Microsoft Windows: Windows XP Home Edition or Professional Edition with Service Pack 1 (SP1) (SP1 required; SP2 recommended) Windows XP Tablet PC Edition Windows XP Media Center Edition 2005 Windows 2000 Professional Windows 98 SE and Windows Millennium Edition (Me)
Processor | 633-MHz processor. Intel® Pentium® III family or Pentium 4 family processor recommended.
Memory | 128 megabytes (MB) of RAM minimum.
Monitor | Color monitor with 16-bit color or greater video card. 800x600 or greater resolution.
Network adapter | You can use wired (for example, Ethernet) network adapters or wireless (Wi-Fi) network adapters, or both types.
Disk space | 40 megabytes (MB) of available hard-disk space.
Web browser | Your computer needs to have Microsoft Internet Explorer version 5.5 or later installed. Network Magic uses Internet Explorer to display information. You can also use another Web browser for general use.

If you use Net2Go, also see the Net2Go requirements.


Net2Go requirements

Here are requirements and related information for Network Magic Net2Go:

Requirements for the Net2Go host computer

Net2Go-supported routers

About your Net2Go address

Requirements for computers that connect remotely

If you have a problem activating Net2Go


Requirements for the Net2Go host computer

The computer that hosts your Net2Go Web site.

Always on and connected. Keep the computer turned on and connected to the home network and to the Internet.

For best performance and to help insure availability, your Net2Go host should have a wired (for example, Ethernet) connection to your network.

Turn off power-saving features that idle the computer. Make sure the computer does not use the following Microsoft Windows power-saving features:

Standby The computer consumes less power when it is idle, but remains available for immediate use.

Hibernation The computer shuts down after saving everything in memory on your hard disk.

Hard disk power saving The computer turns off the hard disks after a specified period of inactivity.

If the computer switches to one of these power-saving modes, you cannot use Net2Go to connect to your network.

For steps on how to turn off power-saving features, see When Windows power-saving features interfere.

A networking standard that uses cables to connect computers and devices.

Both your Net2Go host computer and your router must have this port available.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A channel for network communications, including the ports found in a computer, router, or firewall. Different types of data transmit through different ports.

Laptop computers can have different standby and hibernation features (that is, different from the Windows power-saving features described in the previous section).

Manufacturers often include additional options to help you control standby and hibernation separately (that is, when the laptop is running on batteries or when it is plugged in). If you want, you can set up a laptop computer so it is always on by doing the following:

  • Plug in the laptop computer to a power outlet.

  • Follow the steps in When Windows power-saving features interfere.

  • Leave the laptop computer open. Many laptops either use standby or turn off when you close them. If you do not want to leave your laptop computer open, follow the manufacturer's instructions to prevent the laptop from using standby or from turning off when you close it.

Requirements for the Net2Go host computer

Network Magic allows you to set up one active Net2Go host in your network at a time.

In addition to the Computer requirements, here are the requirements for the Net2Go feature:

Component | Requirement
Operating system | Microsoft Windows XP Home Edition or Professional Edition, Service Pack 1 (SP1) or later (SP2 recommended)
Memory | 256 megabytes (MB) of RAM or higher recommended
Availability | To use Net2Go, keep your Net2Go host online
Port | Port 8008 must be available


Net2Go-supported routers

To use Net2Go, your router must be supported:

Go to the Network Magic Support site and check a list of Net2Go-supported routers Go to Web site

If you want to replace your router in order to use Net2Go, make sure you use a supported manufacturer and model.

If you think your router is supported

If your router is on the list of Net2Go-supported routers but Network Magic says it is not supported, there might be an issue with your router (for example, its firmware version). Please check the Network Magic support Web site for help:

Network Magic support Go to Web site


About your Net2Go address

When you use Net2Go, Network Magic does most of the work to create the Net2Go Web site you use to share folders on the Web.

As with any Web site, you need a Web address. If you do not already have a Net2Go address, see Set up the Web site address for more information.


Requirements for computers that connect remotely

This means you can use a computer that runs a common Web browser (for example, Microsoft Internet Explorer and Mozilla Firefox).

To connect to a Net2Go Web site, the browser needs to be set up to use JavaScript and to support cookies. If the computer has connected to popular Web sites, the browser is probably already set up to use JavaScript and cookies.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

The site that provides access to folders and files shared with Network Magic.

A broadband connection works best—including cable, DSL, and corporate network connections.

A high-speed, always-on Internet connection often provided using television cable lines or digital telephone lines (DSL).

High-speed Internet access that uses existing telephone lines. DSL is an abbreviation for Digital Subscriber Line.

The site that provides access to folders and files shared with Network Magic.

Requirements for computers that connect remotely

Using Net2Go to connect from anywhere is easy. No special software is needed.

Simply use:

A computer with a recent release of a popular Web browser

An Internet connection

For more information about connections and supported browsers, see the Help that Network Magic provides online when you connect to your Net2Go Web site.

When you use Net2Go to connect to the network and need help, click Help with Net2Go.


If you have a problem activating Net2Go

The computer that hosts your Net2Go Web site.

Make sure that the computer meets or exceeds the Requirements for the Net2Go host computer, and then try activating Net2Go again.

Check your router's manufacturer and model, and then see Net2Go-supported routers for more information.

Once you have a supported router in place, try activating Net2Go again.

The most common sources of Net2Go port issues are the following:

· Firewall issues. For more information, see Problems with Net2Go.

· Port availability with your router. Your router might already be using the Net2Go port with another application. For information on determining the router's port usage, see the product documentation for your router.

Once the Net2Go port is available, try activating Net2Go again.

To make sure you, your friends, and your family can access your Net2Go Web site, your Net2Go host must have an active connection to the Internet.

For help with this problem, see Problems with Connections. Once you have an active Internet connection, try activating Net2Go again.

This is the simple Web site that is part of Net2Go itself. When you connect to the home network, you view shared folders through the Web site, which is on the computer where Net2Go is activated.

This is the computer that has the simple Web site you use with Net2Go. When you connect to the network to access shared folders, this is the computer to which you connect.

When Network Magic can access your router, Network Magic can then automatically obtain router information, including its settings and status (for example, online or offline).

For steps on how to do this, see Set up access to router settings. Once you have set up access to these settings, try activating Net2Go again.

An online computer or device is turned on and connected to the network. For the Net2Go Web site, online means it is accessible on the Web.

An offline computer or device can be turned off or disconnected from the network. For the Net2Go Web site, offline means it is not accessible on the Web.

You can have only one active Net2Go host at a time in your network.

For steps on how to move Net2Go from one computer to another, see Change to a different Net2Go host.

The computer that hosts your Net2Go Web site.

If you click your router in the Network Magic network map, and in the Details tab the Internet IP Address displays Not Available (instead of an IP address), try the following:

· Make sure your router and its firmware version are supported by Net2Go. For information, see Net2Go-supported routers.

If there is still a problem activating, go to the next step.

· Set up Network Magic to access your router settings. For steps, see Set up access to router settings. If there is still a problem activating, go to the next step.

· Power cycle your router, so Network Magic can try to obtain your router's Internet IP address again. For steps, see Power cycle your router.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

When you set up your router to work with your Internet connection, one of the standard settings you use is the IP address provided by your Internet service provider (ISP).

Make sure your router has the correct Internet IP address (WAN IP):

  1. Using the information from your ISP (for example, a paper copy you received when you signed up for their service), look up the Internet IP address.

  2. In Network Magic, click Network Map, and then click your router.

  3. In the Tasks tab, click Set up or manage device.

  4. In the router's Web-based administrative utility, locate the Internet IP address (WAN IP).

    With many routers, this appears on a Setup tab. If you need help locating the setting, see the router's product documentation.

  5. Make sure the IP address that the router has is the Internet IP address originally provided by your ISP.

    This address should not be in the range 192.168.X.X (where X is a number from 1 through 254). Addresses in this range are for internal use only (inside your network).

  6. If needed, update and save the address.

  7. Restart your computer.

  8. Open Network Magic and try activating Net2Go again.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

If you have a problem activating Net2Go

In certain situations, you cannot activate the Net2Go feature on the Net2Go host.

For example, when you click Net2Go Manager, Network Magic can indicate that you cannot activate Net2Go.

Here are possible reasons why you cannot activate the feature. For information about what you can do to fix the problem, click a reason:

The computer does not meet Net2Go requirements

Your router is not supported by Net2Go

The Net2Go port is already in use in your network

The Net2Go host is not connected to the Internet

Network Magic needs the user name and password for your router

Net2Go is already activated on another computer in your network

Network Magic cannot detect your router's Internet IP address (WAN IP)

Network Magic detects a private IP address in your router


Feature summary

The Network Magic service runs continuously in the background, and senses any changes in your network (for example, a computer connects to the network).

To make your network easier to understand and to use, you can personalize it: name the network, and give friendly names to the network itself, and the computers and devices in it. For more information, see Personalize your home network.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

When your computer and others in your home are connected to your network, Network Magic displays notifications of changes in your network to keep you informed.

Example If you copy new photos to your computer to share with others, Network Magic displays a notification. With a couple of clicks, others in your network can view your new photos.

Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

Using the network map, you can check your network's status: connections between computers and devices, your Internet connection, and the status of other computers and devices in your network. For each computer or device in the map, you can view details about the device.

Example If you select a computer and you can check the version of Microsoft Windows it runs, the type and speed of its processor, the IP address it uses, its MAC address, and more.

The Network Magic feature you use to help manage your network.

The brains of a computer. Also known as a central processing unit (CPU) or central processor.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

A unique number assigned by a manufacturer to a device (for example, a network adapter) to identify it. MAC is an abbreviation for media access control.

If Network Magic detects a problem with a connection in your network, use Network Magic's Repair feature.

If it cannot fix the problem automatically, Network Magic will provide you with suggestions for fixing the problem yourself.

Network Magic is the essential tool for Windows networking, making routine Windows networking tasks easier.

Here are examples:

· Windows Explorer. When you use file and folder sharing with Network Magic, you work seamlessly with Windows Explorer: the standard file management tool in Windows.

· Windows taskbar. You can quickly get basic information about your network connections by checking the Network Magic icon in the notification area.

· Printer sharing. If you use Network Magic to share a printer, you can print to the printer from typical Windows-based programs.

Share select network resources with others (for example, share a printer in your network or share folders and files on the Web using @@PROGRAM@@ Net2Go).

Part of the Windows taskbar, typically at the lower right of your display, that generally includes the Network Magic icon.

Share the printers in your home network, including a printer connected to a computer or a printer connected directly to your router (a network printer).

Easily share music, photos, video, and other documents with everyone in your home. For example, with a network digital music player, you can play music from the collection on your computer through your home stereo system.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A printer connected directly to a network, rather than to a computer.

A device that connects to a network, letting you play music (for example, MP3s) on a stereo.

You can use Network Magic Net2Go for easy remote access to shared folders away from home.

Net2Go does this by building an instant Web site that contains photos or other files you want available through the Web.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

Share printers connected to a computer or printers connected directly to your router (network printers).

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A printer connected directly to a network, rather than to a computer.

The network map displays the computers and devices connected to your network. Network Magic alerts you when a new device connects, using notifications and a special network map area. To learn more about the device, you can use Network Magic to track its network activity and to alert you if it reconnects later.

The Network Magic feature you use to help manage your network.

If you use Network Magic to set up shared folders on your computer and you then connect to another network (for example, an Internet cafe), Network Magic PC Shield protects the contents of your shared folders.

While you are connected to the other network, Network Magic automatically stops sharing folders. This protects your files from being accessed by unauthorized users. When you reconnect to your network, Network Magic automatically resumes sharing.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

A Network Magic feature that protects your shared folders when you connect to another network (for example, at an Internet cafe).

A free, separately-downloadable program that adds new capabilities to Network Magic.

Feature summary

Learn which Network Magic features you want to use in order to get the most out of your network.

Networking made easy

Automatically detect network changes

Understand your network better with simpler network naming

Get notifications instantly

Manage your network quickly and easily

Repair connections

Use Network Magic seamlessly with Microsoft Windows and Windows-based programs

Sharing, entertainment, and your connected home

Share files and media

Share on the Web Using Net2Go

Share printers

Network Magic and security

Detect intruders automatically

Kick intruders off your network

Secure your network

Share securely with PC Shield

You add even more features using Network Magic Power Toys. For information, see About Network Magic Power Toys.


About Network Magic Power Toys

You can get even more out of your networking experience using Network Magic Power Toys.

Power Toys can make your network easier to manage or help you have more fun. Power Toys are similar to add-ons or plug-ins you might already be familiar with in other programs.

Open a Power Toy

To open your installed Power Toys, go to the Tools menu and select Power Toys.

To access Power Toys through this menu, you must have a registered copy of Network Magic software.


Network Magic Basic and Premium

Network Magic has two versions: Basic and Premium. Network Magic Premium is the version of the product you have after you activate it. This is the full-featured version of Network Magic. Immediately after installing, a trial period of Network Magic Premium begins. If you haven’t purchased the product before the end of the trial, you can keep using the basic version for free.

How do I tell which version of Network Magic I have?

On the Help menu, click About Network Magic and look under the Version and Last Updated information. Network Magic Premium will display a Network License Key.


Start or restart Network Magic

This section explains how Network Magic starts and how you can restart it.

About the Network Magic services

Restart Network Magic

You can also control whether you want to automatically start Network Magic when you restart your computer. For information, see Start Network Magic automatically.


About the Network Magic services

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

The computer that hosts your Net2Go Web site.

The Network Magic service automatically works with other computers in your network that are running the Network Magic service.

This means that the computers in your network that are turned on and running Network Magic continue to work together—and continue to exchange and maintain up-to-date information about your network's computers, devices, and connections.

As you use Microsoft Windows and run programs, Windows and your programs run services in the background. Like other programs, Network Magic runs its own service as part of routine operations.

If you want to check which services are running, you can use Control Panel (for example, with Windows XP, you can use the Services item under Administrative Tools).

If you use Windows to check services when Network Magic is running, you will see the following Network Magic service:

Pure Networks, Inc. Network Magic Service

This service monitors your network, and exchanges information about your network's status with other computers in your network that are running the Network Magic service.

With the Net2Go host, Network Magic runs an additional Windows service in order to run Net2Go.

If you use Windows to check services when Network Magic is running, you will see the following Network Magic service:

Pure Networks, Inc. Net2Go Service

Your Net2Go host uses a popular Web server to make your shared folders accessible in Net2Go Web pages.

Use to access selected shared folders away from home through the Web.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

This allows Network Magic to obtain information from your router. The router service then provides this information to the Network Magic service described above.

A physical device that joins wired or wireless networks (for example, a router can connect your home network to the Internet). In a home network, you use a router to connect to the Internet, typically, using a cable or DSL modem. A router is also known as a gateway or base station.

A channel for network communications, including the ports found in a computer, router, or firewall. Different types of data transmit through different ports.

About the Network Magic services

When you turn on your computer, the Network Magic service automatically runs in the background. It automatically starts after you install Network Magic and any time you restart your computer.

When you restart the Net2Go host, Network Magic also automatically starts the Net2Go service.

Network Magic monitors your network automatically

What are Windows services?

About the Network Magic service

About the Net2Go service

For information about the ports that the Network Magic services use, see Network Magic ports.


Restart Network Magic

If you quit the Network Magic program, you can easily restart it.

  1. In the notification area, right-click the Network Magic icon.

  2. From the shortcut menu, select Open Network Magic.

Note

You can always start Network Magic from the Windows Start menu.


About Network Magic updates

Network Magic updates include the latest features and fixes.

You can receive updates automatically, or you can check for available updates manually.

Update after a notification or using a task

Check for updates

Update or reinstall using AOL

Install updates


Update after a notification or using a task

When an update is available, Network Magic automatically downloads it in the background (as you use other programs, and when you are not using your Internet connection).

When the download finishes, Network Magic displays a notification to indicate that an update is available for installation.

  1. Click the notification or task.

    Network Magic closes, and a setup wizard opens.

  2. Follow the instructions on the screen to install the update.

For installation steps, see Install updates.

If you miss the notification, Network Magic indicates that the update is available by displaying it as a task in What’s New.


Check for updates

Whenever you want, you can check for Network Magic updates.

  1. From the Tools menu, select Get Updates.

    The update service checks your current Network Magic version, and determines whether updating is needed.

  2. If updates are available, click Download.

    Network Magic confirms when downloading completes.

If the download does not succeed, try downloading again.

  3. Click Install.

    Network Magic closes, and a setup wizard opens.

  4. Follow the instructions on the screen to install the update.


Install an upgrade version

Install updates

After you have downloaded Network Magic updates, use the following procedure to install them.

If you are updating and are not sure whether your computer meets the system requirements, see Computer requirements before continuing.

  1. Click this button:

  2. Return to the folder where you saved the downloaded version.

  3. Double-click the file.

    This opens the installer wizard.

  4. Follow the instructions on the screen.

Note

To open Explorer yourself, in Microsoft Windows, click Start, point to All Programs, point to Accessories, and then click Windows Explorer.


Find what you need in Network Magic Help

About Network Magic Help

About the built-in Help features

Navigate Help

Print Help topics


About Network Magic Help

Network Magic includes many built-in features that help you with networking, including the Help you are now reading.

Help overview

Learn Network Magic basics

Help and accessibility

Help overview

This Help provides information about the following:

  • Using Network Magic and about home networking in general

  • Relevant Microsoft Windows tasks

  • Troubleshooting Network Magic problems and general home networking problems

  • Additional resources online (for example, contact information for manufacturers). Use these resources when you want to get more information and support, to expand your network, and so on.

Back to the top

Learn Network Magic basics

  1. In this Help, click the Contents tab.

  2. Click the Welcome to Network Magic book.

Tip

Back to the top

Help and accessibility

For accessibility-related information regarding the Help, see the following:

Help keyboard shortcuts

Change the font size

Magnify the Network Magic display

Back to the top


A component that connects to a network (for example, a printer, media player, or gaming device).

The Network Magic feature you use to help manage your network.

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

A physical device that joins wired or wireless networks (for example, a router can connect your home network to the Internet). In a home network, you use a router to connect to the Internet, typically, using a cable or DSL modem. A router is also known as a gateway or base station.

About the built-in Help features

As you use Network Magic, you will see special links that can provide you with specific information for your current situation.

For example, if you click a device in the network map, Network Magic displays the following link as a task:

Contact manufacturers

Click the link and Network Magic opens this Help to a list of popular equipment manufacturers where you can find contact information for the device (for example, how to contact technical support).

Learn more as you go along

In other situations, Network Magic includes this type of link so you can simply learn more:

Learn more ...

Using these links is a great opportunity to understand more, for example, about home networking, about your router settings, and so on.

Open standard Windows programs using Help

To help you quickly complete steps, you can simply click a button in the Network Magic Help—the Help you are reading now—to open standard Microsoft Windows programs.

Instead of the hassle of finding programs in the Windows Start menu, you can open programs that include Windows Explorer and a DOS command prompt, and Windows Control Panel items (for example, power options and sounds settings).

Example Click this button:


Navigate Help

Here are steps and tips on how to find the information you want.

Browse Help topics

Search for a word or phrase in Help

Search for a word in a topic

Tips for using Help

Browse Help topics

  1. In this Help, click the Contents tab.

  2. Click a book or topic title.

  3. To browse back through your Help history, click Back on the Help toolbar.

Search for a word or phrase in Help

  1. In this Help, click the Search tab.

  2. In the box, type the word or phrase you want.

  3. To limit search results, do one of the following:

    To limit the search to topics in which the words you specify appear next to each other, type the phrase or multiple words in quotation marks (").

    To search using Boolean operators, type AND, OR, NEAR, or NOT between words (for example, typing router and security lists those topics that include both the word router and the word security in them).
  4. Click List Topics, and then double-click a topic title to view it.

Search for a word in a topic

  1. Display the topic.

  2. Press CTRL+F.

  3. Type the word, and then click Find Next.

Tips for using Help

To ... | Do this ...
Show Help topics. | Either of the following: · From the Help menu, select Help. · When you are using Network Magic, press F1.
Search for an index entry. | 1. Click the Index tab. 2. In the box, type the word you want. 3. Double-click an index entry.
Close the Help window. | ALT+F4


Print Help topics

You can print one or more Network Magic Help topics to use for later reference.

  1. In this Help, click the Contents tab.

  2. Do one of the following:

    In the Help window's menu bar, click Print.

    Right-click the book or topic that you want to print, and then click Print.
  3. Select one of the print options.


Send feedback about Network Magic

You can send comments or questions about Network Magic, which will be used to help improve the software.

  1. From the Help menu, select Send Feedback.

  2. Follow the instructions on the screen.

    Make sure you include your Network Magic version number. For information about how to check it, see Get information about your program.

When you send feedback, your e-mail address is sent along so that we can contact you to respond to your questions or follow up with you for more information.

You can also automatically include recent log files to provide more information to help us solve your problem.


Uninstall Network Magic

  1. Save any unsaved work and close any other open programs.

  2. Click this button:

  3. Click the Add or Remove Programs icon.

  4. In the Add or Remove Programs list, locate Network Magic.

  5. Click the program name, and then click Change/Remove.

  6. Follow the instructions on the screen.

Note

To open Add or Remove Programs yourself with Windows XP, click Start, and then click Control Panel. If you are using another Windows version, click Start, point to Settings, and then click Control Panel.


Learn what's new in your network

What's New icon

Network Magic helps keep you informed about what is new or changed in your network.

When you want to get a quick, one-stop view of this information, click What's New.

Find recently-shared folders

Check network activity and About intruders

Get notifications about network activity


Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

Network Magic includes the following:

· The friendly name assigned to the folder when it was shared through Network Magic (for example, Vacation Photos)

· The Web access type for Net2Go (for example, whether it a public folder or a password-protected folder).

If you use the Microsoft Windows specialized private folders My Music and My Pictures as shared folders, Network Magic displays special icons to help identify them. For examples, see How Network Magic identifies shared folders.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

Use to access selected shared folders away from home through the Web.

Find recently-shared folders

You can quickly determine whether anyone in your network has recently set up shared folders using Network Magic.

  1. Click What's New.

  2. Look at the New Shared Folders box.

  3. To list any additional folders, click Show me what's new in Shared Folders.

About shared folder information


Check network activity

You can keep informed about home network activity and events by referring to a simple Network Magic log.

This log is an easy-to-understand list that shows when computers and devices joined (connected to) and left (disconnected from) your network. Network Magic runs continuously in the background, and detects what is new or changed in your network. When Network Magic detects certain events, it updates the log information in What's New to reflect the recent activity.

Check activity and events

View a log of network activity


Check activity and events

  1. Click What's New.

  2. Look at the Recent Network Activity box.

    The most-recent network events appear first.

  3. To understand the type of information displayed, see View a log of network activity.

Note

Network Magic lists a maximum of 50 events and up to 30 days' activity.


If the box lists network activity in red-colored text, Network Magic has detected a computer or a device that is not regularly connected to your network.

Often, this is a newly-connected device, but it can also be a wireless intruder. For more information, see About intruders.

A computer or device connected to your home network, and tracked through Network Magic.

View a log of network activity

Use Network Magic log information to check activity in your network.

In What's New, the Recent Network Activity box lists routine activity. For example:

Mary's Laptop joined the network | 8:00 PM
John's Computer left the network | 8:30 PM
D-Link Media Player joined the network | 8:45 PM

If text in the box is red


Get notifications about network activity

When your computer and other computers in your home are connected to your network, Network Magic notifies you about changes or new items in your network.

Network Magic notification

For example, if you copy new photos to your computer to share with others, Network Magic displays a notification. With a couple of clicks, others in your network can view your new photos.

Notifications appear in the notification area of the Microsoft Windows taskbar (typically at the lower right of your display).

For more information, see the following:

When notifications appear

How you use notifications

Play a sound with notifications

Change the notification sound


Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

A computer or device connected to your home network, and tracked through Network Magic.

You can control whether or not Network Magic will display notifications for certain network activities.

For information, see Set notification options.

When notifications appear

Here are examples when Network Magic displays a notification:

  • You connect to your home network.

  • Another computer or device connects to your home network.

  • There are newly-shared folders (for example, music, photos, video, or other documents).

  • There are Network Magic updates available for downloading.

  • A computer or device tracked as an intruder connects to your network.

Tip


How you use notifications

Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

  1. Network Magic displays the notification because someone in your home has connected a network digital music player to your network.

  2. You click the notification to determine what the device is.

  3. Network Magic displays the network map, where you can see that the device is in your network.

  4. You can check the details that Network Magic displays about it (for example, to make sure it is online and available for you to use).

A device that connects to a network, letting you play music (for example, MP3s) on a stereo.

The Network Magic feature you use to help manage your network.

  1. Network Magic displays the notification because someone in your home has added new music to a shared folder in your network.

  2. You click the notification so you can access the music.

  3. Network Magic opens Microsoft Windows Explorer, which lists the music files.

  4. You click the music file you want. Your computer's media player opens the file and plays the music.

How you use notifications

When Network Magic displays a notification, click it to learn more about what is new in your network. Doing this takes you to the right place in Network Magic.

Examples

When you see a notification for a new device ...

When you see a notification for new shared folders ...


Personalize your home network

Check mark icon

To make your network easier to understand and use, you can personalize it: name the network and give friendly names to the computers and devices in it.

Why name your network, computers, and devices?

Your network reflects you and your interests.

For example, yours might be a basic, office-based network with a couple of computers and a printer. Or, your network might be more complex, with various computers, both wired (for example, Ethernet) and wireless connections, networked home entertainment devices, and more.

Everyone in your home can remember and quickly use network resources with simple names.

How to personalize your network

Name your network

Give a computer a better name

Name a device and give it an icon

If you have a network printer, also see Identify a network printer.

When you use Net2Go, you personalize your network even more when you Set up your Net2Go home page.


Name your network

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

After you name your network, Network Magic displays the name in the following locations:

  • The Network Status box (top right of the Network Magic display)

  • The Network Magic title bar (above the Network Magic display)
  1. Click Network Map.

  2. In the map, click your router.

  3. In the Tasks tab, click Change Network Name.

  4. In the Change Network Name dialog box, type the name you want (for example, Smith Family Network).

  5. Click OK.

Name your network

You can give your network a friendly name to make your network easier to identify (for example, Smith Family Network).

Where your network name appears

How to name your network


An easy-to-remember name for a computer, device, or shared folder in Network Magic.

You can check the network map and see that John's Computer is connected to the network (rather than a computer labeled CDE-12345admin).

Or, while routinely using the network, everyone can tell that mom has connected after seeing a notification that Mary's Laptop is online (rather than a computer named CORPNET567).

The Network Magic feature you use to help manage your network.

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

A name that uniquely identifies a computer on a network. With Network Magic, a computer has two names: a computer name and a friendly name.

Give a computer a better name

You can give each computer in your network a friendly name to use in Network Magic. Doing so makes it easier for everyone in your home to identify various computers.

Example

  1. Click Network Map.

  2. Click the computer you want to name.

  3. Do one of the following:

    In the Tasks tab, click the computer naming task. In the dialog box, type the name you want and click OK. In the map, right-click the computer. From the shortcut menu, select the option to change the friendly name.

When you give a computer a friendly name, the computer keeps its computer name.


Name a device and give it an icon

You can give an easy-to-understand identity that Network Magic uses with each device in your home network, including:

  • Name it. Give the device a friendly name.

    Example     If John has an Acme Model 1000 Series A network digital music player, you might locate and use it more easily with the name John's Music Player.

  • Select the type. Select the device type (for example, a game console, a photo printer, and so on). When you do this, Network Magic automatically identifies the device with the appropriate icon (for example, for use in the network map).

Doing so makes it easier for everyone in your home to identify devices (for example, to determine whether it is turned on and connected to your network). Also, you can more easily associate the device with the information about it (that is, the information displayed in the network map's Details tab).

For more information, see the following:

How Network Magic detects devices

Why naming makes networking easier

Name a device

Identify multiple network devices


How Network Magic detects devices

Automatically, Network Magic can identify the following:

  • Devices that use the UPnP standard

  • Devices that use a Web-based administrative utility, similar to the utilities found with most routers

Network Magic can automatically show these in the network map (that is, include the device's name and include the appropriate icon for it).


A component that connects to a network (for example, a printer, media player, or gaming device).

A computer or device that Network Magic cannot accurately identify.

Records television programs to hard disk, rather than to video tape.

A camera that transmits photos over a network or the Internet. Also known as a webcam or an IP camera.

Why naming makes networking easier

When you initially add to your network a device that Network Magic cannot recognize, Network Magic identifies it as a network device.

If you have multiple devices, you cannot easily distinguish what each device is.

Example

Network Magic shows these network devices—a digital video recorder, a game console, and a network camera—as follows:

Network device icon

Unknown

Network device icon

Unknown

Network device icon

Unknown

After you name them and identify their types, Network Magic shows these devices as follows:

Digital video recorder

Digital Video Recorder

Game Console

Network camera or webcam

Network Camera


A component that connects to a network (for example, a printer, media player, or gaming device).

A computer or device that Network Magic cannot accurately identify.

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

The Network Magic feature you use to help manage your network.

Name a device

You can easily use Network Magic to name and identify a device.

  1. Click Network Map.

  2. Click the network device.

    In the Tasks tab, click the device naming task.

  3. In the Rename dialog box, do the following:

    Type the name you want.

Tip Use a shorter name. In the network map, there is a limit to how much of a name appears.

  4. In the list, select the device type.

  5. Click OK.

    The network map displays the device with your new name and the appropriate icon for the device.


Identify multiple network devices

In some situations, Network Magic can show multiple network devices in the network map.

Use the following steps to determine which device is which, and to give each device a friendly name—and thus avoid similar problems in the future.

  1. Disconnect and turn off all of the devices that you have not yet identified.

  2. Connect a device and turn it on.

  3. Follow the steps in Name a device to identify it.

  4. Repeat steps 2 and 3 until you have identified all devices.

If you have a network printer, also see Identify a network printer.


Manage your network

Network Map icon

Network Magic continuously checks your home network, including your network connections, computers, devices, and printers.

Quickly and easily, you can get network status information.

About the Network Magic network map

About network map areas and About network map items

Display information about computers and devices

Get detailed network information

Why certain items do not appear in the map

How to manage your network

Check your network's status

Administer your router

Add a computer to your network and Add a device to your network

Set your Network Magic preferences

Complete common tasks in your network

Troubleshooting

Problems with connections

Problems with the network map


Check your network's status

Network Magic continuously checks your network, including its connections, computers, devices, and printers. Quickly and easily, you can get the status information that Network Magic has about your network.

Get basic information about connections

To do this, check the color of the Network Magic icon in the notification area:

Icon color | Connection status
Tray icon color for active Internet connection | Your network's connection to the Internet is working properly.
Tray icon color for no network or Internet connection | The computer where you see this status has no connection, either to your network's router or to the Internet.
Tray icon color for connection to another network | The computer where you see this status is connected to another network. For more information, see If you connect to another network.

Learn more about your network's status

You can get more-detailed information about your network. Based on the type of status information you want, do the following:

For a look at your entire network ...

View computers, devices, and connections

To check the status of various connections ...

View computers, devices, and connections

Check your Internet connection

To access shared folders ...

Access shared folders

To check the status of shared printers ...

Find printers in your network


View and fix network alerts

Network Magic’s Network Alert Center gives you up-to-the-minute status of the security of each computer on your network. Using this feature, you’ll know if there are any intruders on your network, and if any of the computers running Network Magic on your network are not adequately protected with antivirus or firewall software or the most recent version of Windows Update.

Understanding the security status of your network

Network Magic’s Network Alert Scan runs in the background every two seconds and automatically detects and classifies security threats on each computer and your network as Critical or Urgent.

Network Magic shows you the security status of each of the computers in your network by showing the appropriate shield on each computer in the map.

Shield | Meaning
 | Critical alert. This alert requires immediate attention as your network security may be compromised.
 | Urgent alert. This alert tells you about something you should be aware of.
 | No alerts. Note that this may mean you have alerts, but have chosen to ignore them.

When there is one or more Critical or Urgent alerts on any of the computers in the network, or if there is an intruder on your network, or your network is unprotected, the Health and Security Services panel in the upper right corner of Network Magic will show you the appropriate alert shield, indicate the alert status, and tell you how many alerts there are on your network. For instance, if you don't have antivirus software on one of the computers in your network, a Critical alert will display on the computer as well as in the Health and Security Services panel.

How to view and fix network alerts

  1. Click View health and security alerts in the Health and Security Services panel to view all of the alerts in the Network Alert Center. The Network Alert Center lists each alert and which computer the alert is for.

    To learn more about an alert and what to do about it, click the blue text to the right of each alert. This will then tell you what you need to do in order to clear the alert and make it go away. In some cases, you will need to go to the computer that has the security issue in order to fix it; in others, Network Magic will automatically fix it for you.

  2. To view alerts for an individual computer, click that computer in the Network Map and then click on the Alerts tab within the Properties panel to the right of the Network Map. On this tab you can see the specific alerts for that computer, and take steps to resolve those alerts.

  3. If there are intruders on your network, Network Alert Center uses the Wireless Protection Center to kick those intruders off the network. For more information, see Using the Wireless Protection Center.

Ignoring network alerts

You can ignore all alerts for a specific computer so that they do not appear in Network Magic.

  • Click the computer which has the alerts, then click the Alerts tab in the Properties panel to the right of the Network Map. In the Alerts tab, click Hide alerts.

    This hides the alerts in Network Magic, showing no alerts for that computer and removing the alert shield from that computer. You can always view alerts again by clicking the computer and then clicking Show alerts in the Alerts tab.

Note that since computers which have all alerts hidden have no shield, you can easily identify these in the Network Map if you need to.

You may also have the option to ignore a specific alert. To do this, view the alert; in most cases, you’ll have the option to either fix or ignore the alert.

The Network Alert Scan

The Network Alert Scan runs automatically in the background and continually analyzes the security status of your network. To trigger an immediate scan of your network, click View health and security alerts in the Health and Security Services panel and click Scan now. Note that if alerts are hidden for a particular computer, they will remain hidden after this scan.

What Network Alert Center monitors

The Network Alert Center monitors the following security issues on your network:

  • The presence and status of antivirus software on each computer in your network

  • The presence and status of a software firewall on each computer in your network

  • The status of Microsoft Windows security updates on each computer in your network

  • The version of Network Magic on each computer in your network. For Network Alert Center to work properly, it is important that you keep each computer up-to-date with the latest version of Network Magic.

  • The presence of intruders on your network

  • The status of your wireless network's security

Antivirus, Firewall, and Windows Update monitoring

When possible, you can see name and version information for antivirus, firewall, and Windows Update software on each computer:

  • Click a computer in the Network Map, then click the Alerts tab. You’ll see whether antivirus, firewall, and Windows Update software is installed and up-to-date. Click Details to see (when possible) the product name, version number, vendor name, and company support contact information.

Notes

  • You must be running Windows XP Service Pack 2 on each computer in order to detect and view network alerts on that computer.

  • Network Magic detects and communicates the status of most all major third-party antivirus and firewall products. If one of your products is not detected, and you would like Network Magic to monitor it, please send email to info@purenetworks.com.


View computers, devices, and connections

Using the Network Magic network map is a simple, direct way to manage your home network and make sure your network is working correctly.

  • To view the map, click Network Map.

Tip

When you click Network Map, you can do the following:

  • Determine your network’s status at a glance (for example, verify connections or check whether another computer is online).

  • Easily manage computers and devices in your network. Right-click an item in the map, then quickly complete common network tasks.

For more information, see the following:

About network map areas

About network map items

Refresh your view of the network

If a computer does not have Network Magic installed

Why certain items do not appear in the map

Remove a computer or device from the map


About network map items

The Network Magic feature you use to help manage your network.

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A networking standard that uses cables to connect computers and devices.

A popular term for 802.11 wireless networks. Wi-Fi is short for wireless fidelity.

The computer that hosts your Net2Go Web site.

A computer or device that Network Magic cannot accurately identify.

A computer or device connected to your home network, and tracked through Network Magic.

An online computer or device is turned on and connected to the network. For the Net2Go Web site, online means it is accessible on the Web.

An offline computer or device can be turned off or disconnected from the network. For the Net2Go Web site, offline means it is not accessible on the Web.

A printer connected directly to the computer you are using (sitting at).

A printer connected directly to a network, rather than to a computer.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

A device used for wireless network access. Also known as an access point (or AP) or bridge.

A camera that transmits photos over a network or the Internet. Also known as a webcam or an IP camera.

A way of using the Internet to make telephone calls, rather than the traditional telephone network. VoIP is an abbreviation for Voice over Internet Protocol.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

About network map items

Here are items that appear in the network map:

Internet

Routers

Computers

Network devices

Online and offline

Printers and Other devices

Connections and the red X

For more information about understanding the network map, see About network map areas.

Internet

Internet icon

Identifies the Internet and your network's connection to it, through your ISP.

Back to the top

Routers

Wired (Ethernet) router icon Wireless router icon

Identifies the router in your network, either a wired (for example, Ethernet) router or a wireless (Wi-Fi) router.

Back to the top

Computers

Computer with Network Magic installed Laptop computer with Network Magic installed

Identifies computers with Network Magic installed.

Net2Go icon

Identifies the Net2Go host.

Computer connected to the network Laptop computer connected to the network

Identifies computers where one or more of the following applies:

The computer does not have Network Magic installed. For more information, see Install Network Magic on each computer.

The computer does not use Microsoft Windows. For more information, see About non-Windows computers.

The computer has Network Magic installed, but might have a problem exchanging information with other Network Magic computers. For more information, see When the network map shows that Network Magic is not installed.

Back to the top

Network devices

Network device icon

Identifies a network device. This includes the following:

A device that Network Magic cannot accurately identify. If you know what the device is (for example, a device you have just connected), you can make it easier to identify so everyone in your network can use it. For information, see Name a device and give it an icon.

A computer that does not have Network Magic installed on it

An intruder: A computer or device connected to your home network, and tracked through Network Magic. For more information, see About intruders.

To learn more about regular network devices and other devices, see About network map areas.

Back to the top

Online and offline

Online shared folder

Identifies computers and shared folders that are online ...

Offline shared folder

... and a dimmed appearance identifies computers and shared folders that are offline.

For information about how Network Magic shows online and offline printers, see Check a printer's status.

Back to the top

Printers

The network map shows printers that use two types of connections:

A local printer appears joined to the computer to which it is connected

A network printer appears similar to other devices, joined to a connection in your network. To make it easier to use a network printer, you can give it a friendly name. For information, see Identify a network printer.

Shared printer icon

Identifies a shared printer connected to a computer in your home network. For more information, see Share a printer connected to a computer.

Printer connected, not shared icon

Identifies a printer connected to your network, but not shared.

The following are network printers that have been identified as a particular type.

Laser printer icon

A device identified as a laser printer.

Photo printer icon

A device identified as a photo printer.

Back to the top

Other devices

The following are examples of devices that someone has identified as a particular type of device.

Access point icon

A device identified as a wireless access point.

Network camera (webcam) icon

A device identified as a network camera.

Voice over IP device icon

A device identified as a VoIP device.

To make devices easier to identify and use, you can assign each network device a friendly name and an icon. For more information, see Name a device and give it an icon.

Back to the top

Connections

Line for an active connection

Identifies an active connection.

Line for a broken connection

Identifies a broken connection, accompanied with a red X. For information about dealing with these, see Troubleshooting.

Wireless connection

Identifies a wireless connection from a computer that has Network Magic installed.

Broken connection icon

Identifies a broken connection, accompanied with the broken connection line.

Example If this appeared on the map between your router and the Internet, it indicates that there is a problem in the connection between your ISP and your router. For information about dealing with these, see Troubleshooting.

Back to the top


The Network Magic feature you use to help manage your network.

A computer or device connected to your home network, and tracked through Network Magic.

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

About network map areas

The network map is an intuitive way to check the state of network connections, computers, and devices.

The map includes these areas:

This Computer

Other Devices

Intruders

Internet connection

Device Properties

For information about items in these map areas, see About network map items.

This Computer

The This Computer area includes the current computer where you are running Network Magic and viewing the network map

This Computer map section

Back to the top

Other Devices

The Other Devices area includes computer and devices that are a regular part of your home network.

When you first install Network Magic, it detects devices currently connected to your home network and automatically accepts them. Afterward, Network Magic automatically detects when a new network device connects. For more information, see About new network devices.

Other Devices map section

Back to the top

Intruders

The Intruders area includes computers and devices you or others in your home are tracking as intruders.

For more information, see About intruders.

Intruders map section

Back to the top

Internet connection

The Internet connection area includes your home network's connection to the Internet, including the following:

  • The connection from your home network to your ISP

  • The router in your network

Internet connection map section

Back to the top

Device Properties

Within the network map, the Device Properties area contains three tabs, which show information about the network map item you have clicked:

  • The Tasks tab, listing any tasks you can perform on the current item

  • The Details tab, listing specific technical information for the current item

  • The Alerts tab, listing any network alerts for the current item

Back to the top


Refresh your view of the network

You can refresh the Network Magic network map, for example, to make sure that a newly-connected computer or device is properly connected to your network and ready for use.

  • From the Tools menu, select Refresh Network Map.

For information about automatic scanning, see About Network Magic setup.


If a computer does not have Network Magic installed

Icon appears with computer not running Network Magic

In the network map, this icon appears with a computer that does not have Network Magic installed and running.

Install Network Magic on the computer

After you install and run Network Magic on each computer that uses Microsoft Windows, you and everyone else in your home network can do the following:

  • Learn what's new in your network.

  • Get more-detailed information about computers and devices.

  • More easily access shared folders and printers.

To make sure a computer can run Network Magic, see Computer requirements.

For information about computers that use operating systems other than Microsoft Windows, see About non-Windows computers.


About non-Windows computers

Although you install and run Network Magic on Microsoft Windows-based computers, you can include in your network computers that use other operating systems.

While you can include such computers, keep in mind that Network Magic provides a limited amount of information about them.

Apple Macintosh, UNIX, and Linux computers

  • Each of these types appears in the network map as a computer that does not run Network Magic.

  • Using Network Magic, you can assign these computers a friendly name and an icon, just like with a device. For information, see Name a device and give it an icon.

Note

Remember, many devices (for example, a network adapter) have MAC addresses. "MAC" does not refer specifically to Apple Macintosh computers, which are known by the "Mac" nickname.


Why certain items do not appear in the map

The Network Magic feature you use to help manage your network.

Because you install and run Network Magic on computers that use Microsoft Windows 98 SE or later, computers using other operating systems might appear in the network map, or might not appear at all.

The following appear in the network map, but with limited information:

  • Apple Macintosh computers

  • Linux and UNIX computers
  • Computers that run Microsoft Windows 95 or earlier

The following do not appear in the network map:

  • Wireless range extenders

  • A hub, a switch, or a bridge

Connects Ethernet cables on a network. A hub transmits data, but does not control data flow.

Connects computers and other devices on a network, using Ethernet cables.

A device that transmits data from one part of a network to another (for example, a wireless access point).

Here is a recommendation if your network includes both a wired (for example, Ethernet) router and a wireless router ( wireless access point) that is not set up as a bridge. Network Magic identifies this setup as two networks and will not be able to detect computers and devices on both networks.

To allow Network Magic to display both routers on the network map, you should set up the wireless router as a wireless access point. For steps to do this, see the device's product documentation.

A networking standard that uses cables to connect computers and devices.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A device used for wireless network access. Also known as an access point (or AP) or bridge.

Why certain items do not appear in the map

Because of the variety of home network setups and network hardware, Network Magic either cannot accurately display specific information for certain devices in the network map or cannot display them at all.

Computers

Network equipment

If your network has multiple routers


Remove a computer or device from the map

  1. In the network map, click the computer or device you want to remove.

  2. In the Tasks tab, click the remove option.

  3. At the confirmation dialog box, click Yes.

Here is another way to do this: In the map, right-click the computer or device, and then select Remove from the Network Map.

If the computer or device reconnects to your home network, the network map will display it again.


Set your Network Magic preferences

Make Network Magic work the way you want.

You can set your preferences for the following:

Start Network Magic automatically

Track all new devices as intruders

Set notification options

Play a sound with notifications

Hide or show Net2Go Manager

Network Magic preferences apply to the computer where you set them.

When you use Network Magic at more than one computer in your network, set preferences at each computer.


Start Network Magic automatically

You can control whether the Network Magic program automatically starts when you start Microsoft Windows (for example, when you restart your computer).

If you select this option, Network Magic continues to run in the background (that is, the Network Magic service still starts) when Windows starts. This means that your shared folders and printers remain accessible to other Network Magic computers in your network.

  1. From the Tools menu, select Options.

  2. Under Startup Options, select the Start Network Magic when Windows starts check box.

  3. Click OK.

Tip

Note

Doing this affects only the Network Magic program. The Network Magic service will still automatically start. For more information about the service, see About the Network Magic services.


Track all new devices as intruders

You can set up Network Magic to automatically Track network activity for each new or network device that connects to your network.

If you track new devices, you receive intruder notification for each new device, including computers that have Network Magic installed but that are not already part of your network.

  1. From the Tools menu, select Options.

  2. Under Security Options, select the Automatically track new devices as intruders check box.

  3. Click OK.

Tip


Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

Here is another way to access Network Magic preferences:

1. Right-click the Network Magic icon in the Windows taskbar.

2. Select Options.

Set notification options

You can control which notifications Network Magic displays on each computer.

Example You can receive notifications when new shared folders are available but not receive notifications about the status of your Internet connection.

  1. From the Tools menu, select Options.

  2. Depending on the situations for which you want Network Magic to display notifications, select or clear check boxes:

    · The Internet connection to your home network disconnects or reconnects.

    · New shared folders are available.

    · A new computer or device connects to your network.

    · A computer or device that regularly connects to your network connects again

    · Your computer connects to another network. For more information, see If you connect to another network.

  3. Click OK.

Tip


Play a sound with notifications

You can control whether you want to hear a sound when Network Magic displays a notification.

  1. From the Tools menu, select Options.

  2. Under Other options, select the Play a sound when showing a notification check box to play a sound.

    If you do not want to play a sound, clear the check box.

  3. Click OK.

Tip

For steps on how to select the sound that plays, see Change the notification sound.


Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

With step 5 in this procedure, you can test a sound. In the Sounds list, click the sound you want to test, and then click the play button.

To open Sounds and Audio Devices yourself in Microsoft Windows, click Start, and then click Control Panel.

Change the notification sound

You can change the sound that your computer plays when Network Magic displays a notification.

  1. Click this button:

  2. Click the Sounds tab.

  3. Under Program events, locate the Network Magic event.

  4. Select Network Magic Notify.

  5. In the Sounds list, click the sound you want your computer to play.

    If the sound you want to use is not listed, click Browse to search for it.

  6. Click OK.

Tips

For steps on how to turn on or turn off the notification sound, see Play a sound with notifications.


Hide or show Net2Go Manager

You can hide or show the Net2Go Manager page on each computer that runs Network Magic.

For example, if another user in your network does not need to know the status of your Net2Go Web site, you can hide the Net2Go Manager.

Do not hide the Net2Go Manager on the Net2Go host computer or your Net2Go Web site will no longer be accessible.

If you only want to shut down your Web site, follow the steps in Shut down or start the Net2Go Web site.

Hide the Net2Go Manager

  1. Go to the Net2Go host.

  2. From the Tools menu, select Options.

  3. Under Other Options, select the Disable Net2Go on this computer check box.

  4. Click OK.

Show the Net2Go Manager

Repeat the procedure above, but in step 3 clear the Disable Net2Go on this computer check box instead.


Administer your router and devices

To quickly view or change router or device settings, use Network Magic to open the Web-based utilities that you use to set up and manage your router and other devices in your network.

Doing so allows you direct access to view or change router or device settings.

Administer your router

Set up access to router settings

Administer other devices

This feature applies only to routers or devices that use a Web-based administrative utility.


A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

A simple thing you can do to help make your network more secure is to change the factory settings for the user name and password used with your router's Web-based administrative utility.

For information, see Change the router's administrative password.

Administer your router

Directly from Network Magic, you can open the Web-based administrative utility that you use to set up and manage your router.

  1. Click Network Map.

  2. In the Tasks tab, click Set up or manage device.

  3. After your computer opens a Web browser and displays a log-on dialog box, follow the steps in the router’s product documentation to specify your user name and password.

    If your router uses only a password and does not require a user name, leave the user name field blank and type just your password.

Tip


Set up access to router settings

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

This allows Network Magic to provide everyone in your home network with more-complete information about your network.

Routinely, Network Magic exchanges detailed information about your network—for example, computer operating systems and network settings—with each computer that runs Network Magic. When Network Magic can access your router, Network Magic can then automatically obtain router information, including its settings and status (for example, online or offline).

An online computer or device is turned on and connected to the network. For the Net2Go Web site, online means it is accessible on the Web.

An offline computer or device can be turned off or disconnected from the network. For the Net2Go Web site, offline means it is not accessible on the Web.

In the following procedure, you specify your router user name and password, which you use to access its Web-based administrative utility (for example, to change router settings).

  • Do not confuse this user name and password with those used with Microsoft Windows user accounts.
  1. Click Network Map, and then click your router.

  2. In the Tasks tab, click Set up access to router settings.

  3. In the dialog box that appears, type your router user name and password.

  4. Click OK.

A computer or device connected to your home network, and tracked through Network Magic.

Set up access to router settings

You can help Network Magic work better in your network by setting up access to your router settings.

What does this do?

How to set up access to router settings

Important Set up your own user name and password for the router. For more information, see Change your router's administrative password.

Note

With Network Magic, your router user name and password are secure. Network Magic does not expose these to other users in your network, or to anyone outside your network (for example, to an intruder).


Administer other devices

Directly from Network Magic, you can open the Web-based administrative utility that you use to set up and manage other devices.

Learn more ...

  1. Click Network Map.

  2. Click the device.

  3. In the Tasks tab, click Set up or manage device.

  4. After your computer opens a Web browser and displays a log-on dialog box, follow the usual steps to specify your user name and password.


Add a computer or device to your network

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

A component that connects to a network (for example, a printer, media player, or gaming device).

A name that identifies a wireless network. SSID is an abbreviation for Service Set IDentifier.

A unique number assigned by a manufacturer to a device (for example, a network adapter) to identify it. MAC is an abbreviation for media access control.

A way of helping protect data transmitted over wireless networks. WEP is an abbreviation for Wired Equivalent Privacy.

A way of helping protect data transmitted over wireless networks. WPA is an abbreviation for Wi-Fi Protected Access.

You can use Network Magic to locate your network's WEP/WPA key so you can enter it in the device when prompted. To do this, click on your router in the Network Map, and then click Set up or manage device on the Tasks tab in the Device Properties panel. Then, within the router's management page, locate the WEP/WPA key.

You can use Network Magic to access your router’s management page so that you can enable the wireless feature on your router. To do this, click on your router in the Network Map, and then click Set up or manage device on the Tasks tab in the Device Properties panel. Then, within the router’s management utility, locate the page that allows you to enable and disable wireless SSID capability.

Add a computer or device to your network

You can easily add a computer or device to your Network Magic network.

  1. If you are adding a computer to your Network Magic network, you may want to install Network Magic on that computer first.

  2. Do one of the following:

  • Click Add New Device on the Tools menu

  • Click Network Map and click Add New Device

  3. The Add A Device wizard walks you through adding a computer or device to your network.

    Adding a computer or device to Network Magic may require that your network be temporarily unsecured, depending on your network setup. If your router supports the Wireless Protection feature, these changes occur automatically. Otherwise, you may be prompted to make changes manually:

  • If you are prompted to turn on the broadcast (transmission) of the wireless network name (SSID), you will need to do this before continuing the wizard. When the wizard completes, you should turn off the wireless network name transmission. For more information, see Turn off wireless network name broadcasting.

  • If you are prompted to disable MAC address filtering, you will need to do this before continuing the wizard. When the wizard completes, you should enable this feature. For more information, see Limit wireless connections using MAC filtering.

  • If you have encryption (WEP or WPA) set up on your network, the wizard will prompt you at the appropriate time to provide the WEP/WPA encryption key in the appropriate location on the computer or device. The method for entering in the key will vary depending on the computer or device you're adding.

    Tip

  4. If the wireless feature is disabled on your router, the wizard will detect this and notify you. Almost all routers have the ability to disable their wireless feature. To add wireless devices to Network Magic, you'll want to enable your router's wireless capability; instructions for how to do this will depend on your router model, so you'll need to check your router's documentation to learn how to do this.

    Tip

  5. Network Magic lists any computers or devices found on your network; check the boxes next to the item(s) you want to add and click Add. The new items appear in your Network Map.

    If your computer or device is not recognized by the wizard, your device has not yet successfully connected to your network (Network Magic's technology will instantly detect any device with an IP address that connects to the network). Make sure that the physical connections (cables) are plugged in correctly, the device is powered on, and that if wireless, the device is properly configured.

Notes

  • Using Network Magic, you can quickly scan the network for any newly-connected devices. For information, see Refresh your view of the network.

  • If you have any problem with this procedure, check Troubleshooting for a solution.


  1. Click Network Map.

  2. In the map, click the computer or device.

    For details about your Internet connection, click The Internet.

  3. In the Device Properties panel, click the Details tab, and review the information displayed.

  4. To learn about the details that Network Magic displays, click Learn about these details at the bottom of the Details tab.

Get detailed network information

As you use Network Magic, you can read details and status for your network's computers and devices.

For example, by reviewing details, you can determine whether a device is online so you can use it.

How to display details about computers and devices

Get details about a computer

Get details about a device

Get details about your Internet connection

Get details about a printer

Get details about your router

Get details about Net2Go


Get details about a computer

This is the computer's friendly name.

For information about adding or changing this name, see Give a computer a better name.

An easy-to-remember name for a computer, device, or folder of shared files used in Network Magic. Friendly names make things in your network easier to identify (for example, Photo Printer or a folder named Vacation Photos). It can indicate where a computer is in your home (for example, Kitchen Computer)--or, it can simply be a fun name (for example, Groucho). When you give a computer a friendly name, the computer keeps its computer name. For example, the same computer can have both the computer name "CDE-12345admin" and the friendly name "John's Computer."

For example, Workstation or Laptop.

With Net2Go, the information that Network Magic displays here can identify the Net2Go host.

This is another name for a computer connected to a network. This term is used to help distinguish between a computer and a server.

This Network Magic feature allows you to access selected shared folders when away from home through the Web, using a popular Web browser. Examples of what you can do include showing relatives photos of your family and transferring files between the network and a computer outside the home.

This is the computer that has the simple Web site you use with Net2Go. When you connect to the network to access shared folders, this is the computer to which you connect.

This indicates whether the computer has Network Magic installed and running (active).

Active includes the Network Magic version number.

This is the computer name, which is different from the Network Magic friendly name.

For information about why giving your computer a friendly name is a good idea, see Give a computer a better name.

A name that uniquely identifies a computer on a network. With Network Magic, a computer has two names: a computer name and a friendly name.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

This indicates whether the computer is connected to your network (online or offline).

Network Magic shows the status for other computers, and not for the computer you are using to check details.

An online computer or device is turned on and connected to the network. For the Net2Go Web site, online means it is accessible on the Web.

An offline computer or device can be turned off or disconnected from the network. For the Net2Go Web site, offline means it is not accessible on the Web.

This appears if the computer is using a wireless (Wi-Fi) connection to the network. This includes the following:

  • The wireless signal strength (Excellent, Very Good, Good, or Poor)

  • A bar graph that illustrates this signal strength

If you are experiencing a poor quality wireless signal, there are several possible sources of the problem. For information, see these recommendations.

You can see this detail for the computer you are currently using, and but not for another computer in your network that is wirelessly connected. This detail does not appear for computers using Windows Me.

A popular term for 802.11 wireless networks. Wi-Fi is short for wireless fidelity.

This shows the name and model of the network adapter the computer is using to connect to your network.

This detail does not appear for computers using Windows 98 SE or Windows Me.

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

This shows the speed of the computer's connection to your network, in Mbps.

A measurement of data transfer speed, equal to one million bits. Mbps is an abbreviation for megabits per second.

This wireless network name (SSID) appears if the computer is using a wireless (Wi-Fi) connection to the network.

This detail does not appear for computers using Windows 98 SE or Windows Me.

A name that identifies a wireless network. SSID is an abbreviation for Service Set IDentifier.

A popular term for 802.11 wireless networks. Wi-Fi is short for wireless fidelity.

This is the computer's IP address and subnet mask.

In a typical home network, your computer's IP address is in the range 192.168.X.X (where X is a number from 1 through 254). Typically, your router assigns a computer this IP address, using DHCP.

This is a private IP address, compared to the public IP address that Network Magic displays for your Internet connection. For more information, see Get details about your Internet connection.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

A type of IP address that splits networks into smaller groups (for example, 255.255.0.0).

A protocol that dynamically assigns IP addresses in a network. DHCP is an abbreviation for Dynamic Host Configuration Protocol.

This is the MAC address for the computer's network adapter.

A unique number assigned by a manufacturer to a device (for example, a network adapter) to identify it. MAC is an abbreviation for media access control.

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

This is the computer's operating system (for example, Microsoft Windows XP Home or Microsoft Windows XP Professional).

With Windows, SP means "service pack." A service pack contains a variety of updates to the Windows operating system. Service packs are identified by number. For example, if Network Magic shows SP2 after the Windows version, it means the computer has service pack 2.

The processor information includes the manufacture and model (for example, Intel Pentium 4), and the processor's speed, in gigahertz (GHz).

The brains of a computer. Also known as a central processing unit (CPU) or central processor.

This is the amount of memory that the computer has, with the amount shown in megabytes (MB).

This is also known as random access memory (RAM).

This is the number of Network Magic shared folders that the computer has.

To learn about sharing, see Share music, photos, and files.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

Get details about a computer

Laptop computer icon

Here is what Network Magic displays in the Details tab of the Device Properties panel:

Computer name

Computer type

Additional details include the following:

Network Magic

Computer Name

Status

Signal Strength

Connected Via

Connection Speed

Network Identifier (SSID)

IP Address and Subnet mask

MAC address

Operating System

Processor

Memory (RAM)

Shared Folders

To learn about the details that Network Magic displays for devices, see Get detailed network information.


Get details about a device

This is the device's friendly name. If the device type is unidentified, Network Magic shows the name Network Device.

For information about identifying a device, see Name a device and give it an icon.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

For example, network camera.

For information about identifying the device, see Name a device and give it an icon.

A camera that transmits photos over a network or the Internet. Also known as a webcam or an IP camera.

UPnP devices play well (are interoperable) with computers, networks, and other devices. UPnP is an abbreviation for Universal Plug and Play.

This indicates whether the device is connected to your network (online or offline).

An online computer or device is turned on and connected to the network. For the Net2Go Web site, online means it is accessible on the Web.

An offline computer or device can be turned off or disconnected from the network. For the Net2Go Web site, offline means it is not accessible on the Web.

This is the device's manufacturer, and additional information about it.

Network Magic gets these details from the device.

For contact information for popular device manufacturers, see Contact manufacturers.

This is the device's IP address and subnet mask.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

A type of IP address that splits networks into smaller groups (for example, 255.255.0.0).

This is the device's MAC address.

A unique number assigned by a manufacturer to a device (for example, a network adapter) to identify it. MAC is an abbreviation for media access control.

This is a link to the manufacturer's Web site.

Tip Use the manufacturer's Web address as an easy way to get the following:

· Updates (for example, the latest versions of a driver or firmware)

· Troubleshooting information for the device

Software that lets a computer run hardware or a device (for example, to use a printer, you need the right printer driver).

The software that runs a router or device.

This is a telephone number for the device manufacturer's technical support.

Use this number if there is a problem you cannot resolve (for example, using the product documentation, or References and support).

Get details about a device

Digital video recorder icon Voice over IP device

Here is what Network Magic displays in the Details tab of the Device Properties panel:

Device name

Device type

If the device uses the UPnP standard, Network Magic displays more details:

Status

Manufacturer, Description, Model, and Model Number

IP address and Subnet mask

MAC address

Manufacturer URL

Manufacturer phone

To learn about the details that Network Magic displays for computers and other devices, see Get detailed network information.


Get details about your Internet connection

This indicates whether your network is connected to the Internet.

If it is disconnected, go to the Network Status box and click Repair. You can use Network Magic to try to repair a connection problem, using a simple Network Magic wizard. Follow the instructions on the screen. For more information, see Check your Internet connection.

This shows the Network Magic Net2Go address when Net2Go has been set up and is turned on.

This shows Not Enabled when Net2Go has been turned off.

The address you and visitors enter in a Web browser for your Net2Go Web site.

Use to access selected shared folders away from home through the Web.

These are the IP addresses for the DNS used with your Internet connection.

Most Internet service providers (ISPs) automatically provide you with these IP addresses (that is, you do not have to specify them in your router's Internet connection settings). With other ISPs, you specify these IP addresses as part of your Internet connection settings.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

A service that translates a Web address you type in a Web browser into the IP addresses computers use. DNS is an abbreviation for Domain Name Service.

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

This is an IP address that is typically provided by your Internet service provider (ISP).

It is a public IP address, compared to the private IP address that Network Magic displays for your router. For more information, see Get details about your router.

The Internet IP address is also known as a WAN IP address.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

Get details about your Internet connection

Internet icon

Network Magic displays status information and settings about your home network's connection to the Internet.

Additional details include the following:

Status

Net2Go Web site

DNS Server(s)

Internet IP Address

To learn about the details that Network Magic displays for computers and devices, see Get detailed network information.


Get details about your router

This is the router manufacture and model name.

For example, Router or Wireless Router.

If Network Magic does not receive enough information from the router to identify it, you see Unknown instead.

This is the friendly name for your network.

For information about setting up this name, see Name your network.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

This indicates whether the router is connected to your network (online or offline).

An online computer or device is turned on and connected to the network. For the Net2Go Web site, online means it is accessible on the Web.

An offline computer or device can be turned off or disconnected from the network. For the Net2Go Web site, offline means it is not accessible on the Web.

This is the router's manufacturer name and model.

For contact information for several popular router manufacturers, see Contact manufacturers.

This is the router firmware version and date.

The software that runs a router or device.

This wireless network name (SSID) appears if the router provides a wireless (Wi-Fi) connection to the network.

A name that identifies a wireless network. SSID is an abbreviation for Service Set IDentifier.

A popular term for 802.11 wireless networks. Wi-Fi is short for wireless fidelity.

This detail displays the connection name used in Microsoft Windows.

Using Control Panel in Windows, you can name a network connection if, for example, your computer has more than one network adapter installed and you want to change the connection name to reflect the network to which you connect (for example, Office).

By naming connections, you can manage different connections to accommodate multiple ISPs, modems, and so on.

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

Connects the Internet access cable (typically, the TV cable or DSL cable) to the router in your network.

This appears if it is a wireless router, and it indicates the following:

  • Enabled means whether wireless encryption is turned on in the router. Disabled means wireless encryption has not been turned on in the router. For information why this is an important way to make wireless networking more secure, see Use wireless encryption.

  • If wireless encryption is enabled, Network Magic shows the type in use: WEP or WPA.

Ways of helping protect data transmitted over wireless networks, including WEP or WPA.

A way of helping protect data transmitted over wireless networks. WEP is an abbreviation for Wired Equivalent Privacy.

A way of helping protect data transmitted over wireless networks. WPA is an abbreviation for Wi-Fi Protected Access.

This is an IP address that is typically provided by your ISP.

Based on the number used, this is a public IP address (compared to the private IP address used in the next detail). This is also known as a WAN IP address.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

A network that can include multiple local area networks (LANs). WAN is an abbreviation for wide area network.

This is the router's internal IP address. Typically, this address is in the range 192.168.X.X (where X is a number from 1 through 254).

This is a private IP address, compared to the public IP address that Network Magic displays for your Internet connection. For more information, see Get details about your Internet connection.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

This IP address is the subnet mask.

A type of IP address that splits networks into smaller groups (for example, 255.255.0.0).

This is the router's MAC address.

A unique number assigned by a manufacturer to a device (for example, a network adapter) to identify it. MAC is an abbreviation for media access control.

This is a link to the manufacturer's Web site.

Tip Use the manufacturer's Web address as an easy way to get the following:

· Updates (for example, the latest versions of firmware)

· Troubleshooting information for the router

The software that runs a router or device.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

This is a telephone number for the router manufacturer's technical support.

Use this number if there is a problem you cannot resolve (for example, using the product documentation, or References and support).

Get details about your router

Wired (Ethernet) router icon Wireless (Wi-Fi) router icon

Here is what Network Magic displays in the Details tab of the Device Properties panel:

Router model

Device type

Additional details include the following:

Network Name

Status

Manufacture and Model

Firmware

Network identifier (SSID)

Connection name

Wireless encryption

Internet IP Address

IP Address

Subnet

MAC address

Manufacturer URL

Manufacturer phone

To learn about the details that Network Magic displays for computers and devices, see Get detailed network information.


Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

The Network Magic feature you use to help manage your network.

Complete common tasks in your network

Network Magic reminds you of common tasks for managing your network. For example, when you click your router in the network map, Network Magic tasks allow you to easily open the router’s administration program so you can view and change router settings.

Tasks for computers, devices, and connections

Complete tasks for a computer

Complete tasks for a device

Complete tasks for your Internet connection

Complete tasks for a network drive

Complete tasks for your router

Tasks for sharing printers, files, and folders

Complete tasks for a printer

Complete tasks for Net2Go

Complete tasks for a shared folder


Complete tasks for a computer

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

You can give your computer a friendly name.

For more information, see Give a computer a better name.

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

You can easily share folders that contain music, photos, video, and more with everyone in your home. Do this from your current computer.

For more information, see Share music, photos, and files.

If Network Magic is not installed on a different computer that you selected in the network map, you see a task that reminds you to install it.

The Network Magic feature you use to help manage your network.

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

Complete tasks for a computer

This type of task includes the following:

Rename your computer

Share folders

Install Network Magic


Complete tasks for a device

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

You can give an easy-to-understand identity that Network Magic uses with each device in your network. Give the device a friendly name and identify the device type (for example, a game console, a photo printer, and so on).

For information, see Name a device and give it an icon.

A component that connects to a network (for example, a printer, media player, or gaming device).

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

You can remove the device from the network map.

For more information, see Remove a computer or device from the map.

The Network Magic feature you use to help manage your network.

You can access contact information for networking hardware manufacturers. Examples of when you might want to do this include the following:

  • Look up contact information (for example, a telephone number or a Web site address).

  • Check support information.

When you click the link for this task, Network Magic opens a list of basic contact information for popular manufacturers.

You can control whether you want Network Magic to display a notification whenever a tracked device connects with your network.

When you use Network Magic to track a device, this task appears. When you use the task, Network Magic alerts you if the device reconnects later. For more information, see About new network devices. When you click the link for this task, Network Magic opens an options dialog, where you can specify whether you want to be notified.

For more information, see Set notification options.

Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

You can control whether you want to track the network activity for a computer or device that you suspect is an intruder.

For more information, see Track network activity.

A computer or device connected to your home network, and tracked through Network Magic.

For devices that use a Web-based administrative utility, you can open the utility that you use to set up and manage the device.

Doing this allows you to quickly check and change device settings.

Complete tasks for a device

This type of task includes the following:

Change the name and icon

Remove a device from the network map

Contact a manufacturer

Set up intruder notifications

Set up intruder options

Set up or manage the device


Complete tasks for your Internet connection

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

You can access contact information for popular Internet service providers (ISPs). Examples of when you might want to do this include the following:

  • Look up contact information (for example, a telephone number or a Web site address).

  • Check for service information (for example, whether there is a network outage that affects your Internet access).

  • Look up status information for your account.

  • Check support information.

When you click the link for this task, Network Magic opens a page that lists the names and basic contact information for popular ISPs.

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

Complete tasks for your Internet connection

This type of task includes the following:

Contact your Internet service provider


Complete tasks for a network drive

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

You can give an easy-to-understand identity that Network Magic uses with a network drive. Give it a friendly name and identify the device type. For information, see Name a device and give it an icon.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

For devices that use a Web-based administrative utility, you can open the utility that you use to set up and manage the device. Doing this allows you to quickly check and change device settings.

List the shared folders in Microsoft Windows Explorer, and then access the files in them.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

You can access contact information for networking hardware manufacturers. Examples of when you might want to do this include the following:

  • Look up contact information (for example, a telephone number or a Web site address).

  • Check support information.

When you click the link for this task, Network Magic opens a page that lists the names and basic contact information for popular manufacturers.

Complete tasks for a network drive

This type of task includes the following:

Change the name and icon

Set up or manage the device

Browse shared folders on the network drive

Visit the manufacturer's Web site


Complete tasks for your router

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

You can easily view and change settings for your router. For more information, see Administer your router.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

You can rename your home network. For more information, see Personalize your home network.

You can access contact information for networking hardware manufacturers. Examples of when you might want to do this include the following:

  • Look up contact information (for example, a telephone number or a Web site address).

  • Check support information.

When you click the link for this task, Network Magic opens a page that lists the names and basic contact information for popular manufacturers.

Complete tasks for your router

This type of task includes the following:

Open the administration page

Change your network's name

Visit the router manufacturer's Web site


Manage connections

Connections icon

You can use Network Magic to quickly check the connections in your home network, including the connection your network has to the Internet.

Check connection status

Check your Internet connection

Repair connections

Troubleshooting

Problems with connections


Check connection status

You can check Network Magic's status information about connections in your home network:

Check connections in the network map

Check the connection status in the Network Status box

Check a connection status using the taskbar icon


Check connections in the network map

To check the map for the status of network and Internet connections, click Network Map.

For information about what Network Magic displays, see About network map items.


Check the connection status in the Network Status box

To get a quick summary of your connection's status, look at the Network Status box (upper right of the Network Magic display).

From the summary ... | Means ...
Status | For information about Network Magic status information, see Connection states.
Internet connection | Network Magic displays the last time the Internet connection was tested (for example, by Network Magic itself). Here is an example: Internet connection checked: 11:30 AM

Testing your Internet connection

For information about doing this, see Check your Internet connection.


Check the connection status using the taskbar icon

You can get a quick summary of your connection's status using the Network Magic icon in the notification area of the Windows taskbar (typically at the lower right of your display).

  1. Rest the mouse's pointer over the Network Magic icon in the notification area.

  2. Read the status information in the tooltip text.

    For information about Network Magic status information, see Connection states.

For information about the icon's color, see Check your network's status.

Tip


Connection states

This means that you cannot use Network Magic until you update it.

For more information, see About Network Magic updates.

This means your computer is not currently connected to your network.

For information about repairing connections, see Repair connections.

This means your network is not currently connected to the Internet.

For information about repairing connections, see Repair connections.

This means your computer is connected to two or more networks.

For more information, see If you accidentally connect to two or more networks simultaneously.

This means that Network Magic PC Shield has temporarily stopped sharing any shared folders on your computer. After this status is more information about your connection. For both situations, once you again establish a regular connection to your home network, Network Magic automatically resumes sharing folders.

For more information, see Share safely with PC Shield.

Protecting shared folders while you are not connected to your home network
This means your computer is connected to another network (that is, that network other than your home network). For more information, see What happens when you connect to another network.

A Network Magic feature that protects your shared folders when you connect to another network (for example, at an Internet cafe).

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

This means that the Network Magic setup program did not complete as a result of a network-related problem (for example, your computer is not connected to a network).

After you resolve the problem, you can resume setup by running it from the Setup Has Detected a Problem screen.

Connection states

Whether you check the Network Status box, Network Magic provides the basic status information about your computer's connections.

Typically, Network Magic displays the following in the Status line:

Connected

This means your connection is working properly.

Here are other connection states that Network Magic displays:

Application disabled

Home network disconnected

Internet disconnected

Multiple connections found

PC Shield: Active

Setup not complete


Check your Internet connection

You can check your home network’s Internet connection to make sure that the connection works.

Check the status

Check when the connection was tested

Test the connection

Check the status

Connection normal icon | Connected indicates your Internet connection is working properly.
Connection problem icon | Not connected indicates there is a problem. Continue and test the connection.

Check when the connection was tested

In the Network Status box, Network Magic indicates the last time the Internet connection was tested, either by Network Magic itself or by someone in your home network (for example, Internet connection checked: 11:30 AM).

Test the connection

  1. In the Network Status box, click Check Now.

    Wait briefly while Network Magic analyzes your connection.

  2. Review the test results:

    If the connection is working properly, Network Magic updates the Network Status box to show the time of the test.

    If there is a problem with the connection, Network Magic displays a Repair button in the Network Status box. For information about repairing connections, see Repair connections.


Repair connections

You can quickly analyze your home network's connectivity, and repair connection problems detected.

  1. In the Network Status box, click Repair.

    Network Magic opens the Connectivity Repair wizard.

  2. To have Network Magic start analyzing your network connections, click Next.

    Wait briefly. Network Magic checks both the connections within your network, as well as the network's Internet connection. Network Magic also tries to obtain a new IP address from your router.

  3. On the Summary page, check the results.

    If the problem was repaired, Network Magic displays a green check mark and a message that the repair was successful.

    If there is still a problem, Network Magic displays a red X and lists suggestions for fixing the problem. For information about these, see Use the custom instructions to fix the problem.


Use the custom instructions to fix the problem

After you try to Repair connections using the repair wizard, Network Magic displays a set of instructions that is customized to the connectivity problem detected.

Here is an example from the repair wizard:

Make sure your networking cables are connected.
For each cable connecting your networking equipment ...

After you follow the steps and try to fix the problem, use the wizard to test the repair. If the repair is successful, you can continue networking normally. If there is still a problem, you can go to the next instructions link and try to fix the problem.

  1. In the Summary page of the repair wizard, click the first link.

    Network Magic opens this Help file and displays the repair steps.

  2. Complete the steps.

  3. Return to the Summary page of the repair wizard, and click Test Again.

    Wait briefly. Network Magic analyzes your network connections.

  4. On the Summary page, check the results.

    If the problem was repaired, Network Magic displays a check mark and a message that the repair was successful.

    If there is still a problem, Network Magic displays a message that the repair was not successful. On the Summary page, you should click the next instructions link, and then repeat steps 2 through 4 of this procedure. Continue to do so until you fix the problem or have completed all the custom instructions.

If you are unable to fix the problem, see If there is still a problem.

Use the custom instructions to fix the problem

You can try to fix a common connectivity problem based on a special set of steps that Network Magic provides.

About the custom instructions

How to fix a connectivity problem yourself


Share music, photos, and files

Shared Folders icon

You can easily share folders that contain music, photos, video, and more with everyone in your home.

How you share folders

Get ready

Share a folder

Save files in shared folders

Access shared folders

How Network Magic identifies shared folders

Find shared folders

Common steps for managing sharing

Manage sharing

Complete tasks for a shared folder

Troubleshooting

Problems with sharing


A hardware type that lets you easily connect computers and devices. A USB port is small and rectangular.

A device that provides additional hard disk storage space in a network. Also known as NAS or a NAS device.

Portable memory that you can use to transport data among computers, for example, USB storage drives (thumb drives).

About shared folders

Put shared folders on as many computers as you want

About folders and subfolders

About Windows permissions and shared folders

Limitations for using shared folders

In order to make shared folders available, the computers that contain them must be turned on (that is, they cannot be either turned off or on standby to save power).

Put shared folders on as many computers as you want

You and other users in your home network can set up shared folders however you want: on one computer or on multiple computers.

In addition to using standard, internal hard drives, you can put shared folders on external hard drives (for example, those using a USB connection).

Shared folders in ... | Description
Multiple locations | Use any combination of the following: Multiple computers: · By location (for example, home office or kitchen) · By types of shared folders (for example, documents on a home office computer) Network-attached storage
One location | A computer (for example, if it has the largest available disk space or it is always turned on) Network-attached storage

About folders and subfolders

Network Magic handles shared folders and subfolders as shown in these examples. The shared folders are shown in bold:

Shared folders in ... | Description
\folder\subfolder | \folder is a shared folder, so \subfolder is also shared.
\folder\subfolder1\subfolder2 | \subfolder1 is a shared folder, so \subfolder2 is also shared. In this example, others in your network cannot use Network Magic to access files in \folder.

Network Magic shows the top-level folder as shared, but does not list the subfolders.

Example In the first row of the above table, Network Magic lists \folder as a shared folder, but not \subfolder; to access files in \subfolder, you open \folder first.

About Windows permissions and shared folders

In Microsoft Windows, you have rights and permissions as part of your user account. Permissions control who can do what using a computer.

Example When a user has certain permissions on a computer, that user can install software and back up files—while other users cannot perform these tasks on the same computer.

Windows permissions support a great variety of permissions and settings for user accounts. However, to make it easier for you to set up and use shared folders, Network Magic supports a simple set of permissions that a shared folder can have:

  • Full permissions: Users can read (open, but not change), write (save), and delete files saved in shared folders.

  • Read-only permissions: Users can read (open, but not change) files saved in shared folders.

Important If a folder has any other permissions than full or read-only, you cannot set it up as a shared folder.

Limitations for using shared folders

You cannot use Network Magic to set up the following as shared folders:

  • Removable storage

  • CDs from a CD drive (for example, audio CD's or recordable compact discs (CD-Rs)

  • Digital versatile discs (DVDs) from a DVD drive


Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

A type of shared folder that anyone can access, either in your network or through the Web using Network Magic Net2Go.

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

An online computer or device is turned on and connected to the network. For the Net2Go Web site, online means it is accessible on the Web.

An offline computer or device can be turned off or disconnected from the network. For the Net2Go Web site, offline means it is not accessible on the Web.

How Network Magic identifies shared folders

Setting up and finding shared folders is simple and intuitive.

Accessing shared folders from the Windows desktop

Shared folders and public folders

The My Music and My Pictures folders

Online and offline folders

Accessing shared folders from the Windows desktop

Shared Folders icon

You can access shared folders from the Windows desktop by clicking the My Shared Folders icon.

Shared folders and public folders

Use these icons to identify different types of Network Magic shared folders.

Shared Folders icon | This identifies folders shared in a network.
Public Folders icon | This identifies public folders.
Windows shared folder | This identifies Microsoft Windows shared folders that have not yet been converted for use with Network Magic. For more information, see Convert a folder shared using Microsoft Windows.

The My Music and My Pictures folders

If you use the Microsoft Windows specialized private folders My Music and My Pictures as shared folders, you can identify the files they contain using these icons.

My Music icon | In Network Magic, this icon identifies the My Music shared folder ...
My Pictures icon | ... and this identifies the My Pictures shared folder.

Online and offline folders

Folder on an online computer | When a computer is online, Network Magic shows the folder icon with a normal appearance, and allows you to access the files ...
Folder on an offline computer | ... and when a computer is offline, the icon is dimmed and you cannot access the folders.


Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

When you access shared folders, you can also add a shared folder. To do so, click Add a Shared Folder, then select the folder you want to share.

Access shared folders

You can access shared folders and find the ones you want in the following ways:

Access shared folders from Network Magic

Access shared folders from the Microsoft Windows desktop

Access shared folders from Network Magic

  1. Click Shared Folders.

  2. In the list of computers with shared folders, click the folder you want.

    Network Magic opens Windows Explorer, which lists the folder's files.

  3. If you want, you can check information about the shared folder. For information, see Get details about a shared folder.

  4. Click the shared folder you want.

Access shared folders from the Microsoft Windows desktop

This uses an icon that Network Magic adds to the Microsoft Windows desktop.

  1. Go to the desktop.

  2. Do one of the following:

    Double-click My Shared Folders.

    Right-click My Shared Folders, and then select Open.

    Network Magic opens Windows Explorer and displays the shared folders. Based on how you have set up the Explorer display, Explorer shows shared folders in one of several different views, including a list view, an icon view, or a details view.

  3. Double-click the folder you want.

Tip

Note

You cannot delete My Shared Folders from the desktop. It is required for Network Magic to run properly. If you uninstall Network Magic, this deletes My Shared Folders from the desktop.


Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

That is, the computer is turned on and has an active connection to your network.

If the shared folder has particular Microsoft Windows File and Folder permissions, you cannot save a file in that shared folder. For information about File and Folder permissions, see the Help for the appropriate version of Microsoft Windows. If you are using Windows XP, click Start, and then click Help and Support. If you are using another Windows version, click Start, then click Help.

Save files in shared folders

Using most common programs, you can save files to a shared folder, just like you ordinarily save files to your computer's hard disk.

  1. Follow the standard steps to save a file.

    For example, to save a Microsoft Word document, select Save As from the File menu.

  2. In the Save As dialog box, do one of the following:

    In the Save In list, select My Shared Folders.

    Click the My Shared Folders icon.

  3. Locate and double-click the shared folder you want to use.

  4. Save the file.

If you want to save files to a shared folder on another computer

The computer should be online


Start sharing

After you Get ready, Share a folder.

To share smartly, see the Recommendations.

Note

  • Network Magic makes sharing safer when you connect your computer to another network (for example, when you connect a wireless laptop computer to other networks). For information, see Share safely with PC Shield.


Get ready

Share select network resources with others (for example, share a printer in your network or share folders and files on the Web using @@PROGRAM@@ Net2Go).

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

When you use Network Magic to turn on Windows File and Printer Sharing with Windows XP or Windows 2000, you also enable the Windows Guest account. Note that after you do this, Network Magic does not require that users log on to Windows as guests.

To make it easier for everyone in your home to share, Network Magic uses the Windows Guest account.

However, you should be aware that while using this Windows account adds broader access to shared folders, your network is less secure.

In Windows, this built-in account provides access to the computer for a user who does not have an account on the computer.

This is why when you use Windows File and Printer Sharing, it is even more important that you take steps to make your network more secure.

For general recommendations, see Protect your network. If you are using wireless connections, using wireless encryption is important. For more information, see Use wireless encryption.

Ways of helping protect data transmitted over wireless networks, including WEP or WPA.

Use to access selected shared folders away from home through the Web.

A type of shared folder that anyone can access, either in your network or through the Web using Network Magic Net2Go.

Get ready

To get ready for sharing, do the following:

Turn on File and Printer Sharing

If you want to share using the Web

Turn on File and Printer Sharing

If your computer is not already set up for sharing folders and printers, you use Network Magic to easily turn on Windows File and Printer Sharing the first time you use Network Magic to share.

If you are using Microsoft Windows XP or Windows 2000

Security is even more important when you share

If you want to share using the Web

If you want to access shared folders through the Web, Set up Net2Go.

By setting up Net2Go first, you can set up shared folders the right way (for example, to create public folders).

With Network Magic, sharing works in combination with the Microsoft Windows feature File and Printer Sharing.

The Windows feature File and Printer Sharing is also known as the File and Printer Sharing for Microsoft Networks component.


Share a folder

You can share a folder that already contains files that you want others to be able to access.

Convert a folder shared using Microsoft Windows

Share a folder using Network Magic

Share a folder using Windows Explorer


Convert a folder shared using Microsoft Windows

You can easily convert shared folders set up using Microsoft Windows into Network Magic shared folders.

By doing this, you can share the folders with other Network Magic computers in your network and for use with Network Magic Net2Go.

  1. Click Shared Folders.

  2. Under the Windows shared folders heading, browse to and click the Windows folder you want.

  3. In the Tasks tab, click Convert to Network Magic shared folder.

  4. At the confirmation dialog, click Convert.

    Network Magic converts the folder to Shared Folders.

Note

For information on setting up folder availability (for example, for use with Network Magic Net2Go), see Set up how a folder is shared.


Share a folder using Network Magic

  1. Click Shared Folders.

  2. In the Tasks tab, click Share a folder.

  3. Browse to and click the folder you want to share.

  4. If you do not want to share the folder through Net2Go, clear the Share it on the Web with Net2Go check box.

    If you want to share the folder with anyone who visits your Net2Go Web site, select Public (no password required). To set up a title and description that appears for this folder on the Web, see Set up how a folder is shared.

    If you want to limit access to visitors who have the Net2Go password, select Password required.

  5. Click Share.


Share a folder using Windows Explorer

  1. In Microsoft Windows, click Start.

  2. Click this button:

    Explorer displays the structure of drives, folders, and files on your computer.

  3. Right-click the folder you want to share.

  4. From the shortcut menu, select Add to Shared Folders.

  5. Type the friendly name for the shared folder.

    For example, if you want to share your vacation photos that are in a folder named \photos0904, you can type the friendly name Vacation Photos. Note that this does not change the original folder name.

  6. If you want to make files accessible but not allow others to change them, select the appropriate option.

  7. Click OK.

    If you are sharing a folder with a large, total file size, there may be a delay as Network Magic sets up sharing. For example, sharing a folder that contains a sizable music collection—for instance, dozens of MP3 files—takes more time to set up for sharing than sharing a folder that contains a student's homework assignment—for instance, a few small documents.

Note

To open Explorer yourself, point to All Programs, point to Accessories, and then click Windows Explorer.


In general, sharing makes files more accessible and thus can make your personal information more vulnerable.

If you want particular folders to remain private—for example, family budgets, credit card information, passwords, work files, or personal e-mail—do not make them available through any type of sharing.

Sharing selectively is even more important if you are sharing folders and using wireless connections in your network.

For information about the steps you can take, see Make wireless networking more secure.

Recommendations

To share folders—and to help keep your home network secure—it is a good idea to follow these recommendations:

Share folders selectively

Use caution with wireless connections


Find shared folders

You can find shared music, photos, video, and other files in a variety of ways.

Locate folders in your network

Work with shared folders

Find shared folders using Windows Explorer

Find My Shared Folders using Windows Explorer

Locate folders on your computer

Find your shared folders on your computer

Locate new and changed folders

Find what has changed recently in shared folders

You can also find the files you want by going directly to shared folders. For more information, see Access shared folders.

To learn how Network Magic identifies folders, see How Network Magic identifies shared folders.


With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

Use to access selected shared folders away from home through the Web.

A type of shared folder that anyone can access, either in your network or through the Web using Network Magic Net2Go.

Work with shared folders

  1. Click Shared Folders.

  2. In the list of computers with shared folders, double-click the folder you want.

    Network Magic opens Windows Explorer, which lists the folder's files.

Sort shared folders

Select one of the following options from the View list:

  • All Shared Folders: Lists all shared folders, regardless of age.

  • New Shared Folders: Lists folders shared during the last month.

Select one of the following options from the Sort by list:

  • Computer: Lists shared folders alphabetically by the computers' friendly names.

  • Folder Name: Lists shared folders alphabetically by folder names.

  • Folder Type: Lists shared folders by type. For information, see How Network Magic identifies shared folders.

  • Web Access Type: Lists shared folders based on availability through Net2Go (for example, public folders).


Find shared folders using Windows Explorer

  1. Click this button:

  2. Click the drive where you have been setting up shared folders using Network Magic.

    For example, if you have been using drive C, click My Computer, and then Local Disk (C).

  3. Right-click the drive letter, and then select Search from the shortcut menu.

  4. In All or part of the file name, type either the entire or partial folder name.

  5. Click Search.

Note

To open Explorer yourself, click Start, point to Programs, point to Accessories, and then click Windows Explorer.

  1. Click this button:

  2. Click the drive where you have been setting up shared folders using Network Magic.

    For example, if you have been using drive C, click My Computer, and then Local Disk (C).

  3. Right-click the drive letter, and then select Search from the shortcut menu.

  4. In Search for files or folders named, type either the entire or partial folder name.

  5. Click Search Now.

Note

To open Explorer yourself, click Start, point to Programs, point to Accessories, and then click Windows Explorer.

  1. Click this button:

  2. Click the drive where you have been setting up shared folders using Network Magic.

    For example, if you have been using drive C, click My Computer, and then (C:).

  3. Right-click the drive letter, and then select Find from the shortcut menu.

  4. In Named, type either the entire or partial folder name.

  5. Click Find Now.

Note

To open Explorer yourself, click Start, point to Programs, and then click Windows Explorer.

If you get too many results, try using additional search criteria with Windows Explorer to make your search more specific.

Find shared folders using Windows Explorer

Use the appropriate procedure for your version of the Microsoft Windows operating system:

If you are using Windows XP

If you are using Windows 2000

If you are using Windows 98 SE or Windows Me

Tip


Find My Shared Folders using Windows Explorer

Use the following procedure to get to the Network Magic special folder called My Shared Folders.

  1. Click this button:

    Explorer displays the structure of drives, folders, and files on your computer. With these, Explorer displays     My Shared Folders, listed with the Windows features that include My Computer and the Recycle Bin.

  2. Under the Folders toolbar, click My Shared Folders, and then click the folder you want.

Note

To open Explorer yourself, point to All Programs, point to Accessories, and then click Windows Explorer.


Find your shared folders on your computer

  1. Go to the Windows desktop.

  2. Do one of the following:

    Double-click My Shared Folders.

    Right-click My Shared Folders, and then select Open.

    Network Magic opens Windows Explorer and displays the shared folders.

Based on how you have set up the Explorer display, Explorer displays shared folders in one of several different views (for example, a list view, an icon view, or a details view).


Find what has changed recently in shared folders

Locate shared folders where files have been added, changed, or deleted.

  1. Click Shared Folders.

  2. In the View list, select New Shared Folders.

    By     computer, Network Magic lists shared folders, and includes information about what has changed.

  3. In addition, you can use the Sort By list to sort the list more specifically, to help you locate certain files.

While Network Magic senses these changes in a shared folder, it does not do so with its subfolders.

Example With \folder\subfolder, Network Magic detects a deleted file in \folder, but not in \subfolder.


Manage sharing

Do the following to manage shared folders with Network Magic and with Network Magic Net2Go:

Set up how a folder is shared

Allow changes to shared folders

Rename or move a folder

Stop sharing a folder


Set up how a folder is shared

You can change how a folder is shared, within your network or through the Web using Net2Go.

  1. Click Shared Folders.

  2. Click the folder you want.

  3. In the Tasks tab, click Change Folder Settings.

  4. In the Change Folder Settings dialog box, select or clear the Allow others to change or delete files in this folder check box.

  5. Select or clear the Share this folder on the Web using Net2Go check box.

  6. If you chose to share in the previous step, select the access type you want:

    Password required     for password-protected folders

    Public (no password required)     for public folders. When you select this type, type a name and description for the folder. On your Net2Go Web site, Network Magic uses the name as a link, and displays the description next to the link.

  7. Click OK.


Allow changes to shared folders

You can control whether files in a shared folder can be changed (edited) or deleted.

  1. Click Shared Folders.

  2. Click the folder you want.

  3. In the Tasks tab, click Change Folder Settings.

  4. In the Change Shared Folder Settings dialog box, under Folder Availability, set the permissions you want:

    To allow file editing or deleting:     Select the Allow others to change or delete files in this folder check box.

    To prevent file editing or deleting:     Clear the Allow others to change or delete files in this folder check box.

  5. Click OK.


Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

Share select network resources with others (for example, share a printer in your network or share folders and files on the Web using @@PROGRAM@@ Net2Go).

To open Explorer yourself, in Microsoft Windows, click Start, point to Programs, point to Accessories, and then click Windows Explorer.

Rename or move a shared folder

When you rename or move a folder used as a shared folder, Network Magic automatically continues to share the folder's files.

Rename a shared folder

  1. Click Shared Folders.

  2. Click the folder you want to rename.

  3. In the Tasks tab, click Change Folder Settings.

  4. In the Change Shared Folder Settings dialog box, type the new name.

  5. Click OK.

Move a shared folder

  1. Click this button:

    Explorer displays the structure of drives, folders, and files on your computer.

  2. Use Explorer to move the folder to the new location.

    For help with doing so, see the Help for     your version of Microsoft Windows. If you are using Windows XP, click Start, and then click Help and Support. If you are using another Windows version, click Start, then click Help.

  3. At the confirmation dialog box, click Yes.

Tip

Note

You cannot rename My Shared Folders. It is a system folder and is required for Network Magic to run properly.


Share select network resources with others (for example, share a printer in your network or share folders and files on the Web using @@PROGRAM@@ Net2Go).

Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

Stop sharing a folder

You can stop sharing a folder, so Network Magic no longer shares the files it contains.

  1. Using Network Magic, click Shared Folders.

  2. Click the folder you want to stop sharing.

  3. In the Tasks tab, click the option to stop sharing.

  4. At the confirmation dialog box, click Yes.

Stop sharing a folder using Windows Explorer

  1. Click this button:

  2. Locate the folder that you no longer want to share.

  3. Right-click the folder, and then select Remove from Shared Folders.

When you stop sharing a folder, Network Magic displays a notification.

Note

Using Network Magic, you cannot stop sharing a folder on another computer. If you decide to stop sharing a folder and another user is currently using files in the folder, Network Magic immediately stops sharing (in effect, disconnects the user).


Get details about a shared folder

Network Magic displays an icon that lets you know what kind of folder it is.

For examples of these icons, see How Network Magic identifies shared folders.

This is the name of the shared folder.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

This is the friendly name of the computer that contains the shared folder.

For information about why giving your computer a friendly name is a good idea, see Give a computer a better name.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

This is the number of files and folders in the shared folder. The total includes those in both the shared folder root and any subfolders.

Example

\folder contains 10 files

\folder\subfolder1 contains 15 files

\folder\subfolder2 contains 15 files

With this example, Contents indicates 40 files, 2 folders.

This is the total file size of folder's contents, in megabytes (MB), and in bytes.

A unit of data that usually contains a single character (for example, a letter, a number, or a punctuation mark).

This indicates whether others in your home network are allowed to change (edit) the files in the shared folders:

From all computers means anyone in your network can change the files.

Only from this computer means only a user at this computer can change the files.

This identifies folders accessible through the Web using

Net2Go. This indicates whether this is a public folder or a password-protected folder.

Use to access selected shared folders away from home through the Web.

A type of shared folder that anyone can access, either in your network or through the Web using Network Magic Net2Go.

This is the date and time the files in this shared folder were last changed.

This is the shared folder address used in your network. You can click this address to list the folder's files.

Network Magic controls shared folders using UNC addresses.

Identifies the location of a resource in a network, in the format \\computername\sharedresource.

If you have shared folders on this computer, the details include the local address (path).

When you use Network Magic to create a new shared folder, Network Magic adds it the standard location with your Microsoft Windows local user profile. For more information, see Find your shared folders on your computer.

Get details about a shared folder

Shared folder icon

Here is what Network Magic displays in the Details tab of the Device Properties panel:

Shared folder icons

Folder name

Computer name

Additional details include the following:

Contents

Size

Allow changes

Web access

Last updated

Network address

Local address

To learn about the details that Network Magic displays for computers and devices, see Get detailed network information.


Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

Start sharing the files that are in a folder you select. For information, see Add a shared folder.

Display the contents of the selected shared folder.

Use this task to stop sharing the selected shared folder.

For information, see Remove a shared folder.

If you want to allow others to change files that you marked unchangeable, you can do so. And, you can also prevent others from changing files that are marked changeable. Network Magic displays the appropriate task, based on whether the files in a shared folder are changeable or not (that is, read-only).

Complete tasks for a shared folder

As you manage shared folders, Network Magic helps out by reminding you of standard tasks.

Tasks for any computer in your network

In Network Magic, the Shared Folders feature includes the following tasks, both for your computer and for other computers:

Share folders with others in your home

List the files in a shared folder

Tasks for this computer

You can perform these additional tasks for shared folders on your computer (that is, the computer you are currently using):

Stop sharing a folder

Allow or prevent changes to files in a shared folder


Share on the Web with Net2Go

Net2Go icon

You can use Network Magic Net2Go to make shared folders accessible through the Web.

Getting started

Net2Go requirements

About Net2Go

Connect to your Net2Go Web site

How to set up Net2Go

Set up shared folders

Set up your Web site address

Set up your Net2Go Web site

Net2Go and security

Security features and Security tips

Common management steps

Manage Net2Go

Change your Net2Go password

Set up how a folder is shared

Complete tasks for Net2Go

Troubleshooting

Problems with Net2Go


About Net2Go

About Net2Go setup and sharing

About the Net2Go Web service

About visitors to your site


About Net2Go setup and sharing

Use to access selected shared folders away from home through the Web.

Share select network resources with others (for example, share a printer in your network or share folders and files on the Web using @@PROGRAM@@ Net2Go).

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

The computer that hosts your Net2Go Web site.

The site that provides access to folders and files shared with Network Magic.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

The address you and visitors enter in a Web browser for your Net2Go Web site.

About Net2Go setup and sharing

Here is an overview of how Net2Go makes s haring even better.

Get ready ...

  1. Use one computer in your network as the Net2Go host.

  2. At that computer, complete at least minimal setup for your Net2Go Web site.

    Network Magic sets up the site on your Net2Go host.

  3. Use Network Magic to set up the shared folders you want—on any computer in your network.

    You can make files accessible to anyone and, if you want, set up password-protected folders.

Access it and share it ...

  1. From anywhere with an Internet connection, open a Web browser, enter your Net2Go address, and connect to your site.

    No special software is needed.

  2. If you set up password-protected folders, sign in to your Web site to access them.

  3. In Network Magic, add new files to a shared folder and they are instantly available online.

Learn more ...


Use to access selected shared folders away from home through the Web.

The computer that hosts your Net2Go Web site.

The address you and visitors enter in a Web browser for your Net2Go Web site.

The site that provides access to folders and files shared with Network Magic.

A physical device that joins wired or wireless networks (for example, a router can connect your home network to the Internet). In a home network, you use a router to connect to the Internet, typically, using a cable or DSL modem. A router is also known as a gateway or base station.

About the Net2Go Web service

In Network Magic, Net2Go and the Net2Go Web service are convenient and easy to use.

A typical Net2Go setup uses one Net2Go host and one Net2Go address (for your Net2Go Web site). Both of these work in combination with your network's router.

While others in your home can also connect to your network using Net2Go, note that you must have a separate Net2Go setup in certain situations. Here are examples:

  • If your residence has more than one network (for example, you have an additional router and another member of your home wants a separate Net2Go address)

  • If you have a second home with a separate router

Learn more ...


About visitors to your site

A visitor is anyone who visits your Net2Go Web site:

  • You and other members of your home network

  • Others to whom have given your Net2Go address (and, if you are allowing others to access password-protected shared folders, your Net2Go password)


Set up Net2Go

In Net2Go Manager, you do the following:

Set up your Web site address

Set up the Net2Go password

Set up your Net2Go Web site

In Shared Folders, you do the following:

Set up shared folders


Set up your Web site address

To use Net2Go, you need to set up the Web address for your Net2Go Web site.

Before you set up this address, have the user name and password for your router ready.

This is the user name and password that you use to access your router's Web-based administrative utility (for example, to change router settings).

  1. Click Net2Go Manager.

  2. Click Sign up for a home web address.

    Network Magic starts the Net2Go Setup wizard.

  3. Follow the instructions on the screen in the Net2Go wizard.


Set up the Net2Go password

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

Your Net2Go password is yours, and is not known by an intermediary such as Pure Networks, Inc. or any third party.

Example If you created the password and have not shared it with anyone else, then you are the only one who knows it.

Because privacy is important, consider creating and using a strong password.

For more about information about strong passwords, see About Strong Passwords.

A password that requires a particular combination of letters, numbers, and capitalization.

As with other passwords, you and anyone else you choose to share the password with should handle the Net2Go password with care.

Use common sense. For example, do not write it down and tape it to a monitor or keep it in an unencrypted file on a computer.

Do not e-mail it. Sending this type of information by e-mail is not a good idea since e-mail is not fully secure (for example, it might be read or intercepted by unauthorized users).

If you want to use Net2Go and share folders with others, use care when you share the password.

For more information, see If you want to share access to password-protected folders.

While the Net2Go password is created during registration, you can change it anytime.

For steps, see Change your Net2Go password.

A password that requires a particular combination of letters, numbers, and capitalization.

To help you remember the letters in your strong password, try using the first letter of a list of several words. The list can consist of a sentence, the names of relatives, or several favorite sports teams.

Example From remembering the sentence Every Good Boy Does Fine, you can recall the letters egbdf.

Set up the Net2Go password

If you want to access password-protected shared folders through the Web using Net2Go, set up the password you use.

About the Net2Go password

About strong passwords

About the Net2Go password

If you are responsible for setting up this password, here are a few things you should know:

No intermediary has this password

To make your password-protected folders more secure, use a strong password

Manage your password carefully

If you share the password, be responsible

Tip

About strong passwords

To help protect password-protected shared folders on your Net2Go site, use a strong password.

While you set up this password, Network Magic reminds you of strong password requirements. A strong password contains the following:

  • At least eight characters. More-secure passwords contain up to 14 characters.

  • At least one number (for example, 1, 2, 3)

  • At least one capital letter (for example, A, B, C)

  • At least one lowercase letter (for example, a, b, c)

Tip


Set up your Net2Go Web site

After you Set up your Web site address, choose what you want available for visitors and for yourself at your Net2Go Web site.

If setting up a Web site sounds difficult to you, Network Magic makes it easy by doing most of the work. Setup is as simple as typing a site title and welcome message.

Set up your Net2Go home page

View your Net2Go Web site

Preview your Net2Go Web site


The site that provides access to folders and files shared with Network Magic.

As you can with other areas using Network Magic, customize your home page.

For information about how to use Network Magic to customize, see Personalize your home network.

Especially if you plan on frequently changing the files you share through public folders, let return visitors know what is new. Mentioning when you updated files and folders might also help keep visitors informed. Knowing that your site is "alive" encourages visitors to return.

Example Welcoming text like the following lets visitors know what to look for:

March 15 - We now have photos of our new child. Simply click the Emily link and enjoy.

A type of shared folder that anyone can access, either in your network or through the Web using Network Magic Net2Go.

Set up your Net2Go home page

You can customize the welcome text that visitors see on the home page for your Net2Go Web site.

Set up the welcome message

Tips for your home page

Set up the welcome message

When you complete the procedure below, refer to these examples and guidelines:

Item | Example
Title | Welcome to the Smith Web Site
Welcome message | Thanks for stopping by. We recently updated our Web site to include photos and notes from our Hawaii vacation. Have a look!

Use letters, numbers, and standard punctuation. Do not use line breaks, repeated spaces, or HTML to format text.

  1. Click Net2Go Manager.

  2. In the Tasks tab, click Set Welcome Message.

  3. In the Set Welcome Message dialog box, type the title and welcome message text.

  4. Click OK.

In addition to displaying your home page title and welcome message on your site's home page, Network Magic also displays them on Net2Go Manager, under Web Site Welcome Message.

Tips for your home page

When visitors view your Net2Go Web site's home page, they see the title for your site and introductory text that you specify.

Here are suggestions for how to greet visitors to the site:

Personalize your home page

Keep it up to date


View your Net2Go Web site

You can view your Net2Go Web site in a Web browser (for example, to view the Web welcome message).

View your site while you are at home

Be sure your computer is connected to your network, and then do the following:

  1. In Network Magic, click Net2Go Manager.

  2. In the Tasks tab, click View Net2Go Web site.

    Your computer opens a Web browser and displays your site.

View your site while you are away from home

Be sure your computer is connected to the Internet, and then do the following:

  1. Open a Web browser.

  2. In the browser’s address bar, enter your site’s Net2Go address.

For steps to check your site, see Preview your Net2Go Web site.


Preview your Net2Go Web site

A type of shared folder that anyone can access, either in your network or through the Web using Network Magic Net2Go.

The site that provides access to folders and files shared with Network Magic.

Make sure the text reads well (for example, there are no misspellings).

If you need to make corrections, see Set up your Net2Go home page.

Browse through folders and open a few files. For example, if you want to remotely access your own photos, try opening and displaying a photo.

Browse shared folders on other computers. If you have shared folders available on a computer other than the Net2Go host, try accessing a folder.

Keep in mind that performance is typically faster when accessing files on the Net2Go host, and slower with other computers in the network (for example, with computers that use wireless (Wi-Fi) connections).

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

The computer that hosts your Net2Go Web site.

A popular term for 802.11 wireless networks. Wi-Fi is short for wireless fidelity.

Make sure you have the correct folders. Browse through the folders to make sure you have set up the ones you want accessible (and that you have not accidentally made the wrong folders accessible).

Make sure that the folder name and description read well (for example, there are no misspellings). If you need to make corrections, see Change access to shared folders .

Need to share more folders? See Share a folder.

Want to stop sharing a folder? See Stop sharing a folder.

Try browsing to folders on each computer to make sure the files are accessible.

Make sure you can connect to each computer, and that there are no issues with Net2Go requirements.

Try browsing to folders on the computer to make sure the files are accessible, and that there are no issues with Net2Go requirements.

Sign in with your Net2Go password and make sure the files you want are available.

To understand how uploading works, sign in to your Net2Go Web site, open a folder and try uploading a file.

In the Tasks tab, click Add a file.

If you do not see a task that allows you to upload, go to Network Magic, click Net2Go Manager, and, under Settings, complete the task to allow uploading.

When you use Net2Go, you can get help online—through your W eb browser—that describes common procedures and questions.

You and others can get help using Net2Go from anywhere.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

Preview your Net2Go Web site

After you set up public folders and password-protected folders, take a moment to make sure your Net2Go Web site is the way you want it to be.

Why previewing is a good idea

What to check

Why previewing is a good idea

  • Verify that your site looks and works well.

  • Know how it works so you can tell others who use the site what to expect.

What to check

First, view your Net2Go Web site:

  1. In Network Magic, click Net2Go Manager.

  2. In the Tasks tab, click View Net2Go Web site.

Then, try the following:

Review the Net2Go home page

Try accessing files

Depending on how you set up your site, also try the following as needed:

Browse public folders

If you have shared folders on multiple computers

If you have shared folders on a computer with a wireless connection

If you have password-protected folders

If you are allowing uploads to your site

Finally, you might also want to do the following:

Get to know the Net2Go online Help

If you are satisfied with your site, you are ready to use Net2Go from anywhere. For more information, see Connect to your Net2Go Web site.


Set up shared folders

Because Net2Go gives you the convenience of anywhere access to your shared folders, make sure you have set up the folders you want to share.

See the appropriate topics:

For information about ... | See ...
Setting up shared folders | Start sharing
Adding public folders and password-protected folders | Share a folder using Network Magic
Changing the type of access to shared folders | Change access to shared folders
Sharing in general | Share music, photos, and files


About Net2Go and security

Learn about Net2Go security, including how Network Magic protects your network as others visit shared folders:

Security features

Security tips


Security features

Use to access selected shared folders away from home through the Web.

As with a network password or other personal ID, having the ability to change your Net2Go password is an important part of your home network security strategy.

When you type the Net2Go password, Network Magic uses encryption to make your password secure before transmission. The password is not sent in plain text format.

A security method to help keep data private, for example, the popular wireless encryption standard Wi-Fi Protected Access (WPA).

Network Magic helps protect your password-protected shared folders from unauthorized access.

If anyone tries to sign in and repeatedly types an incorrect Net2Go password within a short period, Network Magic automatically disables network access temporarily.

Depending on the number of password failures, Network Magic disables access for either five minutes or 30 minutes. Only after this time period will Network Magic allow any user to try to sign in again.

Doing this helps prevent network crackers (hackers) from connecting to the network by guessing the Net2Go password.

If you set up password-protected folders, you type the Net2Go password in order to access them.

To help maintain your network's security, Network Magic does not allow uploading to public folders.

A type of shared folder that anyone can access, either in your network or through the Web using Network Magic Net2Go.

You can allow or prevent the uploading of files to the password-protected folders in your Net2Go Web site. This allows or prevents anyone from uploading, whether it is a visitor to your site or a member of your network.

For more information, see Complete tasks for Net2Go.

The site that provides access to folders and files shared with Network Magic.

To prevent accidentally uploading files that contain viruses or worms into the network, Network Magic automatically prevents the uploading of certain types of files.

Example Using Net2Go, visitors cannot upload executable programs (that is, files with names ending in .exe). Because certain programs are malicious, Network Magic prevents uploading to help keep your network more secure.

For more information about upload blocking and the file types that are blocked, see the additional Help online when you connect to your Net2Go Web site.

The site that provides access to folders and files shared with Network Magic.

In the event that there is a serious, system-wide security issue that affects Net2Go customers, the Net2Go feature will automatically shut down on your Net2Go host. This is done to help protect the security of your network and your personal files.

If such an event occurs, refer to Problems with Net2Go.

The computer that hosts your Net2Go Web site.

When you are away from home and you are finished using Net2Go, you ordinarily sign out like you do with other password-protected Web sites. However, if you forget to do this, Net2Go helps reduce the risk of unauthorized access.

If you simply close your Web browser and do not sign out, Net2Go prevents others from simply reconnecting by the way it uses cookies.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

Security features

Net2Go provides a variety of network security features, including the following:

Your Net2Go password

You can control the password

Password encryption

Automatic lockout with password failures

Password protection for private access

Transferring files

Network Magic does not allow uploading to public folders

You control whether to allow uploading to password-protected folders

Network Magic blocks many potentially dangerous types of files

The Net2Go Web service

Automatic shutdown for security events

Ending a Net2Go session

Automatically prevents unauthorized access


Security tips

Use to access selected shared folders away from home through the Web.

Use caution and do not accidentally share the wrong files. In particular, when you create public folders, carefully select the files you make available in the folders. By doing this, you can avoid sharing information you want to keep private.

A type of shared folder that anyone can access, either in your network or through the Web using Network Magic Net2Go.

To keep the Net2Go host secure while you are away—but also keep it accessible using Net2Go—you can lock your computer with a screen saver password.

A Windows screen saver password prevents others from accessing a computer. The steps you use both to set up a screen saver password and to use it vary among Windows versions. For more information, see the Help for your Windows version.

The computer that hosts your Net2Go Web site.

When you connect to your Net2Go Web site and access shared folders, Network Magic includes additional Help online. In it, you will find valuable information on remote access to your network, including using shared computers, access from a public computer or wireless access point and more.

The site that provides access to folders and files shared with Network Magic.

Use the same caution that you ordinarily would with files that you download to your computer:

· Use virus protection software and keep it up to date.

· Scan each uploaded file before you use it.

Act responsibly. Everyone who uses the computer should follow the previous tips about sharing and uploading files.

Stay informed. When you share a computer, keeping each other informed about key changes in setup is important.

Security tips

Here are ways you can help keep your network and personal information more secure when you use Net2Go.

Make sure you share the right files

Keep your Net2Go host secure when you are away

See the Net2Go security tips when you are online

For better Net2Go security, also note these tips if you do the following:

If you allow others to upload files

If you share a computer


Manage Net2Go

Manage your site and shared folders

Change your Net2Go password

Change access to shared folders

If you want to share access to password-protected folders

Shut down or start the Net2Go Web site

Tasks for the Net2Go host

Change to a different Net2Go host


Change your Net2Go password

Regularly changing your Net2Go helps keep your network more secure.

For information about this password (including tips) see Set Up the Net2Go Password.

  1. Click Net2Go Manager.

  2. In the Tasks tab, click Change Net2Go Web site password.

  3. In the Change Your Net2Go Password dialog box, type your password.

    When you create or change this password, Net2Go shows you the recommendations for a strong password—and indicates when you have completed each requirement (for example, that you have used at least one uppercase letter).

  4. Type the new password again to confirm it.

  5. Click OK.

If you share this password with others and you want them to continue to access password-protected folders at your site, let them know the new password after you update it.


Change access to shared folders

After you Set up shared folders, you can set up whether you want them available through Net2Go.

  1. Click Shared Folders.

  2. Click the folder you want to change.

  3. In the Tasks tab, click Change Folder Settings.

  4. In the Change Folder Settings dialog box, select or clear the Allow others to change or delete files in this folder check box.

    This action only controls whether home network users can add, change, or delete files in this folder. Net2Go Web site visitors cannot change or delete your shared files, and they can upload files only if you give them the password.

  5. Select or clear the Share this folder on the Web using Net2Go check box.

  6. If you opted to share in the previous step, select the access type you want:

    Password required     for password-protected folders. When you select this type, you must type the Net2Go password for access.

    Public (no password required)     for public folders. On your Net2Go Web site, Network Magic uses the title as a link and displays the description next to the link.

  7. Click OK.


If you want to share access to password-protected folders

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

The site that provides access to folders and files shared with Network Magic.

A type of shared folder that anyone can access, either in your network or through the Web using Network Magic Net2Go.

· School homework that you and someone else are working on together

· Work-related documents you want available to someone from the office

The address you and visitors enter in a Web browser for your Net2Go Web site.

Remind your visitors that this password is case sensitive, and that they must type the correct combination of uppercase and lowercase letters.

If you use Network Magic to share a folder and allow anyone to change the files in it, then your visitor can change the files. If you do not want this, click Shared Folders and prevent changes to those files.

Network Magic protects your original file in the following situation:

1. You download a file (for example, File.doc) from a password-protected folder.

2. On your other computer, you change the file and save it with the same file name.

3. You upload the file to the same password-protected folder.

In this situation, Network Magic saves the uploaded version of the file with a different file name (for example, File(1).doc).

Doing so will allow them to continue to access password-protected folders.

If you want to share access to password-protected folders

You can allow others you trust to use shared folders with password protection through your Net2Go Web site.

While anyone can view public folders, access to password-protected folders is limited to whoever has your Net2Go password.

Examples of when you might share access

What to provide others for access

When you want to allow friends or relatives to do this, make sure you provide the following:

  • Your Net2Go address

  • Your Net2Go password ...

Tell them to click Sign Out when they are done using Net2Go. This is important in helping keep your network secure.

Important Make sure others keep your Net2Go password secret and secure, and do not share it with the wrong people. Anyone you trust to connect to your network for this purpose should respect your privacy.

Considerations about sharing access

While sharing with visitors can be fun and helpful, note the following:

A visitor can change files that are available for editing

If you change a file and then upload it again

Let visitors know when you change your Net2Go password


Change to a different Net2Go host

If you need to use a different computer in your network as your Net2Go host, complete the following procedure.

Make sure the new computer you want to use meets the Net2Go requirements.

  1. At the old computer, click Net2Go Manager.

  2. In the Tasks tab, click Turn off Net2Go.

  3. Go to the new computer.

    If needed, install Network Magic. For steps, see Install the Network Magic software.

  4. Open Network Magic, and click Net2Go Manager.

  5. In Network Magic, click either of the following links:

    Start sharing with Net2Go

    Turn on Net2Go

The new computer is now your Net2Go host. On it, you can Set up your Net2Go Web site.


Shut down or start the Net2Go Web site

You can easily shut down your Net2Go Web site (for example, while you arrange your shared folders), and then start it again.

Shut down the Net2Go Web site

  1. Go to the Net2Go host.

  2. Click Net2Go Manager.

  3. In the Tasks tab, click Turn off Net2Go.

Start the Net2Go Web site

  • Repeat the steps above, but in step 3 click Turn on Net2Go instead.


Connect to your Net2Go Web site

You or others that connect to the network using Net2Go need the following:

  • An Internet-connected computer with a Web browser.

    No special software is needed. A broadband connection works best. For more information about requirements for connecting remotely, see Net2Go requirements.

  • The Net2Go address (for example, http://smithfamily.Net2Go.com).

    If you or someone in your home originally set up Net2Go, you should already have this address. If you are having friends or family visit your site, this is the address you should provide them.

  • Your Net2Go password if you want to access password-protected folders.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

A high-speed, always-on Internet connection often provided using television cable lines or digital telephone lines (DSL).

The address you and visitors enter in a Web browser for your Net2Go Web site.

  1. Open a Web browser, and enter your Net2Go address.

  2. To access password-protected folders, click Sign In (upper right of the page), type your Net2Go password, and then click Continue.

    If you have problems connecting, see Problems with Net2Go.

When you use Net2Go to connect to the network and need help, click the Help link at any site page.

Connect to your Net2Go Web site

After you Preview your Net2Go Web site , the site is ready and you can connect remotely.

What you need to connect

How to connect to the network

Tip


Get details about Net2Go

This is the Net2Go address for your Net2Go Web site.

You can click the link to display your site.

The address you and visitors enter in a Web browser for your Net2Go Web site.

The site that provides access to folders and files shared with Network Magic.

This indicates whether your Net2Go Web site is running (accessible through the Web).

If the status is Stopped and you want to start it, go to the Tasks tab and click Turn on Net2Go.

The site that provides access to folders and files shared with Network Magic.

This is the friendly name of the Net2Go host.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

The computer that hosts your Net2Go Web site.

This detail appears as a reminder when your Net2Go subscription is about to end.

This detail appears on the Net2Go host and indicates whether you have allowed using Net2Go to add (upload) files to password-protected folders.

For information about turning on or turning off uploading, see Complete tasks for Net2Go.

The computer that hosts your Net2Go Web site.

Use to access selected shared folders away from home through the Web.

Get details about Net2Go

Net2Go icon

Here is what Network Magic displays in the Details tab of the Device Properties panel:

Site address

Status

Hosted On

Subscription

File Uploading

To learn about the details that Network Magic displays for computers and devices, see Get detailed network information.


Complete tasks for Net2Go

Use to access selected shared folders away from home through the Web.

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

Creating your Net2Go address is part of completing first-time setup.

The address you and visitors enter in a Web browser for your Net2Go Web site.

You can view the Net2Go Web site in a Web browser.

Doing this, for example, lets you see how the home page appears, or verify that anyone can view photos that you want to share.

The site that provides access to folders and files shared with Network Magic.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

After you open a Web browser and use the Net2Go address to connect, you use the Net2Go password to access password-protected shared folders in the network. While the password is created during registration, you can change it anytime.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

The address you and visitors enter in a Web browser for your Net2Go Web site.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

Use this task to customize the welcoming text that visitors see on the home page for your Net2Go Web site.

For more information, see Set up your Net2Go home page.

Use this task to restart the Net2Go feature on the @REMOTE_ACCESS_FEATURE_NAME@@ host.

The computer that hosts your Net2Go Web site.

While using Net2Go is a great way to share with others, you might want to prevent uploading files to password-protected shared folders in your network.

Examples of when you would turn off the Net2Go feature include the following:

· You want to turn off access to your Net2Go Web site while you arrange your shared folders.

· You do not want to plan on using Net2Go in your network.

The site that provides access to folders and files shared with Network Magic.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

Complete tasks for Net2Go

As you manage Net2Go, Network Magic helps out by reminding you of standard tasks.

This type of task includes the following:

Setup tasks

Sign up for a Net2Go address

Web site management tasks

View Net2Go Web site

Change Net2Go Web site password

Set welcome message

Net2Go management tasks

Turn on Net2Go

Prevent files from being uploaded

Turn off Net2Go


When you install Network Magic, it detects printers connected to your network and adds them to the network map.

If you add a printer later, Network Magic senses it and adds it to the network map.

The Network Magic feature you use to help manage your network.

Sharing works in combination with Microsoft Windows' File and Printer Sharing.

To make it easier to locate and use, you can give a printer a friendly name (for example, Office Printer or John's Printer). If you use a printer for a particular purpose, you can give it a name that indicates it (for example, Photo Printer). If you have a printer directly connected to your network (a network printer), you can also assign it a special icon. By doing this, others can more easily identify it while using Network Magic. For more information, see Identify a network printer.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

A printer connected directly to a network, rather than to a computer.

Share printers

Printer Manager icon

You can use Network Magic to make printing easier for everyone in your home network.

Automatic printer setup in Network Magic

Printer drivers

Share a printer connected to a computer in your network

Make it easier to identify printers

Share a printer connected to a computer

Locating and managing printers

Find printers in your network

Check a printer's status

Get details about a printer

Complete tasks for a printer

Identify a network printer

Troubleshooting

Problems with printing


Share a printer connected to a computer

Network Magic automatically shares locally-connected printers (that is, printers connected directly to computers).

If there is a problem with automatic sharing

If Network Magic cannot automatically share a local printer (for example, if firewall software prevents printer sharing), you can still use Network Magic to complete printer setup.

  1. Open Network Magic, and then click What's New.

  2. In the Optimize Your Network box, click Complete printer setup.

  3. Follow the instructions on the screen.

To help you get ready for printer sharing, Network Magic can reduce the hassle of dealing with printer drivers. For information, see Printer drivers.


Share select network resources with others (for example, share a printer in your network or share folders and files on the Web using @@PROGRAM@@ Net2Go).

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

Stop sharing a printer

You can stop sharing a printer that is physically connected to your computer, so Network Magic no longer shares it with other users in your home network.

  1. Click Printer Manager.

  2. Click the printer you want to stop sharing.

  3. Do one of the following:

    In the     Tasks tab, click the stop sharing task.

    Right-click the printer, and from the shortcut menu select the option to stop sharing.

  4. At the confirmation dialog box, click Yes.

You can also stop sharing a printer using Microsoft Windows. The steps for this differ among Microsoft Windows versions. For information, see the Windows Help.

Note

If you want to stop sharing a printer that is physically connected to another computer, go to that computer and use Network Magic to stop sharing.


Printer drivers

Setting up a new printer requires getting and installing the right printer driver.

When you are getting ready to share a printer using Network Magic, how printer driver setup works can vary. Mainly, setup depends on whether or not computers in your home network use the same version of Microsoft Windows.

Automatic driver setup for the same Windows version

Install printer drivers for different Windows versions


Automatic driver setup for the same Windows version

Software that lets a computer run hardware or a device (for example, to use a printer, you need the right printer driver).

Network Magic copies printer drivers among computers that use the following Windows versions:

The following Windows version ... | Can share printer drivers with ...
Windows XP family (workstation versions) | Windows 2000 family and Windows XP family (workstation versions)
Windows 2000 family (workstation versions) | Windows XP family and Windows 2000 family (workstation versions)
Windows 98 SE and Windows Me | Windows 98 SE and Windows Me

An example of a Windows family is that which includes the members Windows XP Professional and Windows XP Home.

Another name for a computer connected to a network. This term helps distinguish computers and servers..

In some cases, Network Magic cannot automatically set up printer drivers.

If this happens with one or more Windows computers in your network, see Install printer drivers for different Windows versions.

Automatic driver setup for the same Windows version

When you use Network Magic to share a printer, Network Magic can automatically share a printer driver from one computer using a particular Microsoft Windows version with another computer in your network that uses the same Windows version.

For example, if you are using Microsoft Windows XP and are using a particular printer, Network Magic can copy the driver for that printer to another Windows XP computer in your network.

Network Magic shares drivers across certain Windows versions

If Network Magic does not set up your printer driver


Software that lets a computer run hardware or a device (for example, to use a printer, you need the right printer driver).

  • Computers in your network use different versions of Microsoft Windows.

    Usually, printer drivers are not compatible across different Windows operating systems. For example, you typically cannot install the same printer driver on both a Windows XP computer and a Windows 98 SE computer.

  • Your computer does not already have the driver needed.

  • Network Magic cannot automatically get the driver from one computer in your network and install it on another.

Install printer drivers for different Windows versions

If Network Magic cannot automatically copy a printer driver from one Microsoft Windows computer to another, you need to install the driver yourself.

Situations where you install a driver yourself ...

Installation overview

Here are the basic steps in installing a printer driver:

Get the printer driver

Install the printer driver

Share the printer from the local computer

Notes

Do not install drivers intended for these ... | On these ...
Windows 98 SE, Windows Me, Windows NT 4.0, or Windows 95 | Windows XP or Windows 2000
Windows XP or Windows 2000 | Windows 98 SE or Windows Me


Get the printer driver

Software that lets a computer run hardware or a device (for example, to use a printer, you need the right printer driver).

Note the name and model carefully, since printer names are often similar.

You can use the installation CD included with your printer. Also, you can try the installation CD for Microsoft Windows since it has drivers for many popular printers.

You can download the driver from the printer manufacturer’s Web site. Generally, these are free of charge, found in the Web site's product support or download area.

If you get a printer driver by downloading, make sure you do the following:

  • Get the right driver version for your Windows operating system and version. For example, if you have a Windows 2000 computer, get a Windows 2000 printer driver for your printer. While some manufacturers provide drivers intended for a variety of Windows operating systems, other manufacturers make versions for specific Windows versions.

  • Get the latest driver version available. For example, if more than one version is available, check the version number or the release date.

  • If available, get a WHQL-certified version. At Microsoft Corporation, the WHQL service tests and verifies WHQL-certified drivers for compatibility with Windows. WHQL is an abbreviation for Windows Hardware Quality Labs.

If you have little or no experience installing printer drivers, you might want to do the following:

  • Get the driver installer. Some manufacturers provide you with a choice of the driver with installer or just the driver itself. A driver installer is a program you can run that simplifies driver installation. While a driver installer typically might take more time to download, it is usually worthwhile to get it.

If you are using Microsoft Windows XP, some manufacturers' Web sites can simultaneously download and install the printer driver, with no further steps on your part. If you find that you can do this with your printer, complete the installation and then continue with the steps in Share the printer from the local computer.

For the Web addresses of several popular printer manufacturers, see Contact manufacturers.

Get the printer driver

Make sure you have the correct driver file for your manufacture and model of printer.

  1. Check which printer you have.

Tip

  2. Get a copy of the printer driver file.

Get the file from a CD or download.

After you get a printer driver

Continue with the steps in Install the printer driver.


Share the printer from the local computer

Your final step in installing a printer driver is to use Network Magic to share the printer.

  1. At the computer to which the printer is connected, open Network Magic.

  2. Click Printer Manager.

  3. Click your printer.

  4. In the Tasks tab, click the option to share the printer.

  5. At the dialog box that appears, click Start.

  6. At the confirmation dialog box, click Finish.

If the printer is already shared through Network Magic, you stop sharing it and then share it again to allow the Network Magic service to update the network information about shared devices.

If the printer is already shared

  1. In the Tasks tab, click the option to stop sharing the printer.

  2. Complete steps 1 through 3 in the previous procedure.

  3. At the dialog box that appears, click Yes.

The local computer is the computer to which the printer is connected.


Install the printer driver

Files with .exe extensions are program files (also known as executable files).

Files with .inf extensions are setup information files.

  1. Get the right printer driver.

    For information, see Install a printer driver.

  2. Log on to Windows as a Windows administrator.

  3. In Windows, click Start, and then click Control Panel.

  4. Open Printers and Faxes.

  5. Under Printer Tasks, click Add a printer.

  6. In the Add Printer Wizard, click Next.

  7. Click Local printer attached to this computer.

    Note that, even though the printer you want is connected to another computer, you should select Local printer attached to this computer.

  8. Click Use the following port.

    Leave the default port (for example, LPT1) as is, and then click Next.

  9. Select your printer's manufacturer and model.

  10. If you want, you can check Windows Update for a driver. The service has drivers for many popular printers.

    In the printer wizard, click Windows Update. If the Windows Update service has the driver you need, the service installs it on your computer. Skip the steps below and continue with the steps in Share the printer from the local computer.

  11. At the Install Printer Software dialog box, browse to the printer driver file.

    If you have a Windows installation CD, insert the disk into your computer's CD drive. Typically, Windows can locate the driver you need.

    If you have a downloaded driver file, go to the location to which you saved the file to get it in Install a printer driver, and then click OK.

  12. Follow the instructions on the screen to complete the driver installation.

  13. If Windows displays a dialog box that indicates the driver does not have a digital signature, click Yes.

  14. Continue with the steps in Share the printer from the local computer.

Software that lets a computer run hardware or a device (for example, to use a printer, you need the right printer driver).

A special user account in Microsoft Windows that allows the holder unlimited power to modify the operating system in any way. A Windows administrator account can perform key system actions, including installing and uninstalling software and hardware drivers, changing system-wide settings, and changing account settings of other users of the same computer. With a shared computer (a computer with several users with separate user accounts), typically one user has an administrator account. You should log on to Windows with a standard user account for everyday use and use the administrator account only for tasks which require it.

  1. Get the right printer driver.

    For information, see Install a printer driver.

  2. Log on to Windows as a Windows administrator.

  3. In Windows, click Start, point to Settings, and then click Control Panel.

  4. Open Printers.

  5. Under Printer Tasks, click Add a printer.

  6. In the Add Printer Wizard, click Next.

  7. Click Local printer.

    Note that, even though the printer you want is connected to another computer, you should select Local printer.

  8. Click Use the following port.

    Leave the default port (for example, LPT1) as is, and then click Next.

  9. Select your printer's manufacturer and model.

  10. If you want, you can check Windows Update for a driver. The service has drivers for many popular printers.

    In the printer wizard, select your printer's manufacturer and model, and then click Windows Update. If the Windows Update service has the driver you need, the service installs it on your computer. Skip the steps below and continue with the steps in Share the printer from the local computer.

  11. Click Have Disk.

  12. At the Install from Disk dialog box, browse to the printer driver file.

    If you have a Windows installation CD, insert the disk into your computer's CD drive. Typically, Windows can locate the driver you need.

    If you have a downloaded driver file, go to the location to which you saved the file in Install a printer driver, and then click OK.

  13. Select the printer name, and then click Next.

  13. At the Name Your Printer dialog box, either type a name or leave the default name and then click Next.

  14. Select Do not share this printer, and then click Next.

    After you complete this procedure, you can use Network Magic to share the printer.

  15. At the Print Test Page dialog box, select No and then click Next.

  16. At the completion dialog box, click Finish.

    Printer driver installation is complete.

  17. If Windows displays a dialog box that indicates the driver does not have a digital signature, click Yes.

  18. Continue with the steps in Share the printer from the local computer.

A user account in Microsoft Windows that gives the holder access to and control of many Windows settings.

  1. Get the right printer driver.

    For information, see Install a printer driver.

  2. In Windows, click the Start, point to Settings, and then click Printers.

  3. In the Printers folder, double-click Add Printer.

  4. In the Add Printer Wizard, click Next.
  5. Click Local printer.

    Note that, even though the printer you want is connected to another computer, you should select Local printer.

  6. Click Have Disk.

  7. At the Install from Disk dialog box, browse to the printer driver file.

    If you have a Windows installation CD, insert the disk into your computer's CD drive. Typically, Windows can locate the driver you need.

    If you have a downloaded driver file, go to the location to which you saved the file in Install a printer driver, and then click OK.

  8. Select the printer name, and then click Next.
  9. If you want, type a printer name and then click Next.

  10. At the Name Your Printer dialog box, and then click Next.

  11. Select Do not share this printer, and then click Next.

    After you complete this procedure, you can use Network Magic to share the printer.

  12. At the Print Test Page dialog box, select No and then click Next.

  13. At the completion dialog box, click Finish.

    Printer driver installation is complete.

  14. If Windows displays a dialog box that indicates the driver does not have a digital signature, click Yes.

  15. Continue with the steps in Share the printer from the local computer.

Install the printer driver

After you Get the printer driver, follow the appropriate steps below based on the type of printer driver you have.

Some printer manufacturers supply drivers as part of an installer, which is a program that installs the printer. Other manufacturers supply drivers as separate files, which you must install through a series of steps.

Do you have a driver installer or driver files?

Here is how you can determine what kind of printer driver you have and how you install it:

If you have one of the following ... | Use this procedure ...
A printer installation CD A downloaded file, with a name ending in .exe | If you have a driver installer
A Windows installation CD A downloaded file, with a name ending in .inf | If you have driver files

If you have a driver installer

  1. Start the installer.

    If you have a printer installation CD, installation is simple. Typically, you insert the disk into your computer's CD drive and an installation menu automatically appears. From the menu, select the driver installation option (for example, Install Printer).

    If you have a downloaded installer file:

    1. Use Windows Explorer to browse to it.

      Go to the location where you saved the file in Install a printer driver.

    2. Double-click the file.

      Often, printer manufacturers' .exe files are self-extracting (meaning, the one file contains many files). If this is the case, follow the instructions on the screen to extract the files. From the instructions, note the location to which the files are extracted. Then, locate the installer program. It will have a file name such as Setup.exe. Double-click the file and allow the installer program to start.

However, if the extracted files do not include an installer program (that is, a file name ending in .exe), look for a file with a name ending in .inf. If there is such a file, this is the printer driver file. Continue with the steps in If you have driver files.

  2. Follow the instructions on the screen to complete installation.

  3. Continue with the steps in Share the printer from the local computer.

If you have driver files

Use the appropriate procedure below for your Microsoft Windows version:

If you are using Windows XP

If you are using Windows 2000

If you are using Windows 98 SE or Windows Me


Identify a network printer

A printer connected directly to a network, rather than to a computer.

By identifying the printer type, you can help reduce the frustration that can result by using the wrong printer (for example, by printing a shopping list on more-costly photo paper).

To make it easier to locate a network printer, you can also give it a friendly name (for example, Home Printer).

By assigning a special printer icon to a network printer, others can locate and use the right printer.

Example If you have a printer that you use for printing photos and that you keep loaded with photo paper, you can assign it the following icon and name:

Photo printer icon
Photo Printer

@@PRODUCT@@ displays the icon in locations including the network map and the printers list in Printer Manager. To view examples of the printer icons you can use, click here.

The Network Magic feature you use to help manage your network.

Identify a network printer

Using Network Magic, you can identify a network printer to make it easier for everyone in your home network to locate and use.

  • Follow the steps in Name a device and give it an icon.

You can do the following:

Identify the printer type and give it a better name

Use a special icon

Identifying printers is especially useful if you have multiple printers in your home network (for example, you have a network printer, along with printers directly connected to computers).

By doing this, you can help reduce the frustration that can result from using the wrong printer.


Click Printer Manager.

For information about the printers, see Get details about a printer.

Click Network Map.

For information about how printers appear in the network map, see About network map items.

The Network Magic feature you use to help manage your network.

Follow the standard steps for the program to print a document. In the print dialog box, locate the printer you want.

When you try to find a printer, you also might want to Check a printer's status.

Find printers in your network

There are a variety of ways of finding printers in your home network.

Find printers in your network

Determine how printers are connected in your network

Find a printer using another program

Tip


Check a printer's status

You can easily determine whether a printer is available for printing, is currently in use, and more.

  1. Click Printer Manager.

  2. In the printers list, click the printer you want.

  3. In the Details tab, review the information displayed.

    To learn about this information, see Get details about a printer.

Problem icon

This indicates that there is a problem with the printer.

One situation where this appears is that the computer you are using does not have the driver installed to use the printer. For more information, see Printer drivers.


Get details about a printer

This is the printer's manufacture and model name.

This is the type of connection that the printer has to your network: Local Printer, Network Printer, or Remote Printer.

A printer connected directly to the computer you are using (sitting at).

A printer connected directly to a network, rather than to a computer.

Ready indicates whether the printer is shared in your home network and available for use.

For information about sharing printers, see Share a printer connected to a computer.

Network Magic does not display the status for a network printer.

A printer connected directly to a network, rather than to a computer.

This is the printer manufacturer and model.

For contact information for several popular printer manufacturers, see Contact manufacturers.

For printers connected to a computer, this shows the friendly name of the computer to which the printer is connected.

With network printers, Network Magic shows Unknown.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

Get details about a printer

Shared printer icon

Here is what Network Magic displays in the Details tab of the Device Properties panel:

Printer name

Connection type

Additional details include the following:

Status

Printer Model

Connected to

To learn about the details that Network Magic displays for computers and devices, see Get detailed network information.


Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

Using Network Magic, you can share a printer with other users in your home network. For information, see Share a printer connected to a computer.

If you have already set up a printer for sharing, you can stop sharing it. For information, see Stop sharing a printer.

Access the printer queue—the list of currently-printing documents—available through Microsoft Windows (for example, if you want to cancel printing a document that has already been sent to the queue).

For information about the printer queue, see the Help for your version of Windows. In Windows, click Start, then click Help. If you are using Windows XP, click Start, and then click Help and Support.

Access the printer properties available through Microsoft Windows (for example, if you want to change settings). Properties differ among Microsoft Windows versions.

For information, see the Help for your version of Windows. In Windows, click Start, then click Help. If you are using Windows XP, click Start, and then click Help and Support.

Complete tasks for a printer

As you manage printer sharing, Network Magic helps out by reminding you of common tasks.

This type of task includes the following:

Start or stop sharing

Check the printer queue

Access printer properties

Notes

  • You can only perform tasks to a printer connected to the current computer.

  • You can also perform these tasks through the printer list displayed when you click Printer Manager. To do so, click the printer you want and then right-click it. From the shortcut menu, select the task.


Protect your network

PC Shield icon

Already, you have improved your home network by installing and using Network Magic. With features such as Wireless Protection Center and PC Shield and by taking steps such as those described here, you can network easily and securely.

Using the Wireless Protection Center

Share safely with PC Shield

Help block unauthorized access

Make wireless networking more secure

Use these other common security steps

Update software, drivers, and firmware


A unique number assigned by a manufacturer to a device (for example, a network adapter) to identify it. MAC is an abbreviation for media access control.

A computer or device connected to your home network, and tracked through Network Magic.

A name that identifies a wireless network. SSID is an abbreviation for Service Set IDentifier.

A name that identifies a wireless network. SSID is an abbreviation for Service Set IDentifier.

Using the Wireless Protection Center

The Wireless Protection Center is the single place to go to view the security status of your wireless network, and to protect it as well. Please note: Not all routers support the Wireless Protection Center. To see the current list of routers that support this feature, please go to www.networkmagic.com.

You can always tell the security status of your home network from the Health and Security Services panel. The Wireless Protection Center padlock icon has three states:

Icon | Meaning
 | Your network is protected
 | Your network is unprotected and open to intruders
 | You don't have a wireless router, your wireless features are not enabled, or your router does not support the Wireless Protection Center at this time

Using Wireless Protection Center

Wireless Protection Center lets you view and change network security information for your wireless network. The available security options are described in the sections below.

Network Lock

You can prevent others from joining your network by turning on the Network Lock feature, which turns on MAC address filtering within your router. (For more on MAC address filtering, see Limit wireless connections using MAC filtering.)

Use this feature to prevent your neighbors from getting on your network, and to control who comes on and off the network. In addition, if at any time you have an intruder on your network (intruders show up in the Network Map; see About intruders) you can enable this feature to automatically kick the intruder off your network.

  • Click Network Lock and check the Use Network Lock box to automatically kick intruders off your network.

When you kick an intruder off of your network, you will notice on the Network Map that the intruder is shown as “offline.” The device is kept on the map so you can track whether or not it comes back on. If you wish to remove the device from your map, right-click on the device on the map and click Remove from the Network Map.

Network Name Broadcasting

You can prevent others from seeing your network, which turns off the broadcasting of your router's wireless network name (SSID). This is a great feature to use when you are going away for vacation, or simply don't want anyone to know that your router is there. However, if you actively use a wireless connection that requires seeing the broadcast SSID of your router, it is recommended that you leave SSID broadcast on.

  • Click Network Name Broadcasting and check the Do not broadcast box to prevent others from seeing your network.

Encryption

Wireless Protection Center detects whether or not you are using encryption on your home network and specifies the encryption method you are using. If you are not using encryption, you may want to consider turning it on to provide additional security. For more information, see Use wireless encryption.

Unique Network Name

Network Magic also detects the wireless network name (SSID) for your router; click Unique Network Name to display this name. If you have not changed the wireless network name from its original name, it is highly recommended that you do so. Factory-shipped default wireless network names are commonly known and pose a security risk.


Share safely with PC Shield

With the growing proliferation of wireless networks, ensuring that your laptop is safe when connected to a network other than your own is more important than ever before. With Network Magic’s automatic PC Shield feature, shared folders that previously were exposed to wireless threats because of Windows are now locked down and secure when you connect to another wireless network.

For example, if you have Network Magic installed on a laptop computer that uses a wireless connection, you can switch between your home network and another network (for example, an Internet cafe) and your shared files and folders are secure while you are away from home.

PC Shield icon

While your computer uses PC Shield, Network Magic displays this icon (for example, in a notification).

In addition, if your computer runs Microsoft Windows XP with Service Pack 2 or later and has the Windows Firewall turned on, PC Shield automatically does the following while you are connected to another network:

  • Removes Windows Firewall exceptions

  • Turns off Windows File and Printer Sharing, protecting your computer while you are connected to a network other than your home network.

When you reconnect to your network

After you reconnect your computer to your own network, PC Shield automatically does the following:

  • Resumes sharing your Network Magic shared folders.

  • Automatically reconfigures your Windows Firewall to work at home, and turns on Windows File and Printer Sharing again.


Help block unauthorized access

To avoid having problems, consider the following suggestions:

Use a firewall

Change your router's administrative password

Protect your network's IP addresses


Protects a computer or network from unauthorized access.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

Your router uses NAT to connect multiple computers to the Internet using just one IP address. NAT is an abbreviation for Network address translation.

This tracks each connection through firewall to make sure it is a valid connection. Inspection includes checking the data (that is, the content of data packets), as well its source and destination.

This is the process of authorizing users, groups, and computers to access network resources. For example, you might limit access to the file Finances.xls to a particular user in your home. You can control access using a variety of factors and settings (for example, the IP address of a user's computer).

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

Use a firewall

Help block unauthorized users automatically by using a firewall, on either—or both—your router and the computers in your network that use firewalls.

Your router's firewall

Computer firewalls

Learn more about firewalls

Your router's firewall

Routers include a firewall that prevents unauthorized communication on nearly all ports. For this purpose, routers use network address translation (NAT), which is a basic firewall feature. For more information about NAT, see the product documentation for the router.

The firewall in a router is sometimes known as a hardware firewall.

Computer firewalls

Software firewalls are often separately purchased and installed, and—in some cases—are included in a suite of security-related programs. Here are the names of a few popular software firewalls:

  • McAfee Personal Firewall

  • Norton Personal Firewall

  • Windows Firewall in Microsoft Windows XP

  • ZoneAlarm and ZoneAlarm Pro

Software firewalls provide an additional layer of protection for the computers on your network. There are many brands of software firewalls out there. Your AOL membership entitles you to special, custom products. Click here to check out those products: AOL Keyword: Firewall Go to Web site

However, your computer might include a firewall without you knowing about it. For example, many computer manufacturers include firewall software already installed (bundled) on new computers. Also, recent Microsoft Windows versions include a software firewall (for example, in Windows XP Home and Windows XP Professional). In addition, with recent updates (service packs), the software firewall is turned on by default.

Generally, you know you have a software firewall installed if you frequently need to confirm whether you want to allow or deny access to certain programs or types of traffic from the Internet or a network. A software firewall is also known as a personal firewall.

Among common firewall features are the following examples. Each helps make a network more secure:

Stateful packet inspection

Access control

If you have a firewall and want more information about it, see the firewall documentation.

Learn more about firewalls

For more information about Network Magic and firewalls, see Set up your firewall.

For information about the ports that Network Magic uses, see Network Magic ports.

For more information from AOL about firewalls, go to the America Online main menu and use following keyword:

Firewall


Set up your firewall

Protects a computer or network from unauthorized access.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A firewall controls access to a network or to a computer, much like a police officer controls traffic on streets. The police officer might allow access to most vehicles on most streets, but deny it to other vehicles on other streets (for example, the officer might not allow a commercial truck to go down a narrow residential street).

Depending on how the firewall is set up, it allows or denies inbound traffic—and allows or denies outbound traffic. Naturally, your router or computer does not have streets, but uses ports for its traffic. A firewall opens certain ports to certain types of traffic and closes other ports for other types.

To help keep your network or computer more secure, a firewall is typically set up to close most ports. This helps reduce the risk to unauthorized access by users to your network, your computers, and your personal information. However, when a firewall closes certain ports, it can prevent you, as a legitimate member of your home network, from using particular programs or from having access to certain types of network traffic.

A physical device that joins wired or wireless networks (for example, a router can connect your home network to the Internet). In a home network, you use a router to connect to the Internet, typically, using a cable or DSL modem. While many routers work with a separate modem, some router models (for example, residential gateways) use a built-in modem instead. A router is also known as a gateway or base station.

Generally, a port is a channel for network communications, including the ports found in a computer, router, or firewall. Different types of data transmit through individual ports, which have numbers similar to channel numbers on a radio dial. The term "port" can also refer to the physical ports on computers and devices (for example, a serial port on a computer).

Generally, a port is a channel for network communications, including the ports found in a computer, router, or firewall. Different types of data transmit through individual ports, which have numbers similar to channel numbers on a radio dial. The term "port" can also refer to the physical ports on computers and devices (for example, a serial port on a computer).

With your computer, you might need to open up certain firewall ports in order to do the following:

  • Run Network Magic. In particular, you need to run the Network Magic service. This service runs in the background to monitor your network (that is, to exchange information about your network's status with other computers in your network that are running the Network Magic service). For more information, see About the Network Magic services.

  • Share folders and printers. Use sharing with other computers in your home network.

With your router, you might need to open up certain firewall ports in order to do the following:

  • Play multiplayer games over the Internet.

  • Run a server from your home network. For example, you might run (host) a Web site or a game server.

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later. This type of computer is also called a workstation or a personal computer (PC). The network map identifies computers that have Network Magic installed and those that do not have it installed.

Share select network resources with other users in your network. You can share music, digital photos, video, and other documents. You can also share a printer connected to a computer. With Network Magic Net2Go, you can access shared folders through the Web.

Within a network, a server is a computer that is dedicated to providing users with shared access to files, printing, and other services.

To control the ports in your router firewall, see the product documentation for your router. To control the ports in your computer's software firewall, follow the steps in the product documentation for the firewall software.

For information about the ports that Network Magic uses, see Network Magic ports.

For certain programs that work over the Internet, you need to use make sure you complete the whole job when you open ports in a firewall— and not just half of it. Some programs use two types of ports: TCP ports and UDP ports. On the Web, TCP and UDP are standard transport protocols for Internet Protocol (IP) traffic. Often, multiplayer games used over the Internet use both TCP and UDP ports.

If you open one type of port and not the other (for example, the TCP port, but not the UDP port), the firewall is still going to prevent your program from working correctly. If you need to open firewall ports, it is important that you open both the TCP ports and UDP ports as needed.

To determine whether a program uses both TCP and UDP ports, try running the program and see whether your firewall prompts you for the port settings needed in order to properly run the program.

If this does not tell you whether the program uses both TCP and UDP ports, you can also check the product documentation for this information. To find it, browse for sections such as the following:

  • How to connect from behind a firewall

  • How to set up ports

  • Troubleshooting steps for the product

Set up your firewall

To do certain things in your home network might require changing firewall settings. For example, you might need to do so in order to use shared folders. Also, other programs that you or others use in your network might require that you change firewall settings (for example, with multiplayer games over the Internet).

You might need to change settings on either—or both—of the following:

  • The computers in your network that use software firewalls

  • The firewall in your router

If you are not sure whether your computers have firewalls, see Use a firewall. For information about the ports that Network Magic uses, see Network Magic ports.

Learn how to set up a firewall

For steps on configuring popular firewalls, see the appropriate topic for your firewall:

How to configure your McAfee Personal Firewall Go to Web site

How to configure your Norton Personal Firewall Go to Web site

How to configure your ZoneAlarm Firewall Go to Web site

Learn more

For more information about firewalls, see the following:

What is a firewall? Why open ports in one?

Examples of when you need access through a firewall

Opening ports in a firewall

Opening both TCP ports and UDP ports for other programs


A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

Depending on the model, your router might use both a user name and password—or it might use just a password—to access the router's Web-based administrative utility. At the factory, manufacturers set up default user name and password settings. Often, the user name is admin or administrator. With the password, this can be (blank). Or, the password can be a simple word (for example, admin, public, or password).

Hackers know the default passwords for popular routers and wireless network equipment. This type of information is readily available on the Internet.

By changing your router's user name and password at the earliest opportunity, you can make your network more secure.

For information on how to use Network Magic to access your router's Web-based administrative utility, see Administer your router.

A unique number assigned by a manufacturer to a device (for example, a network adapter) to identify it. MAC is an abbreviation for media access control.

Change your router's administrative password

Many users do not change the factory settings used to manage their routers. As a result, unauthorized users can access their routers.

Here are reasons to change your router's user name and password:

User names and passwords are well-known

It makes your network more secure

Recommendations for your user name and password

  • Use words that would be difficult for others to guess.

  • Store your password in a safe place.

If you forget or lose your password

If you forget or misplace your password and cannot log on to your router, you can restore the router's factory default settings.

While this allows you to log on again using the default user name and password, restoring also removes any custom—non-factory—settings (for example, if you have set up MAC address filtering or special port settings). For more information about restoring factory default settings, see your router's product documentation.


A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

Your router uses NAT to connect multiple computers to the Internet using just one IP address. NAT is an abbreviation for Network address translation.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

Protect your network's IP addresses

By hiding the IP address of each computer and device in your network from the Internet, you reduce the risk of unauthorized access. You can do so using network address translation (NAT), a feature that is available on routers.

For information about the NAT feature, see the product documentation for your router.


Make wireless networking more secure

Wireless access point icon

Using wireless connections adds convenience and flexibility in home networking. You can work, play, or stay in touch wherever your signal reaches.

Use wireless encryption

Turn off wireless network name broadcasting

For additional security, it is a good idea that you also complete the following:

Change the wireless network name

Limit wireless connections using MAC filtering

AOL Resources

Insider Guide – Wireless Security (Video) Go to Web site

Insider Guide – Wireless Security (PDF) Go to Web site


Ways of helping protect data transmitted over wireless networks, including WEP or WPA.

A way of helping protect data transmitted over wireless networks. WEP is an abbreviation for Wired Equivalent Privacy.

A way of helping protect data transmitted over wireless networks. WPA is an abbreviation for Wi-Fi Protected Access.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

To make it easier to use these instructions, print them.

In this Help, click the Contents tab. Right-click this topic, and then click Print. Select Print the selected heading and all subtopics, and then click OK.

Use wireless encryption

Wireless encryption helps protect data transmitted over wireless networks, using common network security standards such as WEP and WPA.

To set up wireless encryption, you need to configure wireless settings for your router and for each wirelessly-connected computer and device in your network. To remind you that using wireless encryption s important, Network Magic displays a task that reminds you to use it. Network Magic does this when it detects that your router is not using wireless encryption.

Be prepared
Unless you are already experienced in changing wireless settings, make sure you have the product documentation for your network equipment handy before continuing. You might need it for reference.

Overview

In this order, do the following:

Get ready

Prepare a WEP key or WPA passphrase

Set up your router

If you have a wireless access point

Set up each computer

Set up each device

Be smart wirelessly

Tip


Get ready

Ways of helping protect data transmitted over wireless networks, including WEP or WPA.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A name that identifies a wireless network. SSID is an abbreviation for Service Set IDentifier.

A wireless networking standard that uses a speed of up to 11 megabits per second (Mbps).

A wireless networking standard that uses a speed of up to 54 megabits per second (Mbps).

A way of helping protect data transmitted over wireless networks. WEP is an abbreviation for Wired Equivalent Privacy.

A way of helping protect data transmitted over wireless networks. WPA is an abbreviation for Wi-Fi Protected Access.

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

A device used for wireless network access. Also known as an access point (or AP) or bridge.

Check what encryption type your network equipment supports. For example, if your router, computers, and network adapters can support 128-bit encryption, use it—and not 64-bit (sometimes called 40-bit encryption).

Note that if your equipment supports different levels of WEP encryption, then your network must use the lower level. For example, if your router supports 128-bit encryption and a laptop computer's network adapter supports 64-bit encryption, then your router must use 64-bit encryption.

A security method that helps keep data private. Examples include the popular wireless encryption standards Wired Equivalent Privacy (WEP) and Wi-Fi Protected Access (WPA).

The type determines how long the key must be and what characters it can contain. Your equipment might use hexadecimal (hex) WEP keys or ASCII WEP keys.

A security method to help keep data private, for example, the popular wireless encryption standard Wi-Fi Protected Access (WPA).

A popular term for 802.11 wireless networks. Wi-Fi is short for wireless fidelity.

Software that lets a computer run hardware or a device (for example, to use a printer, you need the right printer driver).

Generally, networks are easier to set up and maintain if the equipment (for example, the router, your computers' network adapters, and wireless access point) is made by the same manufacturer. Because manufacturers develop and test their own equipment to work together, the equipment works better in the resulting home networks.

There are many types of network equipment and, for each type, there are many manufacturers. As a result, there can be issues where one device does not work well with another device—or a device might not connect to your network.

With wireless encryption, it is worthwhile to keep in mind the following. These issues and similar issues can affect which type of wireless encryption you want to use:

  • With WPA, the software from different manufacturers can handle WPA passphrases differently. This can prevent devices that use WPA from connecting wirelessly to your network.

Make sure you get the latest Windows XP service packs. Doing so is important to allow your computer to connect to your network once WPA is in use. The service packs should include WPA-related updates. Newer computers might already include these updates.

For information about software updates and Windows Update, see Keep your software up to date.

Whether you can use WPA with these Windows versions depends on whether the network adapter installed in the computer can support it. For example, with some manufacturers, you can obtain an updated driver that supports WPA.

For information about software updates and Windows Update, see Keep your software up to date.

A computer circuit board, card, or other device that connects your computer to a network. This is also known as an adapter card or network interface card (NIC).

Software that lets a computer run (communicate with) hardware or a device. For example, to use a printer, you need the right printer driver on your computer.

Get ready

To get started in setting up wireless encryption, check other wireless-related settings in your router or its documentation, and determine which type of wireless encryption you can use.

Set up other wireless settings in your router first

Before you configure wireless encryption, make sure your router has its other wireless settings configured.

Typically, these settings include the following:

  • The wireless network name (SSID)

  • If your router supports more than one wireless transmission mode (for example, both 802.11b or 802.11g), you might need to specify which to use.

For information on setting these, see the product documentation for the router.

Determine whether you can use WEP or WPA

WEP and WPA are popular standards for wireless encryption.

To determine which you can use in your network, check each device to find out which standard it supports. For example, if your router, computers, network adapters, and wireless access point support WEP, then you can use WEP wireless encryption. To find out which standard your network hardware uses, check the product documentation or even the product packaging.

When you check your network equipment, keep the following in mind about these standards:

About WEP ...

Use the highest supported encryption level

Determine which type of WEP key to use

About WPA ...

WPA has improvements over WEP (for example, WPA has stronger encryption).

Most recent, Wi-Fi-certified devices support WPA. Many newer wireless-ready laptop computers come from the factory ready to use WPA (for example, with the correct drivers already installed). However, you can upgrade some older equipment to make it WPA-compatible.

Important Use either WEP or WPA on all devices in your network. You cannot use different types of wireless encryption on different devices.

Other information you should know

Before continuing, keep in mind the following:

If your home network uses equipment from different manufacturers

If you are going to use WPA, see the appropriate information for your Microsoft Windows operating systems:

If you are using Windows XP

If you are using Windows 2000, Windows 98 SE, or Windows Me

Go to the next step

Now Prepare a WEP key or WPA passphrase.


Prepare a WEP key or WPA passphrase

Ways of helping protect data transmitted over wireless networks, including WEP or WPA.

A way of helping protect data transmitted over wireless networks. WEP is an abbreviation for Wired Equivalent Privacy.

A way of helping protect data transmitted over wireless networks. WPA is an abbreviation for Wi-Fi Protected Access.

A type of password you need to connect to a wireless network that uses WEP wireless encryption.

A type of password you need to connect to a wireless network that uses WPA wireless encryption. A WPA passphrase is also known as a WPA Pre-Shared Key or WPA-PSK.

A security method to help keep data private, for example, the popular wireless encryption standard Wi-Fi Protected Access (WPA).

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A device used for wireless network access. Also known as an access point (or AP) or bridge.

If your network devices are in separate locations (for example, one computer is upstairs and another is downstairs), make sure you have some type of removable storage before you create your WEP key or WPA passphrase.

Doing this lets you carry a copy of your key or passphrase with you, and then copy and paste it at each device.

Portable memory that you can use to transport data among computers, for example, USB storage drives (thumb drives).

USB is a hardware standard (type) that allows you to easily connect devices to a computer. On a computer, a USB port is small and rectangular. USB is an abbreviation for universal serial bus.

If your network has a wireless device that requires that you manually enter the key or passphrase, print a copy of the file you just created.

For example, a wireless digital media receiver might use a remote control for setup, in addition to regular networking use. To determine whether this is the case for a wireless device, see the product documentation.

A media receiver expands how you can use digital media (for example, play music and view photos stored on a computer with a home entertainment center).

Create a key that is 26 characters long.

Use the letters A through F and numbers 0 through 9.

Create a key that is 10 characters long.

Use the letters A through F and numbers 0 through 9.

Create a key that is 13 characters long.

Use the letters A through F and numbers 0 through 9.

Create a key that is five characters long.

Use the letters A through F and numbers 0 through 9.

Create a passphrase between eight characters and 63 characters in length. Recommended: A minimum length of 20 characters.

Use letters, numbers, spaces, and the following symbols:
! ? * & _

Note

When you read about WPA passphrases, you might see the abbreviation TKIP. This is Temporal Key Integrity Protocol, the type of encryption that WPA uses.

A security method to help keep data private, for example, the popular wireless encryption standard Wi-Fi Protected Access (WPA).

Prepare a WEP key or WPA passphrase

After you determine which wireless encryption standard you can use—WEP or WPA—prepare either a WEP key or a WPA passphrase.

What is a key or passphrase?

Each is a string of characters—letters, numbers, and certain punctuation—that is similar to a password.

The following is an example (in this case, a WEP key for use with 128-bit encryption; this example contains 26 characters):

123EaBcE234511233336382841

Here are the basics of what you should know about a WEP key or a WPA passphrase:

  • Each protects your data by helping encrypt it before transmitting wirelessly. Each also helps decrypt the data after a wireless computer or device receives it.

  • You must set up the same key or passphrase on the following:

    Your router

    Any computers and devices that connect to it wirelessly

    Any intermediate devices in computer-to-router connections (for example, a wireless access point)

  • Longer is better. The more characters in the key or passphrase, the more difficult it will be for others to crack it.

Tip

Create your key or passphrase

This section describes how to create a key or passphrase, and then save it to removable storage (for example, a USB drive or floppy disk as described in the above tip). Doing this makes it easier to set up keys or passphrases on your router and other wireless devices.

Before continuing, note the following:

  • Some routers include a key or passphrase generating feature. If you want, you can use your router's feature to create your key or passphrase. After you do so, save the key or passphrase to a file as described in this procedure.

  • If you cannot use removable storage (for example, many newer computers do not have floppy disk drives), you can write your key or passphrase on paper, or print it from Notepad.

To create a key or passphrase

  1. Open the Notepad program. Click this button:

  2. In Notepad, type the WEP key or WPA passphrase. Refer to the format table below.

    Make your key or passphrase random. Do not use a word (for example, your last name), your home address, or an easily remembered phrase; these are easier to determine and, as a result, less secure.

  3. If you do not need to set up network devices in separate locations, you can continue and Set up your router.

  4. From the File menu, select Save As and then save the file to your removable storage (for example, as Key.txt).

Tip

Note

To open Notepad yourself, click Start, and then Run. In the Open dialog box, type notepad and then click OK.

Key or passphrase format

Click the link for the type of key or passphrase you are using:

WEP key in hexadecimal (hex) format:

WEP (Hex) with 128-bit encryption

WEP (Hex) with 64-bit encryption (sometimes called 40-bit)

WEP key in ASCII format:

WEP (ASCII) with 128-bit or 104-bit encryption

WEP (ASCII) with 64-bit encryption (sometimes called 40-bit)

WPA passphrase:

WPA (WPA-PSK) passphrase

Go to the next step

Now Set up your router.


Set up your router

A type of password you need to connect to a wireless network that uses WEP wireless encryption.

A type of password you need to connect to a wireless network that uses WPA wireless encryption. A WPA passphrase is also known as a WPA Pre-Shared Key or WPA-PSK.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A networking standard that uses cables to connect computers and devices.

Ways of helping protect data transmitted over wireless networks, including WEP or WPA.

Have the product documentation handy when you do this.

Unless you are already experienced in changing router settings, you will probably need it for reference.

Portable memory that you can use to transport data among computers, for example, USB storage drives (thumb drives).

If you prefer, you can open a Web browser and then open the Web-based administrative utility yourself.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

Ways of helping protect data transmitted over wireless networks, including WEP or WPA.

A device used for wireless network access. Also known as an access point (or AP) or bridge.

Set up your router

After you create a WEP key or WPA passphrase, set it up on your router.

Before continuing, note the following:

  • Where possible, complete this procedure using a computer with a wired (for example, Ethernet) connection to your router.

  • Once you enable wireless encryption on your router, any computers or devices that connect to it wirelessly will temporarily be unable to connect. However, as you set up a WEP key or WPA passphrase on each computer or device, it reconnects to your router.

Tip

To set up your router

  1. Make sure you have your WEP key or WPA passphrase ready.

    If you have saved it to removable storage, open it in Notepad. Click this button:

    Using Notepad, open the file on your removable storage that contains your key or passphrase (for example, open Key.txt if that is the file name you used in Prepare a WEP key or WPA passphrase ).

  2. In Network Magic, click Network Map.

Tip

  3. In the map, right-click the router. From the shortcut menu, select the router management option.

    Your computer opens a Web browser and displays a log-on dialog box.

  4. As required, specify a user name and password to access the Web-based administrative utility.

  5. Locate the wireless encryption settings that include WEP-related or WPA-related settings.

    In particular, you need to locate and enable WEP or WPA wireless encryption, and locate where you need to specify the key or passphrase. For help with locating these, refer to the product documentation.

  6. In Notepad, select and copy the key or passphrase (for example, from the Edit menu, select Copy).

  7. In your router's Web-based administrative utility, paste the key or passphrase (for example, by pressing CTRL+V) into the appropriate field.

Important With many devices, you can enter up to four WEP keys. Make sure you enter your WEP key in the same numbered field.

For example, if you add your WEP key to the key 1 field on the router, make sure you add the same key to the key 1 field on each computer or device.

  8. Save your settings and close the Web browser.

Note

To open Notepad yourself, click Start, and then Run. In the Open dialog box, type notepad and then click OK.

Go to the next step

If you have a wireless access point, continue with If you have a wireless access point.

Otherwise, continue with Set up each computer.


If you have a wireless access point

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A device used for wireless network access. Also known as an access point (or AP) or bridge.

A type of password you need to connect to a wireless network that uses WEP wireless encryption.

A type of password you need to connect to a wireless network that uses WPA wireless encryption. A WPA passphrase is also known as a WPA Pre-Shared Key or WPA-PSK.

Have the product documentation handy when you do this.

Unless you are already experienced in changing access point settings, you will probably need to refer to the documentation.

Portable memory that you can use to transport data among computers, for example, USB storage drives (thumb drives).

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

Ways of helping protect data transmitted over wireless networks, including WEP or WPA.

If you have a wireless access point

If you have both a router and a wireless access point in your network, you also need to set up your WEP key or WPA passphrase on your access point.

Tip

To set up your wireless access point

  1. When you first try to use your access point, you might see a message that it is unable to connect to a wireless network.

    This is normal. Since you enabled wireless encryption on your router in Set up your router, any computers or devices that connect to it wirelessly will temporarily be unable to connect. However, as you set up wireless encryption on each computer or device, it reconnects to your router.

  2. If you saved your WEP key or WPA passphrase to removable storage, make sure you have it ready.

    Open it in Notepad. Click this button:

    Using Notepad, open the file on your removable storage that contains your key or passphrase (for example, open Key.txt if that is the file name you used in Prepare a WEP Key or WPA Passphrase ).

  3. Open a Web browser and then open the Web-based administrative utility that you use to set up and manage your access point.

  4. Follow the usual steps to specify your user name and password, and access the Web-based administrative utility.

  5. Locate the wireless settings that include WEP-related or WPA-related settings.

    In particular, you need to locate and enable WEP or WPA wireless encryption, and locate where you need to specify the key or passphrase. For help with locating these, refer to the product documentation.

  6. In Notepad, highlight and copy the key or passphrase (for example, from the Edit menu, select Copy).

  7. In your access point's Web-based administrative utility, paste the key or passphrase (for example, by pressing CTRL+V) into the appropriate field.

Important With many devices, you can enter up to four WEP keys. Make sure you enter your WEP key in the same numbered field.

For example, if you add your WEP key to the key 1 field on the router, make sure you add the same key to the key 1 field on each computer or device.

  8. Save your settings and close the Web browser.

Note

To open Notepad yourself, click Start, and then Run. In the Open dialog box, type notepad and then click OK.

Go to the next step

Now Set Up Each Computer.


Set up each computer

A type of password you need to connect to a wireless network that uses WEP wireless encryption.

A type of password you need to connect to a wireless network that uses WPA wireless encryption. A WPA passphrase is also known as a WPA Pre-Shared Key or WPA-PSK.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

Have the product documentation handy when you do this.

Unless you are already experienced in changing wireless settings, you will probably need it for reference.

Portable memory that you can use to transport data among computers, for example, USB storage drives (thumb drives).

A name that identifies a wireless network. SSID is an abbreviation for Service Set IDentifier.

Ways of helping protect data transmitted over wireless networks, including WEP or WPA.

The Network Magic feature you use to help manage your network.

It is a good idea to check the wireless signal strength.

For example, with a computer, you can open Network Magic and check the network map. In the map, click the newly-connected computer, and then check the information in the Details tab of the Device Properties panel.

The Network Magic feature you use to help manage your network.

Set up each computer

After you create a WEP key or WPA passphrase and set up your router, set up the key or passphrase on each wirelessly-connected computer in your network.

To set up the key or passphrase, you use a separate utility program. Examples of such programs include the following:

  • With Microsoft Windows XP, use the Wireless Network Connection utility.

    To use this utility, click Start, and then click Control Panel. Double-click Network Connections, then locate and right-click the wireless connection you want. From the shortcut menu, select View Available Wireless Connections.

  • The network adapter's utility program

Tip

To set up your computer

  1. When you first try to use your computer, you might see a message that it is unable to connect to a wireless network.

    This is normal. Since you enabled wireless encryption on your router in Set up your router, any computers or devices that connect to it wirelessly will temporarily be unable to connect. However, as you set up the WEP key or WPA passphrase on each computer, it reconnects to your router.

  2. Have your WEP key or WPA passphrase ready.

    For example, if you saved it to removable storage, open the file in Windows Notepad. Click this button:

  3. Start the utility used to set up the computer's wireless settings.

  4. If needed, select your network by its wireless network name (SSID).

    For example, your utility might include this step and your router might detect the wireless signal from more than one network.

  5. Locate the wireless settings that include WEP-related or WPA-related settings.

    In particular, you need to locate and enable WEP or WPA wireless encryption, and locate where you need to specify the key or passphrase. For help with locating these, refer to the product documentation.

  6. If the utility allows it, copy the key (for example, from removable storage) and paste it into the appropriate field.

    1. In Notepad, highlight and copy the key or passphrase (for example, from the Edit menu, select Copy).

    2. In the utility, paste the key or passphrase (for example, by pressing CTRL+V).

      If the utility does not allow you to copy and paste, then carefully type the key or passphrase.

Important With many devices, you can enter up to four WEP keys. Make sure you enter your WEP key in the same numbered field.

For example, if you add your WEP key to the key 1 field on the router, make sure you add the same key to the key 1 field on each computer and device.

  7. Save your settings (for example, click OK).

  8. Check your wireless connection to make sure it works properly. For example, you can open Network Magic and check the network map.

Tip

Repeat this procedure for each wirelessly-connected computer in your network.

Note

To open Notepad yourself, click Start, and then Run. In the Open dialog box, type notepad and then click OK.

Go to the next step

If you have wireless devices, continue with Set up each device.

Otherwise, continue with the important advice in Be smart wirelessly.


Set up each device

A type of password you need to connect to a wireless network that uses WEP wireless encryption.

A type of password you need to connect to a wireless network that uses WPA wireless encryption. A WPA passphrase is also known as a WPA Pre-Shared Key or WPA-PSK.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

Devices include components that connect to networks. With Network Magic installed in your home network, you can connect and manage supported computers and devices. Examples of these devices are printers, media players and adapters, gaming devices, and digital video recorders.

Have the product documentation handy when you do this.

Unless you are already experienced in changing wireless settings, you will probably need to refer to the documentation.

Portable memory that you can use to transport data among computers, for example, USB storage drives (thumb drives).

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

Ways of helping protect data transmitted over wireless networks, including WEP or WPA.

The Network Magic feature you use to help manage your network.

Set up each device

After you create a WEP key or WPA passphrase and set up your router, set up the key or passphrase on each wirelessly-connected device in your network.

To set up the key or passphrase, you use a separate utility program included with the device. Examples of such programs include the following:

  • Web-based administrative utility

  • A utility displayed on a television screen, and run using a remote control. Often, these utilities include an on-screen keyboard for entering letters, numbers, and punctuation.

To determine what type of utility you use with a device, see the product documentation.

Tip

To set up your device

  1. When you first try to use your device, you might see a message that it is unable to connect to a wireless network.

    This is normal. Since you enabled wireless encryption on your router in Set up your router, any computers or devices that connect to it wirelessly will temporarily be unable to connect. However, as you set up wireless encryption on each computer or device, it reconnects to your router.

  2. Have your WEP key or WPA passphrase ready.

    For example, if you saved it to removable storage, open the file in Windows Notepad. Click this button:

  3. Start the utility used to set up the device's wireless settings.

    For example, open a Web browser and then open the Web-based administrative utility that you use to set up a device.

  4. Locate the wireless settings that include WEP-related or WPA-related settings.

    In particular, you need to locate and enable WEP or WPA wireless encryption, and locate where you need to specify the key or passphrase. For help with locating these, refer to the product documentation.

  5. If the utility allows it, copy the key and paste it into the appropriate field. In Notepad, highlight and copy the key or passphrase (for example, from the Edit menu, select Copy). In the utility, paste the key or passphrase (for example, by pressing CTRL+V).

    If the utility does not allow you to copy and paste, then carefully enter the key or passphrase.

Important With many devices, you can enter up to four WEP keys. Make sure you enter your WEP key in the same numbered field.

For example, if you add your WEP key to the key 1 field on the router, make sure you add the same key to the key 1 field on each computer or device.

  6. Save your settings (for example, click OK).

  7. Check your wireless connection to make sure it works properly. For example, you can open Network Magic and check the network map.

Repeat this procedure for each wirelessly-connected device in your network.

Note

To open Notepad yourself, click Start, and then Run. In the Open dialog box, type notepad and then click OK.

Go to the next step

Now read the important advice in Be smart wirelessly.


Be smart wirelessly

Ways of helping protect data transmitted over wireless networks, including WEP or WPA.

Only give this information to home network members.

Do not leave WEP key, WPA passphrase or password information in an obvious place (for example, taped to a computer monitor).

Also, do not e-mail this type of information since e-mail is not fully secure (for example, it might be read or intercepted by unauthorized users).

A type of password you need to connect to a wireless network that uses WEP wireless encryption.

A type of password you need to connect to a wireless network that uses WPA wireless security. A WPA passphrase is also known as a WPA Pre-Shared Key or WPA-PSK.

When you use a WEP key or WPA passphrase, help keep your network more secure.

Do it by regularly changing the key to a new random sequence (for example, every three months).

A WEP key is a type of password that you need to connect to a wireless network that uses WEP wireless encryption. WEP key is an abbreviation for Wired Equivalent Privacy key.

A WPA passphrase is a type of password that you need to connect to a wireless network that uses WPA wireless encryption. WPA is an abbreviation for Wi-Fi Protected Access. A WPA passphrase is also known as a WPA Pre-Shared Key or WPA-PSK.

Be smart wirelessly

Now that you have set up wireless encryption in your network, it is a good idea that you use the following recommendations. The more recommendations you follow, the more secure your network will be.

Keep your wireless encryption settings secure

Regularly change your WEP key or WPA passphrase

More recommendations

Turn off wireless network name broadcasting

Change the wireless network name

Limit wireless connections using MAC filtering


A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A device used for wireless network access. Also known as an access point (or AP) or bridge.

A name that identifies a wireless network. SSID is an abbreviation for Service Set IDentifier.

A unique number assigned by a manufacturer to a device (for example, a network adapter) to identify it. MAC is an abbreviation for media access control.

A security method to help keep data private, for example, the popular wireless encryption standard Wi-Fi Protected Access (WPA).

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

You can use Network Magic to access your router’s management page so that you can turn off wireless network name broadcasting on your router. To do this, click on your router in the Network Map, and then click Set up or manage device on the Tasks tab in the Device Properties panel. Then, within the router’s management utility, locate the page where you can turn wireless network name (SSID) broadcasting on or off.

Turn off wireless network name broadcasting

By default, nearly any wireless networking router or wireless access point is set to broadcast (transmit) the wireless network name (SSID) into the open air regularly (typically, every few seconds).

Unfortunately, this can mean that anyone can connect to your home network wirelessly—including a neighbor or a hacker. When it is broadcast, if you haven't taken any additional security precautions such as MAC address filtering or encryption, the wireless network name (SSID) also reveals your network's presence to anyone with a wireless network adapter. Turning off wireless network name broadcasting is a great protection measure for when you leave on vacation, or don't anticipate any wireless devices on your network for a while. Simply put, people can't see your network!

Network Magic makes it easy to turn wireless network name broadcasting on and off. In the Wireless Protection Center, click Network Name Broadcasting and then check Do not broadcast to prevent others from seeing your network (or uncheck the box to allow others to see it. For more information, see Using the Wireless Protection Center.

Not all routers support the Wireless Protection Center. For a complete list, please see www.networkmagic.com.

Tip


A name that identifies a wireless network. SSID is an abbreviation for Service Set IDentifier.

A physical device that joins wired or wireless networks (for example, a router can connect your home network to the Internet). In a home network, you use a router to connect to the Internet, typically, using a cable or DSL modem. While many routers work with a separate modem, some router models (for example, residential gateways) use a built-in modem instead. A router is also known as a gateway or base station.

You can use Network Magic to access your router’s management page so that you can change the network name on your router. To do this, click on your router in the Network Map, and then click Set up or manage device on the Tasks tab in the Device Properties panel. Then, within the router’s management utility, locate the page with the SSID field and enter in a new SSID.

Change the wireless network name

It is highly recommended that you change the default wireless network name (SSID) for your wireless router. All routers ship with a default name enabled that is widely known and used. By changing the wireless network name, unauthorized users are less likely to guess your network's name and connect to it.

Typically, you want to change the SSID on your wireless network adapters and devices, and then change it on your router. For information on how to change the SSID, see the product documentation for these devices.

Tip


A unique number assigned by a manufacturer to a device (for example, a network adapter) to identify it. MAC is an abbreviation for media access control.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

If your wireless router does not support the Wireless Protection Center feature, you can use Network Magic to access your router’s management page so that you can turn MAC address filtering on and off using your router. To do this, click on your router in the Network Map, and then click Set up or manage device on the Tasks tab in the Device Properties panel. Then, within the router’s management utility, locate the page where you can turn MAC address filtering on or off.

Limit wireless connections using MAC filtering

You can control access to your network by allowing or denying certain hardware to connect, using the hardware's MAC address. Typically, this ability is known either as MAC filtering or as MAC address filtering, and it is available on many brands of routers.

When you set up MAC filtering for computers, you typically enter the MAC address for the network adapter of each computer that you want to allow to connect to your network.

Network Magic's Wireless Protection Center automatically sets up and turns MAC address filtering on or off if you have a router that supports this feature. This is a great way to protect your network from intruders.

Tip

Notes

  • This capability does not refer specifically to Apple Macintosh computers. Many know these computers by the "Mac" nickname.

  • On a Macintosh, you can find the MAC address by opening the System Preferences program, and then clicking the Network icon. The address is the Airport ID available under the Airport tab.


Use these other common security steps

· Keep it turned on.

· Update the software regularly.

· Set it up to scan e-mail attachments.

Programs from some Web sites are risky. It is a good idea to avoid clicking OK or Yes at pop-ups that ask you to install software, unless you understand what the software is and that you trust the source.

· Before you open files attached to e-mail (attachments), scan them first using virus protection software.

· Do not open unknown attachments.

As you use the Web, you can encounter software—often invisible to you—that can cause problems with your computer. Examples of such problems can include the following:

  • Changing your Web search results to advertisements instead of your search results

  • Slower system speed from your computer

  • Interference with other software

This can result from malicious software (also known as malware) that is installed on your computer without your knowledge. Malware can include advertising software (adware) that displays ad banners on screen, and spying software (spyware) that gathers information about your Internet activity.

Adware and spyware are annoying, both in the problems they can cause and in the steps you can take to manage the problem. Here is what you can do:

  • Install and regularly use ad- and spyware blocking software. You can often find such software free of charge on the manufacturers' Web sites, as well as reliable software distribution sites. You can also check with software retailers.

  • Update the software regularly.

Use these other common security steps

To avoid having problems, consider the following suggestions:

Use virus protection software

Install software from reliable sources

Use caution with the e-mail you receive

Avoid various problems introduced by ad software and spying software


Update software, drivers, and firmware

Regularly check for software updates to help reduce the number of networking problems.

Why are updates important?

While updates can include feature improvements, they can also include fixes to routine and critical problems. In some cases, updates can fix potential vulnerabilities for your network. Typically, companies make updates to their products available on their Web sites, and they are usually free of charge.

For more information, see the following:

Keep your software up to date

Use automatic notification for updates

Keep Network Magic software up to date

Where to get updates


Keep your software up to date

Do this for each computer in your network. For example, for Microsoft Windows, use the Windows Update service.

To access Windows Update, go to either Windows Update Go to Web site or the Microsoft Windows Web site Go to Web site .

Problems with firmware can cause a variety of problems, including disconnecting your network from the Internet.

The software that runs a router or device.

Your computer uses drivers to run hardware that is connected to it. For example, your computer's network adapter is a key driver to keep up to date.

Software that lets a computer run hardware or a device (for example, to use a printer, you need the right printer driver).

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

You can sign up for e-mail newsletters that can you help you both with keeping your software up to date and making your network more secure.

Examples include security bulletins you can receive from manufacturers or popular software information Web sites. Typically, newsletters like these bulletins are available free of charge.

Keep your software up to date

To help reduce the number of networking problems, regularly, check for and install updates for the software on the computers and other devices in your network.

Check for updates regularly

Periodically check for updates for software you use regularly. In particular, make sure you routinely update the following key software in your network:

Operating system software

Router firmware

Drivers

Tip


Network Magic is an example of software with such a feature. If a new version is available and it has automatically downloaded to your computer, Network Magic indicates that it is available for installation. You might see a notification for this purpose, or Network Magic can list a similar task.

For more information, Update after a notification or using a task.

Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

Use automatic notification for updates

To help reduce the number of home networking problems, keep your software up to date using automatic notifications. Many programs include a feature that notifies you when updates are available.

It is a good idea to turn on such a feature when it is available, if it is not already turned on. For information about whether such a feature is available for your programs and how you can turn it on, see the product documentation for the software.

About Network Magic update notifications


Keep Network Magic software up to date

Keeping your Network Magic software up to date can also help reduce the number of home networking problems.

For information on how to do so, see About Network Magic updates.


Where to get updates

You can go to Web sites and locate the right updates based on your computers' software and hardware. Once at a Web site, check the support or download areas.

For a list of popular home networking equipment manufacturers (for example, for routers, network adapters, and devices) that includes links to their Web sites, see Contact manufacturers.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

A component that connects to a network (for example, a printer, media player, or gaming device).

Many popular software packages include features that let you automate this process.

Here are examples of how this works:

· You can set up your computer to automatically download software updates. Simply confirm that you want to install these, and you are up to date.

· You can sign up for a notification by e-mail that an update is available.

Where to get updates

You can get software updates yourself from Web sites or, in many cases, you can automate updating.

Check the product Web site

Get updates automatically


Troubleshooting

Working normally icon

Before you contact Network Magic support, check these topics for a solution.

These can help you solve common problems that you might have with Network Magic and with your home network.

Do you want to learn Network Magic basics?

Do you want to report a problem?


About new network devices

Unknown computer or device icon

You can use Network Magic to monitor computers and devices that connect to your network, including newly-connected network devices.

About new devices and Network Magic intrusion detection

New devices join automatically

About new network devices in the map

If you think an intruder has connected

About intruders

Get details about a device

Start tracking network activity

Avoiding problems

Reduce the risk of intrusion


A component that connects to a network (for example, a printer, media player, or gaming device).

A Network Magic feature that automatically detects when a new or unknown computer or device connects to your home network.

A device that connects to a network, letting you play music (for example, MP3s) on a stereo.

A network adapter you use to connect a video game system to a network.

The Network Magic feature you use to help manage your network.

Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

A computer or device that Network Magic cannot accurately identify.

New devices join automatically

When you first install Network Magic, it detects devices currently connected to your home network and automatically accepts them.

Network Magic intrusion detection and new devices

When you have Network Magic running, it uses intrusion detection to sense when a new computer or device connects to your network.

Generally, when this type of event occurs, it is a routine addition to your network, such as:

  • A computer that runs Network Magic

  • A computer that does not have Network Magic installed, and is connecting to your network for the first time

  • A new device (for example, a network digital music player or a game adapter)

Network Magic automatically allows the new device to join your network, adds it to the network map, and displays a notification.

New devices in the network map

New device icon

Network Magic uses this icon to identify a new network device in the network map.

Using Network Magic, you can easily identify regular network members. For information, see Give a computer a better name and Name a device and give it an icon.


About new network devices in the map

A computer or device that Network Magic cannot accurately identify.

The Network Magic feature you use to help manage your network.

If you are not aware of a newly-connected computer or device in your network, use care in determining whether it might be an accidental connection or a security risk.

Here are examples:

  • A user who intrudes accidentally (for example, a neighbor's wireless computer might inadvertently connect to your network using the wireless signal from your router or wireless access point)

  • A user who intrudes deliberately (for example, to "poach" a wireless signal or hack (crack) into your computers to access personal data). For more information, see About intruders.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A device used for wireless network access. Also known as an access point (or AP) or bridge.

If you have connected multiple devices to your network but cannot tell which device is which in the network map, you can identify them individually.

For steps, see When the network map shows a new device.

About new network devices in the map

In Network Magic, a new network device in the network map can be a variety of things.

How do I determine what a new network device is?

Tip


About intruders

A Network Magic feature that automatically detects when a new or unknown computer or device connects to your home network.

A computer or device connected to your home network, and tracked through Network Magic.

A computer or device connected to your home network, and tracked through Network Magic.

When Network Magic displays a notification that a new computer or device has connected, click the notification and view the network map.

To make sure Network Magic is set up to display this type of notification on this computer, use the steps in Set notification options.

Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

The Network Magic feature you use to help manage your network.

For example, someone else might have connected a new computer or device to your network.

If others are unaware of the new device, you can consider it an unauthorized connection.

About intruders

Network Magic intrusion detection can help you reduce the risk of intrusion in your home network.

Network Magic's Wireless Protection Center will kick intruders off your network and keep it secure from future intruders.

How to determine if there is an intruder

To help you determine if the new computer or device is something you expected or whether it is an intruder, do the following:

Use Network Magic to learn about the intruder

Check with others in your home

What to do if you think there is an intruder

You can have Network Magic keep a log of information about its activity on your network. For information, see About intruder tracking.

In addition, you can take steps to Reduce the risk of intrusion.


About intruder tracking

You can use Network Magic to track an intruder that has connected to your network.

Network Magic tracks intruder activity in a way that is similar to how it logs routine network activity of the computers and devices that routinely belong in your network. For information about routine Network Magic logging, see Check network activity.

You can have Network Magic automatically track each new network device that connects to your network. For information, see Track all new devices as intruders.

You can also use Network Magic's Wireless Protection Center to kick intruders off your network and secure it from future intruders.

How tracking works

Start tracking network activity

How Network Magic shows tracking information

Stop tracking network activity


Start tracking network activity

  1. Click Network Map.
  2. In the Other Devices area, click the computer or device you want to track.
  3. In the Tasks tab, click Track as Intruder.

  4. In the Track Network Activity dialog box, click Track.

    Network Magic moves the computer or device from the     Other Devices area of the map to the Intruders area.

Tip


How Network Magic shows tracking information

When Network Magic tracks an intruder's network activity, Network Magic lets you know in the following ways.

The tracking information in What's New

After you click What's New, check Recent Network Activity.

Tracking network activity icon

Next to this icon, Network Magic includes a link that indicates how many intruders it is tracking. Click the link to view the Intruders area of the network map.

Also in What's New, under Recent Network Activity, look for intruder events in red-colored text:

! A possible intruder (Unknown) joined the network 9:00 PM

The tracking information in the network map

After you click Network Map, click the icon for the intruder.

In the Details tab of the Device Properties panel, Network Magic indicates that it is monitoring activity.


Stop tracking network activity

  1. Click Network Map.
  2. In the Intruders area, click the computer or device.
  3. In the Tasks tab, click Stop Tracking as Intruder.

    Network Magic moves the computer or device from the     Intruders area of the map to the Other Devices area.

Tip


A computer or device that Network Magic cannot accurately identify.

The Network Magic feature you use to help manage your network.

A device that connects to a network, letting you play music (for example, MP3s) on a stereo.

A computer or device connected to your home network, and tracked through Network Magic.

Reduce the risk of intrusion

There are steps you can take to deal with problems including network devices that connect to your network.

Use Network Magic to identify devices

By identifying the computers and devices that belong in your network, everyone in your home can use Network Magic and see in the network map that each is a regular member (for example, that John's Computer regularly connects).

Example If you have a network digital music player in your network, it is easier to recognize with a name such as John's Music Player.

If the same device has the name Unknown, you and others in your network might mistakenly consider it an intruder. For steps on how to identify computers and devices, see Give a computer a better name and Name a device and give it an icon.

Help keep intruders away

For information about other things you can do to make your network more secure, see the following:

Protect your network

Help block unauthorized access


Problems during Network Magic setup

Network detection icon

The following can occur the first time you run Network Magic after installing it.

When Network Magic cannot detect a network

When Network Magic does not recognize a router

When Network Magic detects more than one network


When Network Magic cannot detect a network

If you are running the Network Magic setup program and the program indicates that it cannot detect your network, try the following:


When Network Magic does not recognize a router

To do this, follow the steps in Power cycle your network hardware.

Afterward, restart Network Magic. If it still indicates that it does not recognize your router, try the next procedure.

Save any unsaved work and close any other open programs. Then, follow the usual steps to restart your computer.

Afterward, restart Network Magic. If it still indicates that it does not recognize your router, try the next procedure.

Try configuring your firewall to allow the ports that Network Magic uses to access the Internet. For information, see Set up your firewall.

Afterward, restart Network Magic. If it still indicates that it does not recognize your router, try the next procedure.

Protects a computer or network from unauthorized access.

A channel for network communications, including the ports found in a computer, router, or firewall. Different types of data transmit through different ports.

If your computer uses a wired (for example, Ethernet) connection, make sure its Ethernet cable is connected directly to an Ethernet port on the router.

If there are any intermediate devices between your computer and your router (for example, a hub or a switch), remove the device and establish a direct connection to your router.

Typically, routers include the labels 1, 2, 3, and 4 for the Ethernet ports you use to connect computers.

A networking standard that uses cables to connect computers and devices.

Connects Ethernet cables on a network. A hub transmits data, but does not control data flow.

Connects computers and other devices on a network, using Ethernet cables.

When Network Magic does not recognize a router

Try the following, in the order listed:

1. Restart your network hardware

2. Restart your computer

3. Set up your firewall to allow Network Magic to access the Internet

4. Make sure your router is the first device to which your computer connects

For information about routers and Network Magic support, see Network Magic and routers.

For information related to Net2Go, see Net2Go-supported routers.


If you connect to another network

Network Magic displays information that includes the following:

Icon appears when you connect to another network

Protecting Shared Folders

When Network Magic PC Shield is in use, you see this displayed in various parts of Network Magic (for example, in the Network Status box and in a notification).

For more information, see What happens when you connect to another network.

A Network Magic feature that protects your shared folders when you connect to another network (for example, at an Internet cafe).

Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

Based on your situation, see the appropriate topic:

If you want to use another network temporarily

If you replace the router in your network

If you accidentally connect to two or more networks simultaneously

If you accidentally connect to an unknown wireless network

Try connecting again

If you connect to another network

Reconnect icon

You can use Network Magic to quickly manage connections to other networks—whether you connected on purpose or by accident.

For information about situations where you might connect to another network, see About other networks.

How do I know when I connect to another network?

What do I do with my connection?

Get notified when you connect to another network

Set up notifications for other networks


About other networks

Anytime your computer connects to a network that is different from your home network, Network Magic takes special steps.

For more information, see the following:

How you connect to another network

What happens when you connect to another network

What happens when you reconnect to your home network

How your home network is unique


How you connect to another network

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

For example, perhaps you have taken a laptop computer from your home to use with another network (perhaps a network at the office or at a friend's home).

For steps on what to do using Network Magic, see Use another network temporarily.

For example, you have accidentally connected to a neighbor's wireless network.

For more information about this situation, see If you accidentally connect to an unknown wireless network.

You have purchased and installed a new router, and set it up in your home network (that is, the new router replaces the router to which Network Magic formerly connected). At this point, Network Magic does not identify the router as part of your home network.

For steps on what to do using Network Magic, see If you set up a new router in your network.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

How you connect to another network

Here are situations where Network Magic indicates that your computer has connected to another network:

You connected to another network on purpose

You connected to another network accidentally

You connected to a replacement router in your network


What happens when you connect to another network

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

Network Magic indicates the change in your network status by updating the Network Magic icon in the notification area. For more information, see Check your network's status.

Network Magic displays a notification when your computer connects to another network, unless you turn off the notification. The notification indicates that you appear to be connected to another network and—with a click—provides you with options on how to proceed. For more information, see Set up notifications for other networks.

Part of the Windows taskbar, typically at the lower right of your display, that generally includes the Network Magic icon.

Network Magic notifications pop up and tell you what is new in your network (for example, there are new shared folders).

For information, see Share safely with PC Shield.

After Network Magic detects this type of connection, you can quickly specify how you want to continue (for example, you are using another network temporarily).

For more information, see What to do with your connection.

Network Magic does not scan the other network for detection of its computers and devices.

Your computer does not attempt to exchange routine, network status information with other computers in your home network (that is, because you are not connected to the network).

Similarly, other computers in your network do not attempt to exchange the same information with your computer, since your computer does not have a regular connection to the network.

What happens when you connect to another network

Here is what happens when you use Network Magic and your computer connects to another network:

You are notified

Your Network Magic shared folders are safe

You control the connection

More details ...


With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

After you start Network Magic and reconnect with your home network, here is what happens:

  • Your computer automatically resumes exchanging information with other Network Magic computers in your home network.

  • In addition, you can immediately resume using any Network Magic shared folders and shared printers in your home network.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

What happens when you reconnect to your home network

Reconnect to your home network

While your computer is connected to another network, Network Magic shows this icon.

Along with it, Network Magic shows you the steps you can follow to reconnect to your home network.

What happens when you return to your network


A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

When you first installed Network Magic, it checked the current state of your network, including the router. Network Magic considers your router unique, based on the combination of manufacturer, model, and MAC address.

As a result, Network Magic considers this the router you generally want to use whenever you connect to your home network.

A unique number assigned by a manufacturer to a device (for example, a network adapter) to identify it. MAC is an abbreviation for media access control.

If you later connect to another network, Network Magic will detect a different router. Even if the network happens to use the same manufacturer and model of router, the MAC address is different.

When this occurs, Network Magic displays the information that appears in the Help topic If you connect to another network.

How your home network is unique

Network Magic "knows" (identifies) your home network based on which router you use.

Network Magic checks your router

What happens when you connect to another network


What to do with your connection

When you use Network Magic and connect to another network, you control your computer's connection and how you want to proceed.

Typically, you can use Network Magic and connect to another network (for example, while you are away from home):

If you want to use another network temporarily

There are special cases where Network Magic connects to another network. If this occurs, you specify what you want to do, based on the situation:

If you replace the router in your network

If you accidentally connect to two or more networks

If you accidentally connect to an unknown wireless network

Try connecting again


With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

While you are not connected to your home network, simply use the other network the way you ordinarily would.

Network Magic automatically takes the standard steps when you connect to another network. For more information, see What Happens When You Connect to Another Network.

When you are finished using the other network, disconnect as you normally would.

When you restart your computer and reconnect to your network, Network Magic automatically resumes sharing folders.

If you want to use another network temporarily

When Network Magic detects that your computer has connected to another network, you can indicate that the network is in fact one you want to use—and not a network you connected to by accident.

An example of when you use another temporarily this is when you take a laptop computer to a different network (perhaps to a friend's home or to an Internet cafe).

What to do when you are away from home

What to do when you return to your network


A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

The Network Magic feature you use to help manage your network.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

If you replace the router in your network

If Network Magic indicates to you that you have connected to another network, one cause can be that you set up a new router in your network.

  1. In the list of options for the other network, click Make this connection my new home network.

  2. Review the information that Network Magic displays about the manufacture and model of your new router.

  3. If this is the correct router, click Replace.

    Wait briefly, while Network Magic checks your network and detects any connected computers and devices.

  4. When setup completes for the replacement router, click OK.

    Network Magic displays the network map, which includes the new router.

  5. If you are using a Microsoft Windows 98 SE or Windows Me computer, you must also renew the computer’s IP address in Windows.

    Either restart your computer or, if you want, renew the IP address yourself. For steps, see Renew a computer's IP address.

Network Magic detects a new router in situations that include the following:

New router: You have a new router, and are replacing the old router that you were using when you installed Network Magic.

New network: You are setting up a new network (that is, it includes at least a replacement router).


If you accidentally connect to two or more networks

A networking standard that uses cables to connect computers and devices.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A popular term for 802.11 wireless networks. Wi-Fi is short for wireless fidelity.

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

When this occurs, disconnect from the network you do not want to use and keep the connection to your home network.

To do this, use the Control Panel in Microsoft Windows. The steps differ among Microsoft Windows versions.

  1. In Microsoft Windows, click Start, and then click Control Panel.

    If you are using Windows XP's Classic Start menu, click Start, and then click Settings.

    Do the following, based on your Windows version:

If you are using Windows XP or Windows 2000

If you are using Windows 98 SE or Windows Me

  1. Double-click Network Connections.

  2. Carefully check the information about network connections.

    To display details about connections (rather than, for example, show connections as icons), go to the View menu and select Details.

  3. Locate and right-click the connection you do not want, and then select Disable.

This procedure helps with a computer equipped with more than one network adapter.

  1. Double-click Network.

  2. Carefully check the information about the network adapters listed.

    Determine which network adapter you do not want to use.

  3. On the Configuration tab, locate the network adapter you do not want to use.

    Find the adapter by name. Ignore items listed with TCP/IP <NetworkAdapterName> names.

  4. Select the network adapter name, and then click Remove.

  5. Click OK.

  6. Restart your computer.

    By doing this, Windows will try to connect using the correct adapter, and Network Magic will attempt to connect to the correct network.

A computer circuit board, card, or other device that connects your computer to a network. This is also known as an adapter card or network interface card (NIC).

  1. In Network Magic, look for the following icon:

Reconnect to your home network

  2. Next to the icon, click Try connecting again.

Used with a DSL modem in connecting computers and devices to the Internet. PPPoE is an abbreviation for Point to Point Protocol over Ethernet.

If you accidentally connect to two or more networks

You can accidentally connect to multiple networks simultaneously, in certain circumstances.

For example, you might have a laptop computer that has a wired (for example, Ethernet) connection to the router in your home network. At the same time, your laptop computer's wireless (Wi-Fi) network adapter connects to a nearby wireless network—perhaps the one your next door neighbor has.

How to connect to only your home network

How to connect to your network again

Note

Network Magic does not consider a Point-to-Point Protocol (PPP) connection as an additional network connection.

The following are examples of PPP connections:

  • Virtual private network (VPN) connections

  • PPPoE connections

  • Dial-up modem connections


If you accidentally connect to an unknown wireless network

A popular term for 802.11 wireless networks. Wi-Fi is short for wireless fidelity.

Here are examples.

Inside your home, your computer can accidentally connect when it detects the wireless signal from a neighbor's router or wireless access point.

Away from home, you might accidentally connect to a home wireless network, for example, rather than the corporate wireless network that you really wanted.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

A device used for wireless network access. Also known as an access point (or AP) or bridge.

You can specify the order of preferred wireless networks, using a separate utility such as the Wireless Network Connection Status utility included with Microsoft Windows XP. By doing so, there is a greater chance that you will automatically connect to the correct network.

Example If you specify Network A, Network B, and Network C as your preferred wireless networks—in that order—then your computer automatically tries to connect to Network A first.

You should change the password used to access your router's Web-based administrative utility to something other than the factory setting.

To help keep your network more secure, you should change this password from a computer with a wired (Ethernet) connection to your router. For more information, see Change your router's administrative password.

A networking standard that uses cables to connect computers and devices.

If it is practical, you can ask the neighbor who has the nearby wireless network to do either of the following:

  • Turn off wireless network name broadcasting

  • Limit which computers can connect. For information, see Limit wireless connections using MAC filtering.

In some cases, it can seem that Network Magic has connected to another network, when the real issue is a problem with your router.

If you think this might be the case, try restarting your router to fix the problem. For steps, see Power cycle your router.

If you accidentally connect to an unknown wireless network

You can accidentally connect to an unknown, wireless (Wi-Fi) network when you have your computer either inside your home or outside your home.

When can this happen?

How to prevent accidental wireless connections

Configure your preferred wireless network

Set up a unique password on your router

Have your neighbor limit wireless connections

Make sure your router is working normally


Try connecting again

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

A networking standard that uses cables to connect computers and devices.

A popular term for 802.11 wireless networks. Wi-Fi is short for wireless fidelity.

Use Microsoft Windows to confirm that you are connected.

  1. In Microsoft Windows, click Start, and then click Control Panel.

  2. Double-click Network Connections.

  3. Locate the connection you are using, and then check the Status column.

    If the status information indicates that there is a problem, you can use Network Magic to try to repair the connection. For information, see Check connection status.

Another easy test: Open a Web browser and try connecting to a Web site.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

Try connecting again

You can try to connect to your home network again if, for some reason, Network Magic does not detect the correct network settings and considers your network unknown (that is, as if your computer has connected to another network).

  • Under To Reconnect to Your Home Network, click Try Connecting Again.

This can occur in special situations when Network Magic detects a change in your network. Examples of when this might happen include the following:

  • There was a connection problem that you have fixed. The following are examples:

    You have plugged in an Ethernet cable that was unplugged.

    You have power cycled your router. For steps, see Power cycle your router.

    You have accidentally connected to another wireless (Wi-Fi) network, and want to connect to your home network again.

  • If you replace the router in your network and then open Network Magic, you might not connect to your network the first time you try. However, if you restart your computer and try connecting to your network again, Network Magic can detect the correct settings and resume networking normally.

If there is still a problem


Set up notifications for other networks

You can have Network Magic notify you when your computer connects to another network.

  1. From the Tools menu, select Options.

  2. Select the I connect to a network other than my home network check box.

    To hide Network Magic notifications for other networks, clear the check box.

  3. Click OK.

When Network Magic displays a notification for this, you can click it. Then, you can control whether you want to continue with the connection and, if so, how you want to proceed.

For more information about notifications, see Get notifications about network activity.


Problems with sharing

The following are problems you might encounter:

Network Magic prompts for a password when I access shared folders

I cannot share folders

I cannot see shared folders I set up before I installed Network Magic

I cannot see shared folders or printers

I cannot access folders on the Web

I have the wrong shared folders available on the Web


When Network Magic prompts for a password

If Network Magic prompts for a password when you try to access shared folders on another computer in your home network, there is likely a problem with the user names in use in your network.

This problem can occur if you have the same user name on at least two different computers in your network, but these computers use different passwords. This problem results from the standard way in which Microsoft Windows makes sure you are the right user before allowing you access. In addition to the difficulty of dealing with a password, sharing will not work properly in this situation.

To resolve this problem—so Network Magic does not prompt you for a password—you can change the password you use with each computer to be the same password.


When you cannot share folders on your computer

Network Magic helps you set up shared folders, but problems can result if you later install a software firewall on a computer or you change which ports are open in the firewall settings.

If this is the case, configure your firewall to open Network Magic ports. For information about the ports that Network Magic uses, see Network Magic ports.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

Protects a computer or network from unauthorized access.

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

This is intentional. When you connect to another network, Network Magic PC Shield automatically stops sharing any shared folders on your computer.

For more information about connecting to other networks, see About other networks.

A Network Magic feature that protects your shared folders when you connect to another network (for example, at an Internet cafe).

Share select network resources with others (for example, share a printer in your network or share folders and files on the Web using @@PROGRAM@@ Net2Go).

When you cannot share folders on your computer

The following describe possible sources of problems and how to fix the problems.

I have recently installed a firewall or have changed port settings

I connected to another network


When you cannot see previously-shared folders

In order to share folders, your folders can have only either full permissions or read-only permissions.

For more information about shared folders and permissions, see About shared folders.


When you cannot see shared folders or shared printers

To access shared folders on other computers or use shared printers, you need to be logged on to Microsoft Windows.

Before using the below procedure, do the following:

  • Save any work in other programs, and close the programs.

  • Make sure you are using the correct user account.

    In Microsoft Windows, each user for a computer has a user account, which has user-specific settings (for example, which programs appear on the Windows Start menu). After you start Windows and log on, Windows uses settings based on the user account.

  • Have the correct user name and password for the user account ready.

If needed, you can also print these instructions. Doing so allows you to easily follow the steps. For information about printing a Help topic, see Print Help topics.

To log on to Microsoft Windows

  1. In Microsoft Windows, click Start, click Shut Down, and then click Log Off <YourAccountName>.

    When you log off from the computer, you close your user account but the computer remains on (that is, the computer does not shut down).

  2. Log on, using the standard steps for your Windows version.

    For example, if you are using Microsoft Windows XP, click your user account icon on the Welcome screen, and then type your password, if you are prompted for it.

    If you are using a network domain, press CTRL+ALT+DEL, and then type your user name and password.

  3. Start Network Magic again.

  4. To verify that you can access the shared folders you want, click Shared Folders.


When you want to make folders accessible on the Web

When you add shared folders, you specify what type of access you want (for example, if you want sharing only within your network or you want public folders available through

Net2Go). For information on how to add a folder and specify its access type, see Share a folder Using Network Magic.

You can also make existing shared folders accessible on the Web (for example, change them to public folders). For steps, see Change access to shared folders.


When the wrong folders are accessible on the Web

If you have files you want to remain private, but are accessible on the Web using Net2Go (for example, as public folders), you can easily change the type of access.

For steps, see Change access to shared folders.


Problems with printing

The symbol indicates that the printer has been shared on your network, but the computer you are using does not have the driver installed to use the printer.

For more information, see Printer drivers.

Software that lets a computer run hardware or a device (for example, to use a printer, you need the right printer driver).

For a printer that uses a parallel connection, Network Magic uses the same icon, whether the printer is turned on and connected, turned off, or disconnected.

Network Magic helps you set up printer sharing, but problems can result if you later install a software firewall on a computer or you change which ports are open in the firewall settings. If this is the case, configure your firewall to open Network Magic ports.

For information about the ports that Network Magic uses, see Network Magic ports.

Share select network resources with others (for example, share a printer in your network or share folders and files on the Web using @@PROGRAM@@ Net2Go).

Protects a computer or network from unauthorized access.

Problems with printing

The following are problems you might encounter:

I see a special symbol with an exclamation point (!) with a printer

I see in Network Magic that my printer is turned on, even when it is turned off

I cannot share a printer

I cannot see shared printers


Problems with connections

The following are problems you might encounter with the network map:

The network map does not show a computer or device

Many common connectivity problems can be fixed by powercycling:

Power cycle your router

Power cycle your network hardware

If you are using wireless connections in your home network, also see the following:

Problems with wireless connections


Renew a computer's IP address

You can use the following procedure to stop using one IP address with your computer, and get a new one.

To renew the computer’s IP address in Microsoft Windows

  1. Click this button:

  2. At the DOS command prompt, type ipconfig /release.

  3. Press Enter, and then wait briefly.

  4. Type ipconfig /renew, and then press Enter.

  5. To exit the DOS window, type exit and then press Enter.

Note

To open a DOS command prompt yourself, click Start, and then Run. Type command, and then press Enter.


Power cycle your router

Wired (Ethernet) router icon Wireless router icon

You can solve common problems with your router by powercycling. Power cycle is a term commonly used for turning off network hardware and turning it on again in a particular order.

To power cycle your router:

  1. Turn off the router.

  2. Wait 30 seconds.

  3. Turn on the router again.

  4. Wait for the router to completely start (approximately one minute).


Print these instructions first. Doing so is a good idea since you will turn off the computers in your network.

In this Help, click the Contents tab, and then right-click this topic. Click Print, and then select one of the print options.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

Connects the Internet access cable (typically, the TV cable or DSL cable) to the router in your network.

High-speed Internet access that uses existing telephone lines. DSL is an abbreviation for Digital Subscriber Line.

Power cycle your network hardware

You can solve several common types of home network problems by powercycling. Power cycle is a term commonly used for turning off network hardware and turning it on again in a particular order.

Allow approximately five minutes to complete both of the following procedures.

Tip

1. Turn off your network hardware

  1. At each computer in your network, save any work, close all programs, and shut down the computer.

  2. Turn off the power to your router.

  3. If your network uses a cable modem or DSL modem that is separate from your router, turn off the power to your modem.

  4. Wait five minutes.

    Doing this allows your router and, if applicable, your modem to initialize completely.

  5. Continue with the next procedure.

2. Turn on your network hardware

  1. If your network uses a cable modem or DSL modem that is separate from your router, turn on the power to your modem.

  2. Turn on the power to your router.

  3. Turn on each computer in your network.


Problems with the network map

The following are problems you might encounter with the network map.

When the network map shows a new device

When the network map shows that Network Magic is not installed

When the network map does not show a computer or device

When the network map does not show an item correctly


The Network Magic feature you use to help manage your network.

A computer or device that Network Magic cannot accurately identify.

You can identify a device in a few simple steps.

First, turn off its power and then, in Network Magic, remove the device from the network map.

Then, turn on the device's power and check the network map again, which displays it as a new device.

Finally, you can give the device a friendly name and assign it an icon. For information on doing this, see Name a device and give it an icon.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

When the network map shows a new device

When the network map shows a new network device:

Turn the device on and off to help identify it


When the network map shows that Network Magic is not installed

The computer does not have Network Magic installed.

For more information, see Install Network Magic on each computer.

This is normal. You can include in your network computers that use operating systems other than Microsoft Windows (for example, an Apple Macintosh).

However, while you can include such computers, keep in mind that Network Magic provides a limited amount of information about them. For more information, see About non-Windows computers.

Network Magic might not run properly if you have installed a software firewall on the computer or you have changed which ports are open in the firewall settings.

If either of these applies in your situation, configure your firewall to open the correct Network Magic ports. For information about the ports that Network Magic uses, see Network Magic ports.

Protects a computer or network from unauthorized access.

A channel for network communications, including the ports found in a computer, router, or firewall. Different types of data transmit through different ports.

For example, if you have installed a beta (pre-release) Network Magic version on one computer and a regular release Network Magic version on another computer, the network map might not show that Network Magic is installed on a computer. To determine whether this is your problem, go to each computer that has Network Magic installed and check the Network Magic version number. For steps, see Get information about your program.

If you find that you are using different versions, make sure you use the same Network Magic version on the computers in your network. Uninstall the early Network Magic version and install the latest Network Magic version. In addition, if you want to make sure that you have the latest Network Magic version, see Check for updates.

The Network Magic feature you use to help manage your network.

When the network map shows that Network Magic is not installed

The following describe possible sources of problems and how to fix the problems.

I have recently connected a Microsoft Windows computer to the network

I have recently connected a non-Windows computer to the network

I have recently installed a firewall or have changed port settings

I have more than one version of Network Magic installed in the network


When the network map does not show a computer or device

The Network Magic feature you use to help manage your network.

With Network Magic, a supported computer uses Microsoft Windows 98 SE or later.

A component that connects to a network (for example, a printer, media player, or gaming device).

To fix the problem, see the appropriate section that follows.

If the computer or device does not provide enough information, Network Magic cannot display it correctly in the map, or might not display it at all.

Make sure it has the correct IP address. This can happen, for example, with a computer that has been used at a corporate network and is now attempting to connect to a home network.

To check the computer’s IP address in the network map

  1. Click Network Map.

  2. Locate and click the computer.

  3. In the Details tab (right side of map), check the IP address.

If the IP address starts with 192.168.<x.x>:

The computer probably has a correct address.

Most home networks use IP addresses that are numbered in the 192.168.x.x range assigned to private networks. Generally, private network addresses cannot be contacted through the Internet. For more information, see the next section.

If the IP address starts with 169.254.<x.x.x>:

The computer has a temporary address. IP addresses in this range are non-working addresses that Microsoft Windows assigns when no valid IP address has been assigned.

One source of this is if your network adapter does not work properly (for example, if the adapter has not connected to your router, your router has not been able to assign your computer an IP address).

If the IP address starts with another number (none of the above):

The computer has a static IP address, and it might be the correct address or the incorrect address. Typically, this is more of an issue with wired (for example, Ethernet) network connections, rather than wireless connections.

  • This can be the correct IP address if your network uses static IP addresses assigned by your ISP. To determine whether this is the correct static IP address, contact technical support at your ISP.

  • This can be the IP address assigned by the computer support staff for an office computer (for example, in your company or organization). Contact the computer support staff to determine the policy for computer use in both the corporate network and your home network.

Network Magic allows you to use the same computer or device in both a home network and a corporate network (for example, a laptop computer that uses a wireless connection). When you take a computer from your home network to another network, the network stops sharing folders and printers from your home network.

To check the computer’s IP address in Microsoft Windows

  1. Click this button:

  2. At the DOS command prompt, type ipconfig.

  3. In the IP Address line, check the IP address.

  4. To exit the DOS window, type exit and then press Enter.

To change the IP address and your Internet service provider uses dynamic IP addressing…

Renew the computer’s IP address in Microsoft Windows. For steps, see Renew your computer's IP address.

To change the IP address and your Internet service provider uses static IP addressing…

If you need to change the computer’s IP address, note that it is included in Windows’ networking settings for TCP/IP. The steps differ among Microsoft Windows versions. For information about doing so, For information, see the Help for your version of Windows. In Windows, click Start, then click Help. If you are using Windows XP, click Start, and then click Help and Support.

Note

To open a DOS command prompt yourself, click Start, and then Run. Type command, and then press Enter.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

A board, card, or other device that connects your computer to a network. Also known as an adapter card or a network interface card (NIC).

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

An unchanging IP address assigned to a computer or device connected to a network.

A networking standard that uses cables to connect computers and devices.

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

Share select network resources with others (for example, share a printer in your network or share folders and files on the Web using @@PROGRAM@@ Net2Go).

A protocol that allows computers to connect to networks and the Internet. TCP/IP is an abbreviation for Transmission Control Protocol/Internet Protocol.

Make sure it has the correct IP address.

To check the device’s IP address in the network map

1. Click Network Map.

2. Locate and click the device.

3. In the Details tab (right side of map), check the IP address.

If you need to change the device’s IP address, steps differ. For information about doing so, see the product documentation for the device.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

Make sure the firewall is not filtering out (blocking) the computer or device’s IP address. To determine whether the firewall is filtering out IP addresses, see the firewall's product documentation for steps.

Protects a computer or network from unauthorized access.

A number that identifies a computer or device connected to a network or to the Internet (for example, 192.168.0.1). IP is an abbreviation for Internet Protocol.

When the network map does not show a computer or device

When the network map does not show a computer or device:

There is a network problem with a computer or device

Network Magic does not recognize the computer or device

Check for a network problem with a computer or device

My computer has a network problem

My device has a network problem

My computer or device has a network problem, and my network has a firewall


The Network Magic feature you use to help manage your network.

A component that connects to a network (for example, a printer, media player, or gaming device).

This can happen when Network Magic does not correctly detect the router manufacture and model. Manufacturers change networking hardware and firmware frequently, so it can be difficult to correctly identify devices.

To fix this problem, you can rename the router with the correct name. For steps, see Name a device and give it an icon.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

The software that runs a router or device.

When the network map does not show an item correctly

The following are problems you might encounter with the network map if it does not correctly show a computer or device.

My router appears in the map, but has the wrong name


Problems with Net2Go

Use to access selected shared folders away from home through the Web.

A typical problem is when your firewall software displays a warning about the Net2Go Service.

To resolve this problem, select the firewall option to allow (or set up an exception) for Net2Go to use port 8008 on your computer.

If your firewall continues to display a warning about Net2Go, you need to configure the firewall to allow Net2Go to run. For information about this, see Set up your firewall.

Protects a computer or network from unauthorized access.

For help with this, see When there is a problem with Network Magic installation.

This can occur when there is a serious, system-wide security issue that affects Net2Go customers. This is done to help protect the security of your network and your personal files.

To resolve this, update Network Magic to obtain software fixes that address the security issue. For steps, see Check for updates.

Make sure that Net2Go has not been turned off for that particular computer.

For steps, see Hide or show Net2Go Manager.

Make sure that Windows power-saving features are not making the Net2Go host inaccessible.

For more information about these, see Net2Go requirements. For steps on turning off power-saving features, see When Windows power-saving features interfere.

The computer that hosts your Net2Go Web site.

This can occur as a result of the following:

Typical Internet service uses dynamic addresses. Generally, when you use a cable or DSL connection through your ISP, keep in mind that you have a dynamic IP address. Your IP address can change when you powercycle your router or modem, or when your ISP performs service on its own network.

If you use a static IP address. If you have a special Internet connection that uses a static (unchanging) IP address, be aware that in some instances ISPs might randomly change users' static IP addresses. ISPs do this to help prevent customers from running high-traffic Web sites (for example, for commercial use).

High-speed Internet access that uses existing telephone lines. DSL is an abbreviation for Digital Subscriber Line.

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

A temporary IP address assigned by a DHCP server. Compare this to a static IP address, which is unchanging.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

Connects the Internet access cable (typically, the TV cable or DSL cable) to the router in your network.

Slow performance—or even no connection at all to the network—can result from a variety of reasons including the following:

  • Network outages
    If there is a problem in the home network, see the suggestions in Problems with connections.

    If there is an Internet-based problem, try another connection or wait until the problem is resolved (for example, for your ISP to restore service). For contact information for popular ISPs, see

  • Heavy network traffic
    Examples where this can occur include a busy public wireless network or heavy traffic on the Internet itself. There is no easy fix for these, unfortunately, but you can try another Internet connection point or try again at a later time.

  • The Net2Go host is busy
    This can occur, for example, when the Net2Go host is simultaneously using several other programs, or a user at it has one or more large files open. To resolve this, try running fewer programs during remote Net2Go connections.

  • Downloading
    This can occur when you download a file from a computer other than the Net2Go host. This is expected since this type of connection is slower (that is, slower than downloading directly from the Net2Go host).

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

The computer that hosts your Net2Go Web site.

Make sure your CAPS LOCK key is set correctly. The Net2Go password is case sensitive (for example, "PASSWORD1234!", "PaSsWoRd1234!", and "password1234!" are not the same).

Ordinarily, you specify what type of access you want to allow (for example, public folders or password-protected folders) when you create shared folders.

To change the access type for an existing folder, see Change access to shared folders.

A type of shared folder that anyone can access, either in your network or through the Web using Network Magic Net2Go.

Use to share music, photos, and more in your network and, with @@PROGRAM@@ Net2Go, on the Web.

The shared folders on a particular computer can appear to be offline for a variety of reasons. These include the following:

  • The computer is either turned off or disconnected from the network.

  • The computer is using a Windows power-saving feature (for example, hibernation or standby). For steps in turning off these features, see When Windows power-saving features interfere.

For more information what you need to set up and use Net2Go, see Net2Go requirements.

To share photos, documents, video, and other files, you can easily set up shared folders in your home network. Set up a folder with the files you want to share, then use Network Magic to share the folder. When you use Net2Go, you can set up folders with public access, making them available to anyone who visits your Net2Go Web site. Shared folders can be on one computer or several computers in your network.

An offline computer or device can be turned off or disconnected from the network. For the Net2Go Web site, offline means it is not accessible on the Web.

Find out more about Net2Go while you are online. When you open a Web browser and connect to your Net2Go Web site, Network Magic provides help online.

When you connect, you can get additional information about Network Magic Net2Go and remote connections, including security tips, using shared computers, troubleshooting, and more.

Using a Web browser and an Internet connection, you can locate and view information on the Web. An example of a browser is Microsoft Internet Explorer.

This is the simple Web site that is part of Net2Go itself. When you connect to the home network, you view shared folders through the Web site, which is on the computer where Net2Go is activated.

Problems with Net2Go

The following are problems you might encounter with Network Magic Net2Go:

Problems when setting up Net2Go in Network Magic

Your firewall software displays a warning about the Net2Go service

You cannot activate Net2Go, and there is a problem with Network Magic installation

Net2Go stopped working and Network Magic says updating is needed

Network Magic does not show the Net2Go Manager button

Problems when using Net2Go away from home

Cannot connect to the network using Net2Go

Net2Go stopped working after I restarted my router or modem

Remote connections are slow

The Net2Go password does not work

I have set up shared folders, but they are not accessible remotely

I cannot access shared folders. Network Magic shows them as offline

Tip


When Windows power-saving features interfere

Microsoft Windows power-saving features can prevent Net2Go users from connecting to computers that contain shared folders.

To turn off Windows power-saving features

  1. Click this button:

  2. If you are setting up a laptop computer and always want it to remain on, on the Power Schemes tab, select Always On from the Power Schemes list.

    Go to the final step in this procedure.

  3. In the Hard disks list, select Never.

  4. In the System standby list, select Never.

  5. Click the Hibernate tab.

If the Hibernate tab does not appear, your computer does not support hibernation. Click OK to close the Power Options Properties dialog box.

  6. With Windows XP, clear the Enable hibernation check box.

    With Windows Me, Windows 98 SE, and Windows 2000, clear the Enable hibernation support check box.

  7. Click OK.

Note

To open Power Management with Windows XP and Windows 2000, click the Start button, click Control Panel, and then double-click Power Management.

To open Power Management with Windows 98 SE and Windows Me, click the Start button, click Control Panel, and then double-click Power Schemes.


When there is a problem with Network Magic installation

Network Magic can indicate that there is an installation problem that prevents you from setting up Net2Go in situations including the following.

Net2Go computer requirements

This can result from attempting to activate Net2Go with a version of Microsoft Windows that Net2Go does not support.

For information about computer requirements, see Requirements for the Net2Go host computer. For information about general Net2Go requirements, see Net2Go requirements.

Problems with Network Magic or Microsoft Windows installation

This can result from the following:

  • Network Magic is not installed correctly or completely.

  • Your Microsoft Windows version is either set up in a non-standard installation or is missing important files or components.

To resolve this problem

  1. Uninstall Network Magic. For steps, see Uninstall Network Magic.

  2. Install Network Magic again, and then try setting up Net2Go again.

  3. If there is still a problem, see If you have a problem with Net2Go and then contact Network Magic support.


When there is a problem with your router

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

The site that provides access to folders and files shared with Network Magic.

Port forwarding is a way that your router filters information.

When a router passes information (for example, between the Internet and your network), it filters the information based on which ports are being used and how those ports are set up.

When you cannot run your Net2Go Web site, check your router's port forwarding settings. After you open your router's Web-based administration utility, you can often find port forwarding settings in the Advanced area.

Check the following:

· Make sure no other program on your computer uses the Net2Go port number (8008).

· Make sure that the port number specified is complete and accurate.

· Make sure that the port forwards to the correct IP address. Since most home network routers use DHCP, your router periodically gives your computers new IP addresses. This is a common source of port forwarding problems.

Generally, a port is a channel for network communications, including the ports found in a computer, router, or firewall. Different types of data transmit through individual ports, which have numbers similar to channel numbers on a radio dial. The term "port" can also refer to the physical ports on computers and devices (for example, a serial port on a computer).

This is an assigned number used to identify a computer or device that is connected to a network or to the Internet. An IP address consists of four numbers (each of which is no greater than 255), with periods separating the numbers (for example, 172.31.1.1). IP is an abbreviation for Internet Protocol.

A protocol that dynamically assigns IP addresses from a predefined list. By limiting the time, addresses can be reassigned. When DHCP is used, whenever a computer connects to the network, it automatically gets a dynamic IP address (not a static IP address). DHCP is an abbreviation for Dynamic Host Configuration Protocol.

Many router maintenance utilities include an option you can use to check for firmware updates.

If you are using Net2Go, turn it off before you update your router firmware, and then turn it on again afterward. For steps, see Shut Down or Start the Net2Go Web Site.

To make it easier to use update firmware, you can open your router’s Web-based administrative utility directly from the network map. To do so, click Network Map, and then in the map, click the router. In the Details tab, click the router administration task.

This Network Magic feature allows you to access selected shared folders when away from home through the Web, using a popular Web browser. Examples of what you can do include showing relatives photos of your family and transferring files between the network and a computer outside the home.

You can easily access your router's settings using the Network Magic network map.

Click Network Map, and then in the map, click the router. In the Details tab, click the router administration task.

When there is a problem with your router

Network Magic can indicate that there is a problem with your router that prevents you from running your Net2Go Web site.

To resolve this problem

  • Make sure the router's port forwarding is set up correctly.

  • If there is still a problem, update the firmware in your router.

  • If there is still a problem, see If you have a problem with Net2Go and then contact Network Magic Support.

Tip


If there is still a problem

See the following:

  • Product documentation included with your networking equipment to solve many problems.

  • Information from Web sites, including those for the companies that produced your networking equipment. For contact information for popular home networking equipment manufacturers, see Contact manufacturers.

  • Computer hardware and software retailers

You can use a variety of Windows-related resources, including

Microsoft Help: In Windows, click Start, then click Help. If you are using Windows XP, click Start, and then click Help and Support.

Windows troubleshooters: For more information, see the Help for your version of Microsoft Windows.

Microsoft Support Knowledge Base (KB) Go to Web site

You can refer to many home networking related resources on the Internet. These include manufacturers' Web sites, popular computer-related sites, forum, and blogs (Web logs).

You can check with others who already have home networks. They can be great sources of advice and expertise.

If there is still a problem

If you tried fixing a problem without success (for example, using steps in Repair connections or in Troubleshooting), you have other options. Try these other resources to help identify and fix it.

Use the information you have

Use additional resources

Use the information you have

Often, the resources you need to fix a problem are nearby. Try the following:

Networking resources

Microsoft Windows resources

Internet resources

Friends or relatives

Use additional resources

Because network setups vary greatly, you might need additional resources to resolve your problem.

For connection and Internet problems: These problems can result from a variety of sources, including your networking equipment and Internet access. For contact information for popular networking equipment manufacturers, see Contact manufacturers.

For network equipment problems: For information, see Contact manufacturers.

For Network Magic problems: For information, see Network Magic support.


References and support

References icon

You can refer to the following for more information about Network Magic and about home networking in general.

Want more help with a problem?

Network Magic Support

Network Magic references

AOL resources

Network Magic ports

Accessibility and ease of use

Keyboard shortcuts

General home networking support

Contact manufacturers

Online resources


Network Magic Support

Find the resources you need to solve a problem or answer a question.

Before you contact support

If you have a problem with Net2Go

How to contact Support


Before you contact Support

Like any network, a home network typically contains a variety of computers, devices, software, and connections.

Make sure the problem is really with Network Magic. If the issue has to do with something else in your network—for example, your router or other networking hardware, or your Internet connection through your ISP—refer to the appropriate product or service support resources for it and solve it that way. For contact information for networking hardware companies, see Contact manufacturers.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

Make sure you try the appropriate steps in Troubleshooting first.

If there is still a problem, see the next item.

You can resolve many common home network problems by powercycling your router and restarting your computers. For steps, see Power cycle your network hardware.

If there is still a problem, see the next item.

If there is still a problem, have the following information ready before you contact support. Mentioning it in your support request can help in providing you with the complete information you need to solve your problem:

  • Computers: How many computers you have in your network and the operating system that each uses (for example, Microsoft Windows XP Home)

  • Router: Both of the following:

    The router manufacturer and model number
    The router's firmware version. To determine the version, click Network Map, and then click your router. Look for the firmware version number in the Details tab.

  • Network Magic version number: To determine the version number, open the Network Magic Help menu, and select About Network Magic.

  • Your Network Magic network license key: To determine the network license key, open the Network Magic Help menu, and select About Network Magic.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

The software that runs a router or device.

The product key you use to register your Network Magic software.

Before you contact Support

You can often solve problems yourself before you contact technical support.

1. Make sure the problem is really with Network Magic

2. Try troubleshooting the problem

3. Restart the equipment in your home network

If you cannot solve the problem, do the following before you contact support:

1. Organize information about your network

2. If you have a problem with Net2Go


If you have a problem with Net2Go

Use to access selected shared folders away from home through the Web.

Have this information ready:

Web browser

Computer operating system

If known, also provide the following:

Type of Internet connection

Name of your Internet service provider (ISP)

The software you are using to connect to the network (for example, Microsoft Internet Explorer, version 6.0). To determine your Web browser version, go to the Help menu and select About.

For example, Microsoft Windows XP Home. Having the service pack used is also helpful. To determine whether your computer has been updated to a service pack and, if so, which one is installed, use My Computer.

In Windows XP, click Start, and then right-click My Computer.

Any information you can provide about your connection type will help in resolving your problem. High-speed connections (also called a broadband connection) include cable, DSL, and corporate network connections. Low-speed connections include dial-up, using a standard telephone line.

A high-speed, always-on Internet connection often provided using television cable lines or digital telephone lines (DSL).

High-speed Internet access that uses existing telephone lines. DSL is an abbreviation for Digital Subscriber Line.

While you likely know the ISP for a home network, you might not know this if you are away from home (for example, you are connecting to the Internet using a public wireless network or connecting from a hotel or an airport, and so on).

The company that provides you access to the Internet. ISP is an abbreviation for Internet service provider.

Have this information ready:

  • The manufacturer and model for your router

  • The firmware version

To determine the firmware version, you can open Network Magic and click Network Map. Click your router, and then look for the firmware version number in the Details tab.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

The software that runs a router or device.

If you have a problem with Net2Go

If you have a Net2Go problem, have the following additional information ready when you contact support:

If you are using Net2Go to connect to your network ...

If you are using Net2Go from within your home ...


How to contact Support

E-mail

Complete an e-mail form online. Have your router manufacturer name and model number ready.

Click here Go to Web site

Online Support

Click here Go to Web site

Telephone

Toll-free telephone number
For U.S. residents. Elsewhere, international charges may apply.
(888) 812-9402


A channel for network communications, including the ports found in a computer, router, or firewall. Different types of data transmit through different ports.

Protects a computer or network from unauthorized access.

Use to access selected shared folders away from home through the Web.

The site that provides access to folders and files shared with Network Magic.

UPnP devices play well (are interoperable) with computers, networks, and other devices. UPnP is an abbreviation for Universal Plug and Play.

Network Magic ports

The following lists the ports that Network Magic uses.

Ports used by the Network Magic service

Port used by Network Magic Net2Go

Ports used by file and folder sharing, printer sharing

Port used by UPnP

To avoid problems in running Network Magic with a firewall, you might need to open up these ports in your firewall.

For more information, see Set up your firewall.

Ports used by the Network Magic service

Network Magic uses these ports to run the Network Magic service. For more information, see About the Network Magic services.

Port | Description
TCP port 1196 | Network Magic discovery protocol
UDP port 1196 | Incoming connections from other Network Magic agents

Port used by Network Magic Net2Go

Network Magic uses this port to run Net2Go.

For example, when you are away from home and you connect to your network or download a file from the Net2Go Web site, Net2Go uses this port.

For more information about this Network Magic feature, see S hare on the Web with Net2Go.

Port | Description
TCP port 8008 | Network Magic Net2Go service

Ports used by file and folder sharing, printer sharing

Network Magic and Microsoft Windows use these ports to with the Microsoft Windows feature File and Printer Sharing.

This allows you to use Network Magic to share folders and printers. For more information, see Share music, photos, and files. For more information about printer sharing, see Share printers.

Port | Description
TCP port 139 | NetBIOS session service
TCP port 445 | Microsoft DS service
UDP port 137 | NETBIOS name service
UDP port 138 | NETBIOS datagram service

Port used by UPnP

Network Magic uses this port to communicate with UPnP devices.

Port | Description
TCP port 2869 | Microsoft ICSLAP


Accessibility and ease of use

Information icon

Network Magic includes features that make the software accessible to a wider range of users, including those who have limited dexterity or impaired vision.

Keyboard shortcuts

Change the font size

Magnify the Network Magic display


Keyboard shortcuts

A keyboard shortcut is one or more keys you press on the keyboard to run (execute) a command. Network Magic provides a variety of keyboard shortcuts for commonly-used commands. For general information and guidance, see Use keyboard shortcuts.

For keyboard shortcuts for particular parts of Network Magic, see the following:

Network Magic menus, buttons, and Help

File menu keyboard shortcuts

View menu keyboard shortcuts

Tasks menu keyboard shortcuts

Help keyboard shortcuts

Button and link keyboard shortcuts

Network Magic pages

What's New keyboard shortcuts

Network Map keyboard shortcuts

Shared Folders keyboard shortcuts

Net2Go Manager keyboard shortcuts

Printer Manager keyboard shortcuts

The Network Magic Options dialog

Options keyboard shortcuts

Tip


Use keyboard shortcuts

The following table lists general keyboard shortcuts that you can use to select commands, buttons, and menus in Network Magic.

Tip

To do this ...

Press this ...

Make the underlined letter for a command or button available. Initially, this highlights the File menu.

After you press the ALT key, press the key for the underlined letter of the menu or command that you want to use.

You can use either the arrow keys or the key of the underlined letter to select a different menu or an item on the menu.

ALT

Move left and right or up and down on menus or lists.

Arrow keys

Close a menu.

ESC or ALT


Printing a list

If you frequently refer to the Help topics that list shortcut keys, you might find it useful to keep a printed copy of the topics:

  1. In this Help, click the Contents tab.

  2. Double-click References and Support, and then the Accessibility topic.

  3. Right-click the Keyboard Shortcuts topic, and then click Print.

  4. Select the option to print the selected topic and all subtopics.


File menu keyboard shortcuts

The following table lists the keyboard shortcuts that are available for the Network Magic File menu.

To do this ... | Press this ...
Display the File menu. | ALT+F
Close Network Magic. | ALT+F4


View menu keyboard shortcuts

The following table lists the keyboard shortcuts that are available for the Network Magic View menu.

To do this ... | Press this ...
Display What's New. | ALT+V, W
Display Network Map. | ALT+V, N
Display Shared Folders. | ALT+V, S
Display Printer Manager. | ALT+V, P
Display Net2Go Manager. | ALT+V, A


Network Magic tasks are easy ways to improve your network, perform routine maintenance, or use a Network Magic feature.

The Network Magic feature you use to help manage your network.

A device that joins networks (for example, to connect your home network to the Internet). A router is also known as a gateway or base station.

Tasks menu keyboard shortcuts

The following table lists the keyboard shortcuts that are available for the Network Magic Tasks menu.

The tasks available on the menu are dynamic, based on what you are doing in Network Magic.

Example If you are using the network map, click the router in the map, and then open the Tasks menu, then the menu lists router-specific tasks.

To do this ... | Press this ...
Open the Tasks menu. | ALT+A
Move up and down to highlight tasks. | Arrow keys
Start performing the task. | ENTER


Button and link keyboard shortcuts

The following table lists the keyboard shortcuts that are available for the Network Magic buttons, as well as various Network Magic links.

The Network Magic buttons are below the menu bar, and include What's New, Network Map, Shared Folders, Net2Go Manager, and Printer Manager.

To do this ... | Press this ...
Jump to the next Network Magic view (for example, from What's New to the network map) | CTRL+TAB
Jump to the previous Network Magic view (for example, from What's New to the network map) | SHIFT+CTRL+TAB
Jump to the next button or link. | TAB
Jump to the previous button or link. | SHIFT+TAB
Select the button or link. | SPACEBAR


Help keyboard shortcuts

The following table lists the keyboard shortcuts that are available in Network Magic Help.

To do this ... | Press this ...
Display Network Magic Help. | F1
Switch the cursor between the Help topic pane and the navigation pane (Contents, Index, and Search tabs). | F6
Select the next hyperlink (for example, Welcome to Network Magic or router). | TAB
Select the previous hyperlink. | SHIFT+TAB
Perform the action for the selected hyperlink. | ENTER
To expand or collapse all books | Click the Contents tab, right-click a book or topic, and then click Open all or Close all.
Close the Help window. | ALT+F4


What's New keyboard shortcuts

The following table lists the keyboard shortcuts that are available in What's New.

To do this ... | Press this ...
Move up to the next shared folder. | Up arrow
Move down to the next shared folder. | Down arrow
Move left to the next shared folder. | Left arrow
Move right to the next shared folder. | Right arrow


Network Map keyboard shortcuts

The following table lists the keyboard shortcuts that are available in the Network Magic Network Map.

To do this ... | Press this ...
Move up to the next item in the map. | Up arrow
Move down to the next item in the map. | Down arrow
Move left to the next item in the map. | Left arrow
Move right to the next item in the map. | Right arrow


To share photos, documents, video, and other files, you can easily set up shared folders in your home network. Set up a folder with the files you want to share, then use Network Magic to share the folder. When you use Net2Go, you can set up folders with public access, making them available to anyone who visits your Net2Go Web site. Shared folders can be on one computer or several computers in your network.

Shared Folders keyboard shortcuts

The following table lists the keyboard shortcuts that are available in Shared Folders.

To do this ... | Press this ...
Move up to the next shared folder. | Up arrow
Move down to the next shared folder. | Down arrow
Move left to the next shared folder. | Left arrow
Move right to the next shared folder. | Right arrow


Net2Go Manager keyboard shortcuts

The following table lists the keyboard shortcuts that are available in Net2Go Manager:

To do this ... | Press this ...
Jump to the next button or link. | TAB
Jump to the previous button or link. | SHIFT+TAB
Start performing the task. | ENTER


Printer Manager keyboard shortcuts

The following table lists the keyboard shortcuts that are available in Printer Manager.

To do this ... | Press this ...
Move up to the next printer. | Up arrow
Move down to the next printer. | Down arrow
Move left to the next printer. | Left arrow
Move right to the next printer. | Right arrow


Options keyboard shortcuts

The following table lists the keyboard shortcuts that are available for Network Magic options.

For information about setting these, see Set your Network Magic preferences.

To do this ... | Press this ...
Move the pointer to a different check box or button. | TAB
Select a check box or a button. | SPACEBAR


Change the font size

The font size you see in most of Network Magic—and in this Help—is based on the font size and settings used by Microsoft Internet Explorer.

  1. Click this button:

  2. On the Tools menu, select Internet Options.

  3. Click the General tab, and then click Accessibility.

  4. Click the Ignore font sizes on Web pages check box.

  5. Click OK.

  6. In the Internet Options dialog box, click OK.

  7. On the View menu, point to Text Size, and then click the size you want (for example, Larger).

Notes

If you want, you can start Internet Explorer from the Windows Start menu.

While Network Magic and its Help use a preset font size, you can override the font size by modifying the settings in Internet Explorer. For information on the Internet Explorer version that Network Magic requires, see Computer requirements.

Changing the font size this way does not magnify the fonts in the network map or the Shared Folders list. For information on how you can get a better look at these Network Magic areas, see Using Network Magic and Microsoft Magnifier.


Magnify the Network Magic display

Magnifier makes the screen more readable, using a separate window that displays a magnified portion of your screen.

For information about how to use Magnifier, see the Help for your version of Microsoft Windows. In Windows, click Start, then click Help. If you are using Windows XP, click Start, and then click Help and Support.

To make programs more accessible, you can use other Microsoft Windows features with Network Magic and other programs

These features include the following:

  • High Contrast display mode

  • On-Screen Keyboard

  • Large font sizes in Windows display properties

For more information, see the Help for your version of Microsoft Windows. If you are using Windows XP, click Start, and then click Help and Support. With other supported Windows versions, click Start, then click Help.

Magnify the Network Magic display

You can magnify the Network Magic display using Microsoft Magnifier.

Since you use Network Magic on computers that use Microsoft Windows, you can use Windows features that make the software accessible to a wider range of users, including those who have low vision. These features include Microsoft Magnifier.

Using Microsoft Magnifier

Using other Windows features


Contact manufacturers

A B C D E F G H I K L M N O P Q R S T U V W X Y Z | Numbers

Use this contact information for networking equipment manufacturers to help you find the resources you need in dealing with networking equipment issues. For the latest contact information, please see the company's Web site.

A

Actiontec Electronics, Inc.
http://www.actiontec.com Go to Web site
Support e-mail: support@actiontec.com
Support telephone: (888) 436-0657

Apple Computer, Inc.
http://www.apple.com Go to Web site
Support e-mail: support@apple.com
Support telephone: (800) 275-2273

Asante Technologies, Inc.
http://www.asante.com Go to Web site
Support e-mail: support@asante.com
Support telephone: (801) 566-8991

ASUS, ASUSTeK Computer Inc.
http://www.asus.com Go to Web site
Support e-mail: ASUS Online Service Go to Web site
Support telephone: ASUS Online Service Go to Web site

Back to the top

B

Belkin Corporation
http://www.belkin.com Go to Web site
Support e-mail: support@belkin.com
Support telephone: (800) 223-5546, ext.226

Brother International Corporation
http://www.brother-usa.com Go to Web site
Support e-mail: Support Center Go to Web site
Support telephone: Support Center Go to Web site

Buffalo Technology
http://www.buffalotech.com Go to Web site
Support e-mail: support@buffalotech.com
Support telephone: (866) 752-6210

Back to the top

C

Canon, Inc.
http://www.canon.com Go to Web site
Support e-mail: Support by E-mail Go to Web site
Support telephone: (800) 828-4040

Ceiva Logic Inc.
http://www.ceiva.com Go to Web site
Support telephone: (818) 531-3105

Comcast Corporation
http://www.comcast.com Go to Web site
Support e-mail: support@comcast.com
Support telephone: (877) 824-2288

Computer Associates International, Inc.
http://www.ca.com Go to Web site
Support e-mail: support@ca.com
Support telephone: (631) 342-5760

Creative Labs
http://www.creative.com Go to Web site
Support telephone: (405) 742-6655

Back to the top

D

D-Link Corporation
http://www.dlink.com Go to Web site
Support e-mail: support@dlink.com
Support telephone: (877) 453-5465

Dell Corporation
http://www.dell.com Go to Web site
Support e-mail: support@dell.com
Support telephone: (800) 624-9896

Back to the top

E

Epson Corporation
http://www.epson.com Go to Web site
Support e-mail: Support Contacts Go to Web site
Support telephone: (562) 276-7202

Back to the top

G

Gateway, Inc.
http://www.gateway.com Go to Web site
Support e-mail: Support Go to Web site
Support telephone: Support Go to Web site

Gigafast, Inc.
http://www.gigafast.com Go to Web site
Support e-mail: techsupp@gigafast.com
Support telephone: (888) 433-6788

Back to the top

H

HP, Hewlett-Packard Development Company
http://www.hp.com Go to Web site
Support e-mail: Contact HP Go to Web site
Support telephone: (800) 474-6836

Back to the top

I

Internet Security Systems, Inc.
http://www.iss.net Go to Web site
Support e-mail: support@iss.net
Support telephone: (800) 776-2362

Intel Corporation
http://www.intel.com Go to Web site
Support e-mail: support@intel.com
Support telephone: (916) 377-7000

Back to the top

K

Kaspersky Lab
http://www.kaspersky.com Go to Web site
Support e-mail: support@us.kaspersky.com
Support telephone: (781) 503-1800

Back to the top

L

Lexmark International, Inc.
http://www.lexmark.com Go to Web site
Support e-mail: Technical Support Go to Web site
Support telephone: Technical Support Go to Web site

Linksys, A Division of Cisco Systems
http://www.linksys.com Go to Web site
Support e-mail: support@linksys.com
Support telephone: (800) 326-7114

Back to the top

M

Maxtor Corporation
http://www.maxtor.com Go to Web site
Support telephone: (866) 746-4924

McAfee, Inc.
http://www.mcafee.com Go to Web site
Support e-mail: support@mcafee.com
Support telephone: (800) 338-8754

Microsoft Corporation
http://www.microsoft.com Go to Web site
Support e-mail: support@microsoft.com
Support telephone: (800) 936-3900

Motorola, Inc.
http://broadband.motorola.com Go to Web site
Support e-mail: support@motorola.com
Support telephone: (877) 466-8646

Back to the top

N

NETGEAR, Inc.
http://www.netgear.com Go to Web site
Support e-mail: support@netgear.com
Support telephone: (888) 638-4327

Netopia, Inc.
http://www.netopia.com Go to Web site
Support e-mail: ask_netopia@netopia.com
Support telephone: (510) 597-5400, ext.1

Back to the top

P

Pacific Digital Corporation - Digital Photo Frames
http://www.pacificdigital.com Go to Web site
Support e-mail: support@pacificdigital.com
Support telephone: (888) 999-0732

palmOne
http://www.palmone.com Go to Web site
Support telephone: (408) 503-7000

Panda Software
http://www.pandasecurity.com Go to Web site
Support e-mail: techsupport.usa@pandasoftware.com
Support telephone: (818) 543-6951

Paradyne
http://www.paradyne.com Go to Web site
Support e-mail: support@paradyne.com
Support telephone: (800) 795-8004

Pure Networks, Inc.
http://www.purenetworks.com Go to Web site
Support e-mail: support@purenetworks.com
Support telephone: (888) 812-9402

Back to the top

R

ReplayTV
http://www.replaytv.com Go to Web site
Support e-mail: support@replaytv.com
Support telephone: (254) 299-2705

Back to the top

S

SAMSUNG
http://www.samsung.com Go to Web site
Support e-mail: Support Go to Web site
Support telephone: (800) SAMSUNG ((800) 726-7864)

Siemens USA
http://www.efficient.com/subscriber_networks/homenetworking.shtml Go to Web site
Support e-mail: support@siemens.com
Support telephone: (877) 820-0005

SMC Networks
http://www.smc.com Go to Web site
Support e-mail: support@smc.com
Support telephone: (800) SMC-4YOU (800-762-4968)

SonicWALL, Inc.
http://www.sonicwall.com Go to Web site
Support e-mail: support@sonicwall.com
Support telephone: (888) 777-1476

Sony Electronics, Inc.
http://sony.com Go to Web site
Support e-mail: support@sony.com
Support telephone: (888) 476-6972

Sony Playstation
http://www.sony.com/playstation Go to Web site
Support e-mail: Contact Us Go to Web site
Support telephone: (800) 345-SONY ((800) 345-7669)

SpeedTouch, A Thomson Brand
http://www.speedtouch.com Go to Web site
Support e-mail: support@speedtouch.com
Support telephone: +33 141 865885

Symantec Corporation
http://www.symantec.com Go to Web site
Support e-mail: support@symantec.com
Support telephone: (800) 927-3991

Back to the top

T

Tiny Software, Inc.
http://www.tinysoftware.com Go to Web site
Support e-mail: support@tinysoftware.com
Support telephone: (408) 919-7360

TiVo, Inc.
http://www.tivo.com Go to Web site
Support e-mail: Feedback Go to Web site
Support telephone: (877) 367-8486

Topcom

http://www.topcom.net Go to Web site

Trend Micro, Inc.
http://www.trendmicro.com Go to Web site
Support e-mail: support@trendmicro.com
Support telephone: (800) 864-6027

TRENDnet
http://www.trendnet.com Go to Web site
Support e-mail: support@trendnet.com
Support telephone: (888) 777-1550

Turtle Beach
http://www.turtlebeach.com Go to Web site
Support e-mail: support@turtlebeach.com
Support telephone: (800) 233-9377

Back to the top

U

USRobotics
http://www.usr.com Go to Web site

Back to the top

V

Veo
http://www.veo.com Go to Web site
Support e-mail: support@veo.com
Support telephone: (408) 894-0963

Back to the top

W

Wallflower - Digital Picture Frames
http://www.wallflower-systems.com Go to Web site
Support e-mail: support@wallflower-systems.com
Support telephone: (408) 924-0860

Back to the top

Z

Zone Labs, L.L.C.
http://www.zonelabs.com Go to Web site
Support e-mail: support@zonelabs.com
Support telephone: (877) 365-9663

ZyXEL Communications Corp.
http://www.zyxel.com Go to Web site
Support e-mail: support@zyxel.com
Support telephone: (800) 255-4101

Back to the top

Numbers

2Wire, Inc.
http://www.2wire.com Go to Web site
Support e-mail: support@2wire.com
Support telephone: (877) 347-8680

3Com Corporation
http://www.3com.com Go to Web site
Support e-mail: support@3com.com
Support telephone: (800) 876-3266

Back to the top


Online resources

Use these home networking-related Web sites for more information:

Network Magic
http://www.networkmagic.com Go to Web site
The Network Magic product Web site

NetworkGarage.com
http://www.networkgarage.com Go to Web site
Your roadside guide to networks


Copy the Network Magic Software

  1. Take the Network Magic software to the new computer. Do one of the following:

    If you have the Network Magic software on a CD, take the CD.

    Copy the Network Magic software to removable storage or burn it to a CD. For example, if you downloaded Network Magic, copy the setup program Nmsetup.exe, located in the root directory where you downloaded Network Magic.

    At the new computer, download another copy of the software.

  2. Install Network Magic software on the computer.

To make sure the computer is properly connected to your network, use Network Magic to do one of the following:

  • Check the network map. Make sure that the map displays the computer.

  • Refresh your view of the network.

Tip

Notes

  • If you have any problem with this procedure, check Troubleshooting for a solution.

  • Repeat this procedure for each computer you want to add.


Install Network Magic on the new computer

Do one of the following, based on which computer you want to use:

This computer Open a Web browser and download the software, click here Go to Web site .

The new computer Open a Web browser and download the software from the Web site where you originally obtained it.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

  1. Insert the CD into your computer's CD drive.

    The Network Magic CD automatically displays an installation menu.

    If your Network Magic software is included on a CD from another source, browse the menus provided to locate and start Network Magic installation.

  2. Follow the instructions on the screen.

  1. Insert either your removable storage or your CD with the Network Magic copy into your computer.

  2. Click this button:

  3. Return to the folder where you copied the Network Magic software.

  4. Double-click Nmsetup.exe.

    The setup program starts.

  5. Follow the instructions on the screen.

Portable memory that you can use to transport data among computers, for example, USB storage drives (thumb drives).

  1. Click this button:

  2. Return to the folder where you saved the downloaded copy.
  3. Double-click Nmsetup.exe.

    The setup program starts.

  4. Follow the instructions on the screen.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

Install Network Magic on the new computer

Make sure your new computer is connected to your network, and install Network Magic.

If you need to download an additional copy of the software

Use the appropriate procedure based on your Network Magic software:

If you have a CD

If you have a copy of the Network Magic software

If you downloaded a copy of the Network Magic software

Confirm the connection

  • In Network Magic, click Network Map.

    Look for the friendly name of the computer you added.


AOL resources

Use these additional AOL resources for more home networking information:

AOL Keyword: Broadband gear Go to Web site

AOL Keyword: Home networking Go to Web site

Security Resources Available from AOL

Use the following:

AOL Keyword: Security


A type of shared folder that anyone can access, either in your network or through the Web using Network Magic Net2Go.

This is the simple Web site that is part of Net2Go itself. When you connect to the home network, you view shared folders through the site, which is on the computer where Net2Go is installed.

An easy-to-remember name for a computer, device, or shared folder in Network Magic.

A program you use to locate and view information on the Web (for example, Microsoft Internet Explorer).

The site that provides access to folders and files shared with Network Magic.

Set up a public folder

When you name and describe public folders, you are setting up the folders' files to appear on your Net2Go site.

How Network Magic displays your folder

Name and describe the folder

About the folder image

How Network Magic displays your folder

When you use the following procedure to name and describe the folder, here is how Network Magic displays it to visitors to your site:

Layout on Net2Go Web site

1. Folder name
To access your folder, visitors will click a link with the name you type when you Name and describe the folder.

2. Folder description
Following your description, Network Magic lists the total number of files and subfolders.

3. Folder image
For information about how this image, see About the folder image.

Name and describe the folder

  1. Click Shared Folders, and then click the folder you want.

  2. In the Tasks tab, click Change folder settings.

  3. If you want, type a friendly name for the folder.

  4. If needed, select the Share this folder on the Web with @@REMOTE_ACCESS_FEATURE_NAME@@ check box, and then select Public.

  5. Type the folder name and a description.

    Use letters, numbers, and standard punctuation. Here are examples and guidelines:

Item | Example
Folder name | Vacation Photos Type a maximum of 32 characters.
Folder description | Here are photos from our recent Hawaii vacation. See John, Mary, and Pat bike, learn how to surf, and get sunburned. Type a maximum of 255 characters.

  6. Click OK.

Do not use HTML tagging to format text (Network Magic ignores HTML tags in this text).

To review the name and description on your Net2Go Web site

  1. Click Net2Go.

  2. Under Net2Go, click Status.

  3. In the Tasks tab, click View Web site.

    Your computer opens a Web browser and displays your Net2Go Web site.

  4. Locate the folder and verify that the text is the way you want it.

About the folder image

As you see in How Network Magic displays your folder, Network Magic displays a folder image with your folder to help visitors identify the folder's contents.

Automatically, Network Magic uses the first image file alphabetically that is in the folder.

Example If a folder contains the image files Apple.jpg, Banana.jpg, and Cherry.jpg, then Network Magic displays Apple.jpg as the folder image since it is the first image file alphabetically in the folder.

Want to replace a folder image? Simply rename the image file you want so it is the first image file alphabetically in the folder.

Example To replace the folder image Apple.jpg with Banana.jpg, rename the latter file so it is the first alphabetically (for example, aaBanana.jpg or _Banana.jpg).


Share printers

In addition to sharing music, photos, video, and documents, you can use Network Magic to share the printers in your network.

For information, see Printing.


How you connect to an unknown network

Here are situations where Network Magic identifies an unknown network.

You connected to another network on purpose

For example, perhaps you have taken a laptop computer to a different network (perhaps one at work or at a friend's home). For steps on what to do using Network Magic, see Use another network temporarily.

You connected to a new router in your network

You have purchased and installed a new router, and set it up in your home network in place of the router to which Network Magic formerly connected. At this point, Network Magic does not identify the router as part of your home network. For steps on what to do using the Network Magic, see If you replace the router in your network.


Upgrade or reinstall using AOL

If you are an America Online user, you can do the following:

  • Check for an upgrade to Network Magic.

  • Obtain a complete copy of Network Magic software, in case you have uninstalled it.

For either of these, use one of the following procedures.

Get Network Magic by AOL keyword

  1. From the America Online main menu, use following keyword:

    AOL Network Magic

  2. For installation steps, see Install an upgrade version.

Get Network Magic by download

  1. Click the following link to download Network Magic:

    http://aolnetworkmagic.aol.com Go to Web site

    If you want, you can type it into your     Web browser's address field instead.

  2. Where Network Magic is listed, click Get It Now.

  3. Follow the instructions on-screen.


About this AOL release

This version of Network Magic is provided to you by AOL as part of the terms of your AOL membership agreement.

Here are common questions that might help you better understand this AOL release.

What is Network Magic?
Whether you want to more easily manage your home office or your networked home entertainment—or you want to do both—you can do it using Network Magic. To get an idea of how Network Magic makes home networking better, see either Welcome to Network Magic or the Feature summary.

What are the requirements for using Network Magic?
Use it with your existing home network. For information, see the following:

Network requirements

Computer requirements

Printers and Other Network Hardware

How long will my installed, AOL version of Network Magic run?
Your version will be active as long as you maintain an active AOL subscription. Network Magic detects when you log in to AOL and, as a result, remains active and functional.

Why has my installed, AOL version of Network Magic stopped running?
If you have not logged in to AOL in the last 90 days, Network Magic is automatically inactivated.

How can I upgrade Network Magic through AOL?
For steps, see Upgrade or reinstall using AOL.

Can I purchase a separate, non-AOL release of Network Magic?
Yes. To do so, please go to the Pure Networks Web site Go to Web site .

How can I report a problem?
Before you contact technical support, check Troubleshooting for a solution. This helps you solve common problems that you may have with Network Magic and with your home network. If you are experiencing a problem with networking hardware, check your product documentation or contact the manufacturer's technical support division.

If you are sure the problem is specific to Network Magic, you can quickly report it. For steps, see Send feedback about Network Magic.